# -*- coding: utf-8 -*-

# ======================== 模板封装 ==========================
"""各个模板列及对应值大同小异，这里使用工厂模式，将相同的设置成基类，差异的放在子类。主要生产一个列对应值的配置字典。"""
def getAmazonTemplateCSVInfo(template):

    # 服装
    if template == "ClothingUS":
        return ClothingUS()
    # # 珠宝
    # elif template == "JewelryUS":
    #     return JewelryUS()
    # 家居
    elif template == "HomeUS":
        return HomeUS()
    # 宠物
    elif template == "PetUS":
        return PetUS()
    # 电子
    elif template == "WirelessUS":
        return WirelessUS()
    # 非母子 电子
    elif template == "ConsumerElectronicsUS":
        return ConsumerElectronicsUS()
    # 电玩
    elif template == "VideoGamesUS":
        return VideoGamesUS()
    # 户外
    elif template == "OutdoorsUS":
        return OutdoorsUS()
    # 体育
    elif template == "SportsUS":
        return SportsUS()
    # 汽车部件
    elif template == "AutoAccessoryUS":
        return AutoAccessoryUS()
    # 玩具
    elif template == "ToysUS":
        return ToysUS()
    # 相机
    elif template == "CameraUS":
        return CameraUS()
    # 办公
    elif template == "OfficeUS":
        return OfficeUS()
    #手表
    elif template == 'WatchesUS':
        return  Watches()
    #JewelryUS and CosmetologyUS add by 2017.07.07
    #饰品
    elif template == 'JewelryUS':
        return  Jewelry()
    #美容
    elif template == 'CosmetologyUS':
        return  Cosmetology()
class ColumnConfig:
    def __init__(self):
        self.config = {
            "item_sku": "thisSku",
            "item_name": "thisTitle",
            "item_type": "item_type",
            "external_product_id_type": "",
            "external_product_id": "",
            "product_description": "description",
            "model": "thisSku",
            "brand_name": "brand",
            "part_number": "thisSku",
            "manufacturer": "brand",
            "standard_price": "standard_price",
            "list_price": "list_price",
            "quantity": "quantity",
            "recommended_browse_nodes1": "item_type",
            "generic_keywords1": "generic_keywords[0]",
            "generic_keywords2": "generic_keywords[1]",
            "generic_keywords3": "generic_keywords[2]",
            "generic_keywords4": "generic_keywords[3]",
            "bullet_point1": "bullet[0]",
            "bullet_point2": "bullet[1]",
            "bullet_point3": "bullet[2]",
            "bullet_point4": "bullet[3]",
            "bullet_point5": "bullet[4]",
            "other_image_url1": "imgurl[0]",
            "other_image_url2": "imgurl[1]",
            "other_image_url3": "imgurl[2]",
            "other_image_url4": "imgurl[3]",
            "other_image_url5": "imgurl[4]",
            "other_image_url6": "imgurl[5]",
            "other_image_url7": "imgurl[6]",
            "other_image_url8": "brand_image",
            "main_image_url": "main_image",
            "variation_theme": "variation_theme",
            "relationship_type": "relationship_type",
            "parent_sku": "parent_sku",
            "parent_child": "parent_child",
            "department_name": "department_name",

        }
    def getHeadLine(self):
        return self.line
#服装
class ClothingUS(ColumnConfig):
    line = [
        ['TemplateType=Clothing','Version=2015.1208','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','Offer - These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','Dimensions - These attributes specify the size and weight of a product','','','','','','','','Discovery - These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','Images - These attributes provide links to images for a product','','','','','','','','','','Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','','','','','','','Variation - Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['Seller SKU','Product Name','Product ID','Product ID Type','Brand Name','Product Description','Item Type Keyword','Style Number','Update Delete','Standard Price','Manufacturer''s Suggested Retail Price','Product Tax Code','Fulfillment Latency','Launch Date','Release Date','Restock Date','Quantity','Sale Price','Sale Start Date','Sale End Date','Max Aggregate Ship Quantity','Package Quantity','Number of Items','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued by Manufacturer','Registered Parameter','Shipping-Template','Shipping Weight','Website Shipping Weight Unit Of Measure','Item Weight Unit Of Measure','Item Weight','Item Length Unit Of Measure','Item Length','Item Width','Item Height','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Search Terms1','Search Terms2','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Swatch Image URL','Fulfillment Center ID','Package Height','Package Width','Package Length','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','Cpsia Warning','CPSIA Warning Description','Closure Type','Belt Style','Bottom Style','character','Chest Size','Chest Size Unit Of Measure','Band Size Numeric','Band Size Num Unit Of Measure','Collar Type','Color','Color Map','Control Type','Cup Size','Department','Fabric Wash','Fit Type','Front Pleat Type','Inseam','Inseam Length Unit Of Measure','Rise Height','Rise Height Unit Of Measure','Leg Diameter','Leg Diameter Unit Of Measure','Leg Style','Fabric Type','Import Designation','Country as Labeled','Fur Description','Opacity / Transparency','Neck Size','Neck Size Unit Of Measure','NeckStyle','Pattern Style','Pocket Description','Rise Style','Shoe Width','Size','Size Map','Special Size Type','SleeveLength','Sleeve Length Unit Of Measure','Sleeve Type','Additional Features','Strap Type','Style','theme','Toe Style','Top Style','Underwire Type','WaistSize','Waist Size Unit Of Measure','Water Resistance Level','Sport Type ','wheel-type'],
        ['item_sku','item_name','external_product_id','external_product_id_type','brand_name','product_description','item_type','model','update_delete','standard_price','list_price','product_tax_code','fulfillment_latency','product_site_launch_date','merchant_release_date','restock_date','quantity','sale_price','sale_from_date','sale_end_date','max_aggregate_ship_quantity','item_package_quantity','number_of_items','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','missing_keyset_reason','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','item_weight_unit_of_measure','item_weight','item_length_unit_of_measure','item_length','item_width','item_height','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','swatch_image_url','fulfillment_center_id','package_height','package_width','package_length','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','cpsia_cautionary_statement','cpsia_cautionary_description','closure_type','belt_style','bottom_style','subject_character','chest_size','chest_size_unit_of_measure','band_size_num','band_size_num_unit_of_measure','collar_style','color_name','color_map','control_type','cup_size','department_name','fabric_wash','fit_type','front_style','inseam_length','inseam_length_unit_of_measure','rise_height','rise_height_unit_of_measure','leg_diameter','leg_diameter_unit_of_measure','leg_style','fabric_type','import_designation','country_as_labeled','fur_description','opacity','neck_size','neck_size_unit_of_measure','neck_style','pattern_type','pocket_description','rise_style','shoe_width','size_name','size_map','special_size_type','sleeve_length','sleeve_length_unit_of_measure','sleeve_type','special_features','strap_type','style_name','theme','toe_style','top_style','underwire_type','waist_size','waist_size_unit_of_measure','water_resistance_level','sport_type','wheel_type']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in  attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
            else:
                attr_color = "as picture"
                attr_size = "as onesize"
        config = {
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
    #废弃的方法
    def getOtherAttributes(self,attributes):
        '''其余属性'''
        otherAttributes = []
        for attribute in attributes:
            if attribute.attr_name_en and attribute.attr_name_en !='size' and attribute.attr_name_en !='colour':
                otherAttributes.append({attribute.attr_name_en:attribute.attr_value_en})
        return otherAttributes
# 旧方法
# class JewelryUS(ColumnConfig):
#     line = [
#         ['TemplateType=Jewelry', 'Version=2015.1001', 'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '', '', '', '', 'Offer - These attributes are required to make your item buyable for customers on the site', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Dimension - These attributes specify the size and weight of a product', '', '', '', '', '', '', '', '', '', '', 'Discovery - These attributes have an effect on how customers can find your product on the site using browse or search', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Image - These attributes provide links to images for a product', '', '', '', '', '', '', '', '', '', 'Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.', '', '', '', '', '', '', 'Variation - Populate these attributes if your product is available in different variations (for example color or wattage)', '', '', '', 'Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold', '', '', '', '', '', '', 'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
#         ['SKU', 'Title', 'Manufacturer', 'Model Number', 'Product Type', 'Item Type Keyword', 'Brand Name', 'Product ID', 'Product ID Type', 'Product Description', 'Update Delete', 'Standard Price', 'Quantity', 'Currency', 'Launch Date', 'Product Tax Code', "Manufacturer's Suggested Retail Price", 'Sale Price', 'Sale Start Date', 'Sale End Date', 'Offering Release Date', 'Package Quantity', 'Fulfillment Latency', 'Restock Date', 'Max Aggregate Ship Quantity', 'Offering Can Be Gift Messaged', 'Does the merchant provide giftwrap.', 'Is Discontinued by Manufacturer', 'Product ID Override', 'Scheduled Delivery SKU List', 'Shipping-Template', 'Shipping Weight', 'Website Shipping Weight Unit Of Measure', 'Display Dimensions Unit Of Measure', 'Diameter', 'Display Height', 'Width', 'Item Display Length', 'Item Length', 'Item Width', 'Item Height', 'Item Dimensions Unit Of Measure', 'Key Product Features1', 'Key Product Features2', 'Key Product Features3', 'Key Product Features4', 'Key Product Features5', 'Target Audience1', 'Target Audience2', 'Target Audience3', 'Catalog Number', 'Intended Use1', 'Intended Use2', 'Intended Use3', 'Intended Use4', 'Intended Use5', 'Other Attributes1', 'Other Attributes2', 'Other Attributes3', 'Other Attributes4', 'Other Attributes5', 'Subject Matter1', 'Subject Matter2', 'Subject Matter3', 'Subject Matter4', 'Subject Matter5', 'Search Terms1', 'Search Terms2', 'Search Terms3', 'Search Terms4', 'Search Terms5', 'Platinum Keywords1', 'Platinum Keywords2', 'Platinum Keywords3', 'Platinum Keywords4', 'Platinum Keywords5', 'Main Image URL', 'Swatch Image URL', 'Other Image URL1', 'Other Image URL2', 'Other Image URL3', 'Other Image URL4', 'Other Image URL5', 'Other Image URL6', 'Other Image URL7', 'Other Image URL8', 'Fulfillment Center ID', 'Package Length', 'Package Height', 'Package Width', 'Package Dimensions Unit Of Measure', 'Package Weight', 'Package Weight Unit Of Measure', 'Parentage', 'Parent SKU', 'Relationship Type', 'Variation Theme', 'Country of Publication', 'Consumer Notice', 'CPSIA Cautionary Statement1', 'CPSIA Cautionary Statement2', 'CPSIA Cautionary Statement3', 'CPSIA Cautionary Statement4', 'CPSIA Cautionary Description', 'Gender', 'Designer', 'Total Metal Weight', 'Total Metal Weight Unit Of Measure', 'Total Diamond Weight', 'Total Diamond Weight Unit Of Measure', 'Total Gem Weight', 'Total Gem Weight Unit Of Measure', 'Material Type1', 'Material Type2', 'Material Type3', 'Material Type4', 'Metal Type', 'Metal Stamp', 'Setting Type', 'Number Of Stones', 'Clasp Type', 'Chain Type', 'Ring Size', 'Is Resizable', 'Ring Sizing Lower Range', 'Ring Sizing Upper Range', 'Estate Period', 'Certificate Number1', 'Certificate Number2', 'Certificate Number3', 'Certificate Number4', 'Certificate Number5', 'Certificate Number6', 'Certificate Number7', 'Certificate Number8', 'Certificate Number9', 'Gem Type1', 'Gem Type2', 'Gem Type3', 'Stone Cut1', 'Stone Cut2', 'Stone Cut3', 'Stone Color1', 'Stone Color2', 'Stone Color3', 'Stone Clarity1', 'Stone Clarity2', 'Stone Clarity3', 'Stone Shape1', 'Stone Shape2', 'Stone Shape3', 'Stone Creation Method1', 'Stone Creation Method2', 'Stone Creation Method3', 'Stone Treatment Method1', 'Stone Treatment Method2', 'Stone Treatment Method3', 'Stone Dimensions Unit Of Measure1', 'Stone Dimensions Unit Of Measure2', 'Stone Dimensions Unit Of Measure3', 'Stone Height1', 'Stone Height2', 'Stone Height3', 'Stone Length1', 'Stone Length2', 'Stone Length3', 'Stone Width1', 'Stone Width2', 'Stone Width3', 'Stone Weight1', 'Stone Weight2', 'Stone Weight3', 'Certificate Type1', 'Certificate Type2', 'Certificate Type3', 'Certificate Type4', 'Certificate Type5', 'Certificate Type6', 'Certificate Type7', 'Certificate Type8', 'Certificate Type9', 'Is Lab Created1', 'Is Lab Created2', 'Is Lab Created3', 'Inscription1', 'Inscription2', 'Inscription3', 'Stone Depth Percentage1', 'Stone Depth Percentage2', 'Stone Depth Percentage3', 'Stone Table Percentage1', 'Stone Table Percentage2', 'Stone Table Percentage3', 'Stone Symmetry1', 'Stone Symmetry2', 'Stone Symmetry3', 'Stone Polish1', 'Stone Polish2', 'Stone Polish3', 'Stone Girdle1', 'Stone Girdle2', 'Stone Girdle3', 'Stone Culet1', 'Stone Culet2', 'Stone Culet3', 'Stone Fluorescence1', 'Stone Fluorescence2', 'Stone Fluorescence3', 'Pearl Type', 'Pearl Minimum Color', 'Pearl Lustre', 'Pearl Shape', 'Pearl Uniformity', 'Pearl Surface Blemishes', 'Nacre Thickness', 'Pearl Stringing Method', 'Size Per Pearl', 'Number Of Pearls', 'Style', 'Color', 'Back Finding'],
#         ['item_sku', 'item_name', 'manufacturer', 'model', 'feed_product_type', 'item_type', 'brand_name', 'external_product_id', 'external_product_id_type', 'product_description', 'update_delete', 'standard_price', 'quantity', 'currency', 'product_site_launch_date', 'product_tax_code', 'list_price', 'sale_price', 'sale_from_date', 'sale_end_date', 'merchant_release_date', 'item_package_quantity', 'fulfillment_latency', 'restock_date', 'max_aggregate_ship_quantity', 'offering_can_be_gift_messaged', 'offering_can_be_giftwrapped', 'is_discontinued_by_manufacturer', 'missing_keyset_reason', 'delivery_schedule_group_id', 'merchant_shipping_group_name', 'website_shipping_weight', 'website_shipping_weight_unit_of_measure', 'display_dimensions_unit_of_measure', 'item_display_diameter', 'item_display_height', 'item_display_width', 'item_display_length', 'item_length', 'item_width', 'item_height', 'item_dimensions_unit_of_measure', 'bullet_point1', 'bullet_point2', 'bullet_point3', 'bullet_point4', 'bullet_point5', 'target_audience_keywords1', 'target_audience_keywords2', 'target_audience_keywords3', 'catalog_number', 'specific_uses_keywords1', 'specific_uses_keywords2', 'specific_uses_keywords3', 'specific_uses_keywords4', 'specific_uses_keywords5', 'thesaurus_attribute_keywords1', 'thesaurus_attribute_keywords2', 'thesaurus_attribute_keywords3', 'thesaurus_attribute_keywords4', 'thesaurus_attribute_keywords5', 'thesaurus_subject_keywords1', 'thesaurus_subject_keywords2', 'thesaurus_subject_keywords3', 'thesaurus_subject_keywords4', 'thesaurus_subject_keywords5', 'generic_keywords1', 'generic_keywords2', 'generic_keywords3', 'generic_keywords4', 'generic_keywords5', 'platinum_keywords1', 'platinum_keywords2', 'platinum_keywords3', 'platinum_keywords4', 'platinum_keywords5', 'main_image_url', 'swatch_image_url', 'other_image_url1', 'other_image_url2', 'other_image_url3', 'other_image_url4', 'other_image_url5', 'other_image_url6', 'other_image_url7', 'other_image_url8', 'fulfillment_center_id', 'package_length', 'package_height', 'package_width', 'package_dimensions_unit_of_measure', 'package_weight', 'package_weight_unit_of_measure', 'parent_child', 'parent_sku', 'relationship_type', 'variation_theme', 'country_of_origin', 'prop_65', 'cpsia_cautionary_statement1', 'cpsia_cautionary_statement2', 'cpsia_cautionary_statement3', 'cpsia_cautionary_statement4', 'cpsia_cautionary_description', 'department_name', 'designer', 'total_metal_weight', 'total_metal_weight_unit_of_measure', 'total_diamond_weight', 'total_diamond_weight_unit_of_measure', 'total_gem_weight', 'total_gem_weight_unit_of_measure', 'material_type1', 'material_type2', 'material_type3', 'material_type4', 'metal_type', 'metal_stamp', 'setting_type', 'number_of_stones', 'clasp_type', 'chain_type', 'ring_size', 'is_resizable', 'ring_sizing_lower_range', 'ring_sizing_upper_range', 'estate_period', 'certificate_number1', 'certificate_number2', 'certificate_number3', 'certificate_number4', 'certificate_number5', 'certificate_number6', 'certificate_number7', 'certificate_number8', 'certificate_number9', 'gem_type1', 'gem_type2', 'gem_type3', 'stone_cut1', 'stone_cut2', 'stone_cut3', 'stone_color1', 'stone_color2', 'stone_color3', 'stone_clarity1', 'stone_clarity2', 'stone_clarity3', 'stone_shape1', 'stone_shape2', 'stone_shape3', 'stone_creation_method1', 'stone_creation_method2', 'stone_creation_method3', 'stone_treatment_method1', 'stone_treatment_method2', 'stone_treatment_method3', 'stone_dimensions_unit_of_measure1', 'stone_dimensions_unit_of_measure2', 'stone_dimensions_unit_of_measure3', 'stone_height1', 'stone_height2', 'stone_height3', 'stone_length1', 'stone_length2', 'stone_length3', 'stone_width1', 'stone_width2', 'stone_width3', 'stone_weight1', 'stone_weight2', 'stone_weight3', 'certificate_type1', 'certificate_type2', 'certificate_type3', 'certificate_type4', 'certificate_type5', 'certificate_type6', 'certificate_type7', 'certificate_type8', 'certificate_type9', 'is_lab_created1', 'is_lab_created2', 'is_lab_created3', 'inscription1', 'inscription2', 'inscription3', 'stone_depth_percentage1', 'stone_depth_percentage2', 'stone_depth_percentage3', 'stone_table_percentage1', 'stone_table_percentage2', 'stone_table_percentage3', 'stone_symmetry1', 'stone_symmetry2', 'stone_symmetry3', 'stone_polish1', 'stone_polish2', 'stone_polish3', 'stone_girdle1', 'stone_girdle2', 'stone_girdle3', 'stone_culet1', 'stone_culet2', 'stone_culet3', 'stone_fluorescence1', 'stone_fluorescence2', 'stone_fluorescence3', 'pearl_type', 'pearl_minimum_color', 'pearl_lustre', 'pearl_shape', 'pearl_uniformity', 'pearl_surface_blemishes', 'nacre_thickness', 'pearl_stringing_method', 'size_per_pearl', 'number_of_pearls', 'style_name', 'color_name', 'back_finding']
#     ]
#     def getConfig(self,product_type='fatherchild',attributes=None):
#         attr_color = ""
#         attr_style = ""
#         if product_type == 'child':
#             if attributes:
#                 for attribute in attributes:
#                     if attribute.attr_name_en == 'style':
#                         attr_style = attribute.attr_value_en
#                     elif attribute.attr_name_en == 'colour':
#                         attr_color = attribute.attr_value_en
#         config = {
#             "feed_product_type": "",
#             "fulfillment_latency": "",
#             "currency": "'USD'",
#             "metal_type": "'NA'",
#             "metal_stamp": "'NA'",
#             "gem_type1": "gem_type1",
#             "display_dimensions_unit_of_measure": "display_dimensions_unit_of_measure",
#             "color_name": "'"+attr_color+"'",
#             "style_name": "'"+attr_style+"'",
#         }
#         self.config.update(config)
#         return self.config
#     def getSecondVariationTheme(self, attributesName ):
#         '''主题名称（子产品，父产品没有）'''
#         variation_theme = ''
#         if ('style' in attributesName):
#             variation_theme = 'StyleName'
#         elif ('colour' in attributesName):
#             variation_theme = 'ColorName'
#         return variation_theme

#家居
class HomeUS(ColumnConfig):
    '''line = [
        ['TemplateType=petsupplies','Version=2016.0617','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','','Offer-These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','','','Dimensions-These attributes specify the size and weight of a product','','','','','','','','','','','','','','Discovery-These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','','','','','Images-These attributes provide links to images for a product','','','','','','','','','','Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','','','','','','','Variation-Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold','','','','','','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','',''],
        ['Seller SKU','Product ID','Product ID Type','Product Name','Brand Name','Manufacturer','Product Description','Product Type','Item Type Keyword','Manufacturer Part Number','Update Delete','model','Package Quantity','Standard Price','Manufacturer''s Suggested Retail Price','Quantity','Minimum Advertised Price','Item Condition','Offer Condition Note','Product Tax Code','Launch Date','Release Date','Fulfillment Latency','Restock Date','Sale Price','Sale Start Date','Sale End Date','Max Aggregate Ship Quantity','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued by Manufacturer','Max Order Quantity','Number of Items','Offering Release Date','Shipping-Template','Shipping Weight','Website Shipping Weight Unit Of Measure','Item Display Weight','Item Display Weight Unit Of Measure','Item Display Length','DisplayWidth','DisplayHeight','DisplayDimensionUnitOfMeasure','item-height','item-length','Item Dimensions Unit Of Measure','item-weight','item-weight-unit-of-measure','item-width','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Target Audience','MerchantCatalogNumber','Search Terms1','Search Terms2','Subject Matter','Target Audience1','Target Audience2','Used For1 - Used For31','Used For1 - Used For32','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Swatch Image URL','Fulfillment Center ID','Package Height','Package Width','Package Length','Package Weight','Package Weight Unit Of Measure','PackageDimensionUnitOfMeasure','Parentage','Parent SKU','Relationship Type','Variation Theme','Prop65','Cpsia Warning','CPSIA Warning Description','Safety Warning','CountryAsLabeled','country-of-origin','legal-disclaimer-description','Lighting Facts Label','Energy Guide Label','Breed Recommendation','Other Attributes','Additional Features','Directions','Ingredients','Material Type','Closure Type','Compatible Devices','Age Range Description','Included Features','Specific Uses For Product','Color','Color Map','Size','Size Map','Flavor','Weight Supported','Weight Recommendation Unit Of Measure','External Testing Certification','Battery Type','Number of Batteries Required','Lithium Battery Weight','Wattage','Design','Minimum Weight Recommendation','lithium_battery_weight_unit_of_measure','Wattage Unit of Measure'],
        ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','manufacturer','product_description','feed_product_type','item_type','part_number','update_delete','model','item_package_quantity','standard_price','list_price','quantity','map_price','condition_type','condition_note','product_tax_code','product_site_launch_date','merchant_release_date','fulfillment_latency','restock_date','sale_price','sale_from_date','sale_end_date','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','max_order_quantity','number_of_items','offering_start_date','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_display_length','item_display_width','item_display_height','display_dimensions_unit_of_measure','item_height','item_length','item_dimensions_unit_of_measure','item_weight','item_weight_unit_of_measure','item_width','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','target_audience_base','catalog_number','generic_keywords1','generic_keywords2','thesaurus_subject_keywords','target_audience_keywords1','target_audience_keywords2','specific_uses_keywords1','specific_uses_keywords2','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','swatch_image_url','fulfillment_center_id','package_height','package_width','package_length','package_weight','package_weight_unit_of_measure','package_dimensions_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','prop_65','cpsia_cautionary_statement','cpsia_cautionary_description','safety_warning','country_string','country_of_origin','legal_disclaimer_description','lighting_facts_image_url','energy_efficiency_image_url','breed_recommendation','thesaurus_attribute_keywords','special_features','directions','ingredients','material_type','closure_type','compatible_devices','age_range_description','included_features','specific_uses_for_product','color_name','color_map','size_name','size_map','flavor_name','maximum_weight_recommendation','weight_recommendation_unit_of_measure','external_testing_certification','battery_type','number_of_batteries','lithium_battery_weight','wattage','pattern_name','minimum_weight_recommendation','lithium_battery_weight_unit_of_measure','wattage_unit_of_measure']
    ]'''

    line = [
        ['TemplateType = home', 'Version = 2016.0909',
         'The top 3 rows are for Amazon.com use only.Do not modify or delete the top 3 rows.', '', '', '', '', '', '',
         '', '', '', 'Offer-These attributes are required to make your item buyable for customers on the site', '', '',
         '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
         'Dimensions-These attributes specify the size and weight of a product', '', '', '', '', '', '', '', '', '', '',
         '', '', '', '', '',
         'Discovery-These attributes have an effect on how customers can find your product on the site using browse or search',
         '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
         'Images-These attributes provide links to images for a product', '', '', '', '', '', '', '', '', '',
         'Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.',
         '', '', '', '', '', '', '', '',
         'Variation-Populate these attributes if your product is available in different variations ( for example color or wattage)',
         '', '', '',
         'Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold', '',
         '', '', '', '', '', '', '', '', '',
         'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '',
         '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
         '', '', '', '', '', '', '', '', '', '', '', '', ''],
        ['Seller SKU', 'Product ID', 'Product ID Type', 'Product Name', 'Product Description', 'Product Type',
         'Brand Name', 'Manufacturer', 'Manufacturer Part Number', 'Item Type Keyword', 'Update Delete', 'model',
         'Standard Price', 'Item Condition', 'Offer Condition Note', 'Quantity',
         'Manufacturer''s Suggested Retail Price', 'Minimum Advertised Price', 'Launch Date', 'Release Date',
         'Restock Date', 'Fulfillment Latency', 'Product Tax Code', 'Sale Price', 'Sale Start Date', 'Sale End Date',
         'Package Quantity', 'Max Aggregate Ship Quantity', 'Offering Can Be Gift Messaged', 'Is Gift Wrap Available',
         'Is Discontinued by Manufacturer', 'Max Order Quantity', 'Number of Items', 'Offering Release Date',
         'Shipping-Template', 'Shipping Weight', 'Website Shipping Weight Unit Of Measure', 'Item Display Length',
         'Item Display Width', 'Item Display Height', 'Display Dimensions Unit Of Measure', 'Item Display Weight',
         'Item Display Weight Unit Of Measure', 'Volume', 'Volume Capacity Name Unit Of Measure', 'Item Height',
         'Item Length', 'Item Length Unit Of Measure', 'Item Weight', 'Item Weight Unit Of Measure', 'Item Width',
         'Key Product Features1', 'Key Product Features2', 'Key Product Features3', 'Key Product Features4',
         'Key Product Features5', 'Target Audience', 'Catalog Number', 'Used For1 - Used For31',
         'Used For1 - Used For32', 'Used For1 - Used For33', 'Used For1 - Used For34', 'Used For1 - Used For35',
         'Target Audience1', 'Target Audience2', 'Target Audience3', 'Subject Matter1', 'Subject Matter2',
         'Subject Matter3', 'Search Terms1', 'Main Image URL', 'Swatch Image URL', 'Other Image URL1',
         'Other Image URL2', 'Other Image URL3', 'Other Image URL4', 'Other Image URL5', 'Other Image URL6',
         'Other Image URL7', 'Other Image URL8', 'Fulfillment Center ID', 'Package Height', 'Package Width',
         'Package Length', 'Package Length Unit Of Measure', 'Package Weight', 'Package Weight Unit Of Measure',
         'Please provide the Executive Number (EO) required for sale into California.',
         'Please provide the expiration date of the EO Number.', 'Parentage', 'Parent SKU', 'Relationship Type',
         'Variation Theme', 'Consumer Notice', 'Cpsia Warning', 'CPSIA Warning Description', 'Country of Origin',
         'Country of Publication', 'Legal Disclaimer', 'Safety Warning', 'Lighting Facts Label', 'Energy Guide Label',
         'Fabric Type', 'Import Designation', 'Manufacturer Warranty Description', 'Other Attributes1',
         'Other Attributes2', 'Other Attributes3', 'Other Attributes4', 'Country as Labeled', 'Fur Description',
         'Number of Sets', 'Occasion', 'Thread Count', 'Number of Pieces', 'Shape', 'Scent Name', 'Included Components',
         'Light Source Type', 'Color', 'Color Map', 'Size', 'Material Type', 'Style Name', 'Wattage',
         'Specific Uses For Product', 'Additional Features', 'USDA Hardiness Zone1', 'USDA Hardiness Zone2', 'Pattern',
         'Battery Type', 'Number of Batteries Required', 'Lithium Battery Weight', 'Specification Met',
         'Minimum Age Recommendation', 'Maximum Age Recommendation', 'Material Composition', 'Fill Material Type',
         'Lithium Battery Weight Unit Of Measure', 'Wattage Unit of Measure', 'Size Map', 'Blade Type',
         'Blade Material Type', 'Theme', 'Power Source', 'Voltage', 'Engine Type', 'Hose Length',
         'Hose Length Unit Of Measure', 'Paint Type', 'Ingredients', 'Age Range Description', 'Flavor',
         'External Testing Certification'],
        ['item_sku', 'external_product_id', 'external_product_id_type', 'item_name', 'product_description',
         'feed_product_type', 'brand_name', 'manufacturer', 'part_number', 'item_type', 'update_delete', 'model',
         'standard_price', 'condition_type', 'condition_note', 'quantity', 'list_price', 'map_price',
         'product_site_launch_date', 'merchant_release_date', 'restock_date', 'fulfillment_latency', 'product_tax_code',
         'sale_price', 'sale_from_date', 'sale_end_date', 'item_package_quantity', 'max_aggregate_ship_quantity',
         'offering_can_be_gift_messaged', 'offering_can_be_giftwrapped', 'is_discontinued_by_manufacturer',
         'max_order_quantity', 'number_of_items', 'offering_start_date', 'merchant_shipping_group_name',
         'website_shipping_weight', 'website_shipping_weight_unit_of_measure', 'item_display_length',
         'item_display_width', 'item_display_height', 'display_dimensions_unit_of_measure', 'item_display_weight',
         'item_display_weight_unit_of_measure', 'volume_capacity_name', 'volume_capacity_name_unit_of_measure',
         'item_height', 'item_length', 'item_length_unit_of_measure', 'item_weight', 'item_weight_unit_of_measure',
         'item_width', 'bullet_point1', 'bullet_point2', 'bullet_point3', 'bullet_point4', 'bullet_point5',
         'target_audience_base', 'catalog_number', 'specific_uses_keywords1', 'specific_uses_keywords2',
         'specific_uses_keywords3', 'specific_uses_keywords4', 'specific_uses_keywords5', 'target_audience_keywords1',
         'target_audience_keywords2', 'target_audience_keywords3', 'thesaurus_subject_keywords1',
         'thesaurus_subject_keywords2', 'thesaurus_subject_keywords3', 'generic_keywords1', 'main_image_url',
         'swatch_image_url', 'other_image_url1', 'other_image_url2', 'other_image_url3', 'other_image_url4',
         'other_image_url5', 'other_image_url6', 'other_image_url7', 'other_image_url8', 'fulfillment_center_id',
         'package_height', 'package_width', 'package_length', 'package_length_unit_of_measure', 'package_weight',
         'package_weight_unit_of_measure', 'legal_compliance_certification_metadata',
         'legal_compliance_certification_expiration_date', 'parent_child', 'parent_sku', 'relationship_type',
         'variation_theme', 'prop_65', 'cpsia_cautionary_statement', 'cpsia_cautionary_description', 'country_string',
         'country_of_origin', 'legal_disclaimer_description', 'safety_warning', 'lighting_facts_image_url',
         'energy_efficiency_image_url', 'fabric_type', 'import_designation', 'warranty_description',
         'thesaurus_attribute_keywords1', 'thesaurus_attribute_keywords2', 'thesaurus_attribute_keywords3',
         'thesaurus_attribute_keywords4', 'country_as_labeled', 'fur_description', 'number_of_sets', 'occasion',
         'thread_count', 'number_of_pieces', 'item_shape', 'scent_name', 'included_components', 'light_source_type',
         'color_name', 'color_map', 'size_name', 'material_type', 'style_name', 'wattage', 'specific_uses_for_product',
         'special_features', 'usda_hardiness_zone1', 'usda_hardiness_zone2', 'pattern_name', 'battery_type',
         'number_of_batteries', 'lithium_battery_weight', 'specification_met', 'mfg_minimum', 'mfg_maximum',
         'material_composition', 'fill_material_type', 'lithium_battery_weight_unit_of_measure',
         'wattage_unit_of_measure', 'size_map', 'blade_edge_type', 'blade_material_type', 'theme', 'power_source_type',
         'voltage', 'engine_type', 'hose_length', 'hose_length_unit_of_measure', 'paint_type', 'ingredients',
         'age_range_description', 'flavor_name', 'external_testing_certification']
    ]

    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "",
            "fulfillment_latency": "",
            "currency": "'USD'",
            "website_shipping_weight_unit_of_measure": "'GR'",
            "condition_type": "'New'",
            "condition_node": "'New'",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
            "other_image_url3": "brand_image",
            "model": "''",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'Sizename-Colorname'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'ColorName'
        return variation_theme

class PetUS(ColumnConfig):
    line = [
        ['TemplateType=petsupplies', 'Version=2015.1203', 'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '', '', '', '', '', 'Offer-These attributes are required to make your item buyable for customers on the site', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Dimensions-These attributes specify the size and weight of a product', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Discovery-These attributes have an effect on how customers can find your product on the site using browse or search', '', '', '', '', '', '', '', '', '', '', '', '', 'Images-These attributes provide links to images for a product', '', '', '', '', 'Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.', '', '', '', '', '', '', '', 'Variation-Populate these attributes if your product is available in different variations (for example color or wattage)', '', '', '', 'Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold', '', '', '', '', '', '', 'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
        ['Seller SKU', 'Product ID', 'Product ID Type', 'Product Name', 'Brand Name', 'Manufacturer', 'Product Description', 'Product Type', 'Item Type Keyword', 'Manufacturer Part Number', 'Update Delete', 'model', 'Package Quantity', 'Standard Price', "Manufacturer's Suggested Retail Price", 'Quantity', 'Minimum Advertised Price', 'Item Condition', 'Offer Condition Note', 'Product Tax Code', 'Launch Date', 'Release Date', 'Fulfillment Latency', 'Restock Date', 'Sale Price', 'Sale Start Date', 'Sale End Date', 'Max Aggregate Ship Quantity', 'Offering Can Be Gift Messaged', 'Is Gift Wrap Available', 'Is Discontinued by Manufacturer', 'Registered Parameter', 'Max Order Quantity', 'Number of Items', 'Offering Release Date', 'Shipping-Template', 'Shipping Weight', 'Website Shipping Weight Unit Of Measure', 'Item Display Weight', 'Item Display Weight Unit Of Measure', 'Item Display Length', 'DisplayWidth', 'DisplayHeight', 'DisplayDimensionUnitOfMeasure', 'item-height', 'item-length', 'Item Length Unit Of Measure', 'item-weight', 'item-weight-unit-of-measure', 'item-width', 'Key Product Features', 'Key Product Features', 'Key Product Features', 'Key Product Features', 'Key Product Features', 'Target Audience', 'MerchantCatalogNumber', 'Search Terms', 'Subject Matter', 'Target Audience', 'Target Audience', 'Used For1 - Used For3', 'Used For1 - Used For3', 'Main Image URL', 'Other Image URL', 'Other Image URL', 'Other Image URL', 'Swatch Image URL', 'Fulfillment Center ID', 'Package Height', 'Package Width', 'Package Length', 'Package Length Unit Of Measure', 'Package Weight', 'Package Weight Unit Of Measure', 'PackageDimensionUnitOfMeasure', 'Parentage', 'Parent SKU', 'Relationship Type', 'Variation Theme', 'Prop65', 'Cpsia Warning', 'CPSIA Warning Description', 'Safety Warning', 'CountryAsLabeled', 'country-of-origin', 'legal-disclaimer-description', 'Breed Recommendation', 'Other Attributes', 'Additional Features', 'Directions', 'Ingredients', 'Material Type', 'Closure Type', 'Compatible Devices', 'Age Range Description', 'Included Features', 'Specific Uses For Product', 'Color', 'Color Map', 'Size', 'Size Map', 'Flavor', 'Minimum Weight Recommendation', 'Weight Supported', 'Weight Recommendation Unit Of Measure', 'External Testing Certification', 'BatteryType', 'Number of Batteries Required', 'Lithium Battery Weight', 'Wattage', 'Design'],
        ['item_sku', 'external_product_id', 'external_product_id_type', 'item_name', 'brand_name', 'manufacturer', 'product_description', 'feed_product_type', 'item_type', 'part_number', 'update_delete', 'model', 'item_package_quantity', 'standard_price', 'list_price', 'quantity', 'map_price', 'condition_type', 'condition_note', 'product_tax_code', 'product_site_launch_date', 'merchant_release_date', 'fulfillment_latency', 'restock_date', 'sale_price', 'sale_from_date', 'sale_end_date', 'max_aggregate_ship_quantity', 'offering_can_be_gift_messaged', 'offering_can_be_giftwrapped', 'is_discontinued_by_manufacturer', 'missing_keyset_reason', 'max_order_quantity', 'number_of_items', 'offering_start_date', 'merchant_shipping_group_name', 'website_shipping_weight', 'website_shipping_weight_unit_of_measure', 'item_display_weight', 'item_display_weight_unit_of_measure', 'item_display_length', 'item_display_width', 'item_display_height', 'display_dimensions_unit_of_measure', 'item_height', 'item_length', 'item_length_unit_of_measure', 'item_weight', 'item_weight_unit_of_measure', 'item_width', 'bullet_point1', 'bullet_point2', 'bullet_point3', 'bullet_point4', 'bullet_point5', 'target_audience_base', 'catalog_number', 'generic_keywords', 'thesaurus_subject_keywords', 'target_audience_keywords1', 'target_audience_keywords2', 'specific_uses_keywords1', 'specific_uses_keywords2', 'main_image_url', 'other_image_url1', 'other_image_url2', 'other_image_url3', 'swatch_image_url', 'fulfillment_center_id', 'package_height', 'package_width', 'package_length', 'package_length_unit_of_measure', 'package_weight', 'package_weight_unit_of_measure', 'package_dimensions_unit_of_measure', 'parent_child', 'parent_sku', 'relationship_type', 'variation_theme', 'prop_65', 'cpsia_cautionary_statement', 'cpsia_cautionary_description', 'safety_warning', 'country_string', 'country_of_origin', 'legal_disclaimer_description', 'breed_recommendation', 'thesaurus_attribute_keywords', 'special_features', 'directions', 'ingredients', 'material_type', 'closure_type', 'compatible_devices', 'age_range_description', 'included_features', 'specific_uses_for_product', 'color_name', 'color_map', 'size_name', 'size_map', 'flavor_name', 'minimum_weight_recommendation', 'maximum_weight_recommendation', 'weight_recommendation_unit_of_measure', 'external_testing_certification', 'battery_type', 'number_of_batteries', 'lithium_battery_weight', 'wattage', 'pattern_name']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

#电子母子
class WirelessUS(ColumnConfig):
    line = [
        ['TemplateType=wireless','Version=2015.1203','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','Offer-These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','Dimensions-These attributes specify the size and weight of a product','','','','','','','','Discovery-These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','','','','','','','','Images-These attributes provide links to images for a product','','','','','','','','','','Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','Variation-Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','',''],
        ['Seller SKU','Title','Manufacturer','Item Type','Product ID','Product ID Type','Manufacturing Part Number','Description','Marca','Update Delete','Launch Date','Standard Price','Sale Price','Sale Start Date','Sale End Date','Item Condition','Condition Note','Product Tax Code','Release Date','Minimum Advertised Price','Manufacturer''s Suggested Retail Price','Quantity','Fulfillment Latency','Restock Date','Maximum Aggregate Ship Quantity','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued By Manufacturer','Package Quantity','Registered Parameter','Shipping-Template','Item Weight Unit Of Measure','Item Weight','Item Dimensions Unit Of Measure','Item Length','Item Height','Item Width','Website Shipping Weight Unit Of Measure','Shipping Weight','Bullet Point','Bullet Point','Bullet Point','Bullet Point','Bullet Point','Search Terms1','Search Terms2','Target Audience','Target Audience','Target Audience','Catalog Number','Intended Use','Subject Matter','Subject Matter','Subject Matter','Subject Matter','Subject Matter','Other Image URL','Other Image URL','Other Image URL','Other Image URL','Other Image URL','Other Image URL','Other Image URL','Other Image URL','Main Image URL','Swatch Image URL','Fulfillment Center ID','Parentage','Parent SKU','Relationship Type','Variation Theme','Legal Disclaimer','Propuesta 65','Cpsia Warning','CPSIA Warning Description','Other Attributes','Color','Color Map','Headphone Fit','Additional Features','Compatible Phone Models','Compatible Phone Models','Compatible Phone Models','Compatible Phone Models','Compatible Phone Models','Compatible Phone Models','Subject Keywords','Subject Keywords','Subject Keywords','Subject Keywords','Subject Keywords'],
        ['item_sku','item_name','manufacturer','item_type','external_product_id','external_product_id_type','part_number','product_description','brand_name','update_delete','product_site_launch_date','standard_price','sale_price','sale_from_date','sale_end_date','condition_type','condition_note','product_tax_code','merchant_release_date','map_price','list_price','quantity','fulfillment_latency','restock_date','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','item_package_quantity','missing_keyset_reason','merchant_shipping_group_name','item_weight_unit_of_measure','item_weight','item_dimensions_unit_of_measure','item_length','item_height','item_width','website_shipping_weight_unit_of_measure','website_shipping_weight','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','target_audience_keywords1','target_audience_keywords2','target_audience_keywords3','catalog_number','specific_uses_keywords','thesaurus_subject_keywords1','thesaurus_subject_keywords2','thesaurus_subject_keywords3','thesaurus_subject_keywords4','thesaurus_subject_keywords5','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','main_image_url','swatch_image_url','fulfillment_center_id','parent_child','parent_sku','relationship_type','variation_theme','legal_disclaimer_description','prop_65','cpsia_cautionary_statement','cpsia_cautionary_description','thesaurus_attribute_keywords','color_name','color_map','fit_type','special_features','compatible_phone_models1','compatible_phone_models2','compatible_phone_models3','compatible_phone_models4','compatible_phone_models5','compatible_phone_models6','subject_keywords1','subject_keywords2','subject_keywords3','subject_keywords4','subject_keywords5']
    ]

    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "fulfillment_latency": "'3'",
            "currency": "'USD'",
            "generic_keywords": "generic_keywordsString",
            "condition_type": "'New'",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config
    def getSecondVariationTheme(self, attributesName ):
        variation_theme = ''
        if ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

#电子非母子
class ConsumerElectronicsUS(ColumnConfig):
    line = [
        ['TemplateType=ConsumerElectronics','Version=2015.1224','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','','Offer - These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','Dimensions - These attributes specify the size and weight of a product','','','','','','','','Discovery - These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','Images - These attributes provide links to images for a product','','','','','','','Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','','','','','','','Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold','','','','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',''],
        ['Seller SKU','Product ID','Product ID Type','Title','Brand','Manufacturer','Description','Item Type','Product Type','Mfr Part Number','Model Number','Update Delete','Max Order Quantity','Standard Price','Manufacturer''s Suggested Retail Price','Quantity','Item Condition','Condition Note','Minimum Advertised Price','Sale Price','Sale Start Date','Sale End Date','Product Tax Code','Launch Date','Release Date','Fulfillment Latency','Restock Date','Maximum Aggregate Ship Quantity','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued By Manufacturer','Registered Parameter','Shipping-Template','Shipping Weight','Website Shipping Weight Unit Of Measure','Item Length','Item Width','Item Height','Item Dimensions Unit Of Measure','Item Weight','Item Weight Unit Of Measure','Bullet Point1','Bullet Point2','Bullet Point3','Bullet Point4','Bullet Point5','Search Terms','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Fulfillment Center ID','Package Height','Package Width','Package Length','Package Dimensions Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Country of Origin','Legal Disclaimer','Prop 65','Warnings','Cpsia Warning','CPSIA Warning Description','Energy Guide Label','Mount Type','Battery Cell Type','Battery Average Life','Battery Average Life Unit Of Measure','Lithium-Battery Energy Content','Lithium-Battery Packaging','Lithium-Battery Voltage','Media Speed','Vehicle Speaker Size','Enclosure','Supported Standards','Map Types','GPS Geotagging Functionality','Hard-Drive Size','Hard Disk Size Unit Of Measure','Memory Slots Available','RAM Size','Computer Memory Size Unit Of Measure','Processor Speed','Computer Cpu Speed Unit Of Measure','Processor Series','Headphone Fit','Audio Sensitivity','MicrophoneTechnology','Power Source','Connector Gender','Water Resistance Level','Number of Audio Channels','Cooling Method','Processor Brand','Operating System','Human-Interface Input','Frequency Response Curve','Energy Specifications Met','Enclosure Material','Shape','Speaker Connectivity','Tuner Type','Hardware Platform','Input-Device Interface','Screen Finish','Screen Size','Display Size Unit Of Measure','Native Resolution','Contrast Ratio','Wireless Compability','Internet Applications','Output Wattage','Connectivity Technology','Data Transfer Rate','Data Transfer Rate Unit Of Measure','Brightness','Image Brightness Unit Of Measure','Maximum Image Size','Minimum Focal Length','Zoom','Speaker Type','Wireless Technology','Display Type','Built-In Media','Total Number of HDMI Ports','Additional Features','Number of Batteries Required','Battery Type','Manufacturer Warranty Type','Lamp Warranty'],
        ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','manufacturer','product_description','item_type','feed_product_type','part_number','model','update_delete','max_order_quantity','standard_price','list_price','quantity','condition_type','condition_note','map_price','sale_price','sale_from_date','sale_end_date','product_tax_code','product_site_launch_date','merchant_release_date','fulfillment_latency','restock_date','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','missing_keyset_reason','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','item_length','item_width','item_height','item_dimensions_unit_of_measure','item_weight','item_weight_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','fulfillment_center_id','package_height','package_width','package_length','package_dimensions_unit_of_measure','package_weight','package_weight_unit_of_measure','country_of_origin','legal_disclaimer_description','prop_65','safety_warning','cpsia_cautionary_statement','cpsia_cautionary_description','energy_efficiency_image_url','mounting_type','battery_cell_composition','battery_average_life','battery_average_life_unit_of_measure','lithium_battery_energy_content','lithium_battery_packaging','lithium_battery_voltage','write_speed','vehicle_speaker_size','enclosure','supported_standards','map_type','gps_navigation','hard_disk_size','hard_disk_size_unit_of_measure','memory_slots_available','computer_memory_size','computer_memory_size_unit_of_measure','computer_cpu_speed','computer_cpu_speed_unit_of_measure','computer_cpu_type','fit_type','audio_sensitivity','microphone_technology','power_source_type','connector_gender','water_resistance_level','surround_sound_channel_configuration','cooling_method','computer_cpu_manufacturer','operating_system','human_interface_input','frequency_response_curve','specification_met','material_type','item_shape','speaker_connectivity','tuner_technology','hardware_platform','input_device_interface','screen_surface_description','display_size','display_size_unit_of_measure','native_resolution','image_contrast_ratio','wireless_comm_standard','supported_internet_services','output_wattage','connectivity_technology','data_transfer_rate','data_transfer_rate_unit_of_measure','image_brightness','image_brightness_unit_of_measure','maximum_image_size','min_focal_length','zoom_type','speaker_type','wireless_communication_technology','display_type','included_components','total_hdmi_ports','special_features','number_of_batteries','battery_type','mfg_warranty_description_type','mfg_warranty_description_parts']
    ]

    def getConfig(self,product_type='father',attributes=None):
        config = {
            "feed_product_type": "",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywordsString",
            "fulfillment_latency": "'3'",
            "currency": "'USD'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        return variation_theme

class VideoGamesUS(ColumnConfig):
    line = [
        ['TemplateType=SoftwareVideoGames', 'Version=2015.1001', 'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '', '', '', '', 'Offer - These attributes are required to make your item buyable for customers on the site', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Dimensions - These attributes specify the size and weight of a product', '', '', '', '', '', '', '', '', 'Discovery - These attributes have an effect on how customers can find your product on the site using browse or search', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Images - These attributes provide links to images for a product', '', '', '', '', '', '', '', '', 'Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.', 'Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold', '', '', '', '', '', '', 'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
        ['SKU', 'Title', 'Manufacturer', 'Product Type', 'Item Type Keyword', 'Product ID', 'Product ID Type', 'Brand', 'Manufacturer Part Number', 'Description', 'Update Delete', 'Item Condition', 'Condition Note', 'Currency', 'Launch Date', 'Standard Price', 'Sale Price', 'Sale Start Date', 'Sale End Date', 'Product Tax Code', 'Release Date', 'Minimum Advertised Price', "Manufacturer's Suggested Retail Price", 'Quantity', 'Handling Time', 'Restock Date', 'Maximum Aggregate Ship Quantity', 'Is Gift Message Available', 'Is Giftwrap Available', 'Is Discontinued by Manufacturer', 'Registered Parameter', 'Rebate Start Date1', 'Rebate Start Date2', 'Rebate End Date1', 'Rebate End Date2', 'Rebate Message1', 'Rebate Message2', 'Rebate Name1', 'Rebate Name2', 'Item Package Quantity', 'Scheduled Delivery SKU List', 'Item Weight Unit Of Measure', 'Item Weight', 'Item Length Unit Of Measure', 'Item Length', 'Item Height', 'Item Width', 'Website Shipping Weight Unit Of Measure', 'Shipping Weight', 'Shipping-Template', 'Bullet Point1', 'Bullet Point2', 'Bullet Point3', 'Bullet Point4', 'Bullet Point5', 'Intended Use1', 'Intended Use2', 'Intended Use3', 'Intended Use4', 'Intended Use5', 'Search Terms1', 'Search Terms2', 'Search Terms3', 'Search Terms4', 'Search Terms5', 'Target Audience1', 'Target Audience2', 'Target Audience3', 'Merchant Catalog Number', 'Other Attributes1', 'Other Attributes2', 'Other Attributes3', 'Other Attributes4', 'Other Attributes5', 'Subject Matter1', 'Subject Matter2', 'Subject Matter3', 'Subject Matter4', 'Subject Matter5', 'Platinum Keywords1', 'Platinum Keywords2', 'Platinum Keywords3', 'Platinum Keywords4', 'Platinum Keywords5', 'Main Image URL', 'Other Image URL1', 'Other Image URL2', 'Other Image URL3', 'Other Image URL4', 'Other Image URL5', 'Other Image URL6', 'Other Image URL7', 'Other Image URL8', 'Fulfillment Center ID', 'Legal Disclaimer', 'Consumer Notice', 'CPSIA Cautionary Statement1', 'CPSIA Cautionary Statement2', 'CPSIA Cautionary Statement3', 'CPSIA Cautionary Statement4', 'CPSIA Cautionary Description', 'Hardware Platform1', 'Hardware Platform2', 'Hardware Platform3', 'Hardware Platform4', 'Hardware Platform5', 'ESRB Rating', 'ESRB Descriptors1', 'ESRB Descriptors2', 'ESRB Descriptors3', 'ESRB Descriptors4', 'ESRB Descriptors5', 'Number of Players', 'Genre1', 'Genre2', 'Genre3', 'Genre4', 'Genre5', 'Bundle Type', 'Color', 'Color Map', 'Additional Features', 'Operating System1', 'Operating System2', 'Operating System3', 'Operating System4', 'Operating System5', 'Operating System6', 'Operating System7', 'Manufacturer Suggested Maximum Age', 'Manufacturer Suggested Minimum Age', 'Online Play', 'Media Format1', 'Media Format2', 'Media Format3', 'Computer Hardware Platform1', 'Computer Hardware Platform2', 'Computer Hardware Platform3', 'System Requirements1', 'System Requirements2', 'System Requirements3', 'Application Version', 'Number of Licenses'],
        ['item_sku', 'item_name', 'manufacturer', 'feed_product_type', 'item_type', 'external_product_id', 'external_product_id_type', 'brand_name', 'part_number', 'product_description', 'update_delete', 'condition_type', 'condition_note', 'currency', 'product_site_launch_date', 'standard_price', 'sale_price', 'sale_from_date', 'sale_end_date', 'product_tax_code', 'merchant_release_date', 'map_price', 'list_price', 'quantity', 'fulfillment_latency', 'restock_date', 'max_aggregate_ship_quantity', 'offering_can_be_gift_messaged', 'offering_can_be_giftwrapped', 'is_discontinued_by_manufacturer', 'missing_keyset_reason', 'rebate_start_at1', 'rebate_start_at2', 'rebate_end_at1', 'rebate_end_at2', 'rebate_description1', 'rebate_description2', 'rebate_name1', 'rebate_name2', 'item_package_quantity', 'delivery_schedule_group_id', 'item_weight_unit_of_measure', 'item_weight', 'item_length_unit_of_measure', 'item_length', 'item_height', 'item_width', 'website_shipping_weight_unit_of_measure', 'website_shipping_weight', 'merchant_shipping_group_name', 'bullet_point1', 'bullet_point2', 'bullet_point3', 'bullet_point4', 'bullet_point5', 'specific_uses_keywords1', 'specific_uses_keywords2', 'specific_uses_keywords3', 'specific_uses_keywords4', 'specific_uses_keywords5', 'generic_keywords1', 'generic_keywords2', 'generic_keywords3', 'generic_keywords4', 'generic_keywords5', 'target_audience_keywords1', 'target_audience_keywords2', 'target_audience_keywords3', 'catalog_number', 'thesaurus_attribute_keywords1', 'thesaurus_attribute_keywords2', 'thesaurus_attribute_keywords3', 'thesaurus_attribute_keywords4', 'thesaurus_attribute_keywords5', 'thesaurus_subject_keywords1', 'thesaurus_subject_keywords2', 'thesaurus_subject_keywords3', 'thesaurus_subject_keywords4', 'thesaurus_subject_keywords5', 'platinum_keywords1', 'platinum_keywords2', 'platinum_keywords3', 'platinum_keywords4', 'platinum_keywords5', 'main_image_url', 'other_image_url1', 'other_image_url2', 'other_image_url3', 'other_image_url4', 'other_image_url5', 'other_image_url6', 'other_image_url7', 'other_image_url8', 'fulfillment_center_id', 'legal_disclaimer_description', 'prop_65', 'cpsia_cautionary_statement1', 'cpsia_cautionary_statement2', 'cpsia_cautionary_statement3', 'cpsia_cautionary_statement4', 'cpsia_cautionary_description', 'hardware_platform1', 'hardware_platform2', 'hardware_platform3', 'hardware_platform4', 'hardware_platform5', 'esrb_age_rating', 'esrb_descriptors1', 'esrb_descriptors2', 'esrb_descriptors3', 'esrb_descriptors4', 'esrb_descriptors5', 'number_of_players', 'genre1', 'genre2', 'genre3', 'genre4', 'genre5', 'bundles', 'color_name', 'color_map', 'special_features', 'operating_system1', 'operating_system2', 'operating_system3', 'operating_system4', 'operating_system5', 'operating_system6', 'operating_system7', 'mfg_maximum', 'mfg_minimum', 'online_play', 'format1', 'format2', 'format3', 'system_requirements_platform1', 'system_requirements_platform2', 'system_requirements_platform3', 'system_requirements1', 'system_requirements2', 'system_requirements3', 'software_application_version', 'number_of_licenses']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'3'",
            "condition_type": "'New'",
            "condition_note": "'New'",
            "currency": "'USD'",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        return variation_theme

    def getOtherAttributes(self,attributes):
        '''其余属性'''
        otherAttributes = []
        for attribute in attributes:
            if attribute.attr_name_en:
                otherAttributes.append({attribute.attr_name_en:attribute.attr_value_en})
        return otherAttributes

#户外
class OutdoorsUS(ColumnConfig):
    line = [
        ['TemplateType=Outdoors','Version=2015.1207','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','Offer - These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','','Dimensions - These attributes specify the size and weight of a product','','','','','','','','','','','','','','','','','','','','Discovery - These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','Images - These attributes provide links to images for a product','','','','','','','','','','Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','','','','','','','Variation - Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold','','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',''],
        ['Seller SKU','Product ID','Product ID Type','Product Name','Product Description','Manufacturer','Manufacturer Part Number','Product Type','Brand Name','Item Type Keyword','Update Delete','Standard Price','Item Condition','Offer Condition Note','Quantity','Manufacturer''s Suggested Retail Price','Launch Date','Release Date','Restock Date','Fulfillment Latency','Product Tax Code','Sale Price','Sale Start Date','Sale End Date','Max Aggregate Ship Quantity','Package Quantity','Number of Items','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued by Manufacturer','Registered Parameter','Shipping-Template','Minimum Advertised Price','Shipping Weight','Website Shipping Weight Unit Of Measure','Width','Item Display Width Unit Of Measure','Item Display Length','Item Display Length Unit Of Measure','Item Display Weight','Item Display Weight Unit Of Measure','Volume','Item Volume Unit Of Measure','Display Height','Item Display Height Unit Of Measure','Item Height','Item Height Unit Of Measure','Item Length','Item Length Unit Of Measure','Item Width','Item Width Unit Of Measure','Item Weight','Item Weight Unit Of Measure','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Intended Use','Target Audience','Subject Matter','Search Terms','Style Keyword','Main Image URL','Swatch Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Fulfillment Center ID','Package Height','Package Width','Package Length','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','Consumer Notice','Cpsia Warning','CPSIA Warning Description','Country of Publication','Legal Disclaimer','Mfg Warranty Type','Other Attributes','Color','Color Map','Closure Type','Design','Fabric Type','Import Designation','Country as Labeled','Fur Description','Material Type','Seasons','Size Map','Size','Skill Level','Sport Type','Floor Length','Floor Length Unit Of Measure','Floor Width','Floor Width Unit Of Measure','Construction Type','Floor Area','Floor Area Unit Of Measure','Bottom Style','Department','Leg Style','Neck Style','Pattern Style','Pocket Description','Shoe Width','Sleeve Type','Sleeve Length','Sleeve Length Unit Of Measure','Sock Height','Strap Type','Support Type','Theme','Top Style','UV Protection','Waist Size','Waist Size Unit Of Measure','Rim Size','Rim Size Unit Of Measure','Crank Length','Crank Length Unit Of Measure','Frame Type','Top Tube Length','Top Tube Length Unit Of Measure','Wheel Size','Wheel Size Unit Of Measure','Bike Type','Inseam Length','Inseam Length Unit Of Measure','Brake Style','Suspension Type','Frame Material Type','Tension Supported','Number Of Speeds','Number Of Power Levels','Capacity','Capacity Unit Of Measure','Lens Color','Fitting Type','Number Of Pockets','Number Of Doors','Number Of Gear Loops','Effective Edge Length','Effective Edge Length Unit Of Measure','Fill Material Type','Mounting Type','Temperature Rating','Temperature Rating Degrees Unit Of Measure','Blade Length','Blade Length Unit Of Measure','Lens Material','Lens Type','Maximum Height Recommendation','Maximum Height Recommendation Unit Of Measure','Fuel Type','Insulation Material Type','Pad Type','ShellMaterial','Minimum Torso Measurement','Occupancy','Number Of Poles','Light Source Type','Objective Lens Diameter','Objective Lens Diameter Unit Of Measure','Magnification Maximum','Shape','Seating Capacity','Fit Type','Power Source','Additional Features','Usage Capacity Unit Of Measure','Load Capacity','Load Capacity Unit Of Measure','Number of Horses','Specific Uses For Product','Compatible Devices','Weight Supported','Maximum Weight Recommendation Unit Of Measure','Maximum Weight','Maximum Weight Capacity Unit Of Measure','Unit Count Type','Are Batteries Required','BatteryType','Number of Batteries Required','Battery Average Life','Lithium Battery Packaging','Lithium Battery Weight','Wheelbase','Unit of Measure for Wheelbase','Wheel Type','Water Resistance Level','Warranty Description','Shell Type','Recommended Use','Magnification Strength','Lining Description','Base'],
        ['item_sku','external_product_id','external_product_id_type','item_name','product_description','manufacturer','part_number','feed_product_type','brand_name','item_type','update_delete','standard_price','condition_type','condition_note','quantity','list_price','product_site_launch_date','merchant_release_date','restock_date','fulfillment_latency','product_tax_code','sale_price','sale_from_date','sale_end_date','max_aggregate_ship_quantity','item_package_quantity','number_of_items','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','missing_keyset_reason','merchant_shipping_group_name','map_price','website_shipping_weight','website_shipping_weight_unit_of_measure','item_display_width','item_display_width_unit_of_measure','item_display_length','item_display_length_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_volume','item_volume_unit_of_measure','item_display_height','item_display_height_unit_of_measure','item_height','item_height_unit_of_measure','item_length','item_length_unit_of_measure','item_width','item_width_unit_of_measure','item_weight','item_weight_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','specific_uses_keywords','target_audience_keywords','thesaurus_subject_keywords','generic_keywords','style_keywords','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_height','package_width','package_length','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','prop_65','cpsia_cautionary_statement','cpsia_cautionary_description','country_of_origin','legal_disclaimer_description','mfg_warranty_description_type','thesaurus_attribute_keywords','color_name','color_map','closure_type','pattern_name','fabric_type','import_designation','country_as_labeled','fur_description','material_type','seasons','size_map','size_name','skill_level','sport_type','floor_length','floor_length_unit_of_measure','floor_width','floor_width_unit_of_measure','construction_type','floor_area','floor_area_unit_of_measure','bottom_style','department_name','leg_style','neck_style','pattern_type','pocket_description','shoe_width','sleeve_type','sleeve_length','sleeve_length_unit_of_measure','rise_style','strap_type','support_type','theme','top_style','ultraviolet_light_protection','waist_size','waist_size_unit_of_measure','rim_size','rim_size_unit_of_measure','crank_length','crank_length_unit_of_measure','frame_type','top_tube_length','top_tube_length_unit_of_measure','wheel_size','wheel_size_unit_of_measure','bike_type','inseam_length','inseam_length_unit_of_measure','brake_style','suspension_type','frame_material_type','tension_level','number_of_speeds','number_of_power_levels','capacity','capacity_unit_of_measure','lens_color','fitting_type','number_of_pockets','number_of_doors','number_of_gear_loops','effective_edge_length','effective_edge_length_unit_of_measure','fill_material_type','mounting_type','temperature_rating_degrees','temperature_rating_degrees_unit_of_measure','blade_length','blade_length_unit_of_measure','lens_material_type','lens_type','maximum_height_recommendation','maximum_height_recommendation_unit_of_measure','fuel_type','insulation_material_type','pad_type','outer_material_type','minimum_torso_measurement','occupancy','number_of_poles','light_source_type','objective_lens_diameter','objective_lens_diameter_unit_of_measure','magnification_maximum','item_shape','seating_capacity','fit_type','power_source_type','special_features','capacity_name_unit_of_measure','load_capacity','load_capacity_unit_of_measure','capacity_name','specific_uses_for_product','compatible_devices','maximum_weight_recommendation','maximum_weight_recommendation_unit_of_measure','maximum_weight_capacity','maximum_weight_capacity_unit_of_measure','unit_count_type','batteries_required','battery_type','number_of_batteries','battery_average_life','lithium_battery_packaging','lithium_battery_weight','wheelbase','wheelbase_unit_of_measure','wheel_type','water_resistance_level','warranty_description','shell_type','recommended_uses_for_product','magnification_strength','lining_description','base_material_type']
    ]

    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywordsString",
            "currency": "'USD'",
            "color_name": "'"+attr_color+"'",
            "color_map":  "'"+attr_color+"'",
            "size_name":  "'"+attr_size+"'",
            "size_map":  "'"+attr_size+"'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'ColorSize'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'ColorName'
        return variation_theme


class SportsUS(ColumnConfig,):
    line = [
        ['TemplateType=sports', 'Version=2015.1203', 'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '', '', '', '', 'Offer-These attributes are required to make your item buyable for customers on the site', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Dimensions-These attributes specify the size and weight of a product', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Discovery-These attributes have an effect on how customers can find your product on the site using browse or search', '', '', '', '', '', '', '', '', '', '', 'Images-These attributes provide links to images for a product', '', '', '', '', 'Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.', '', '', '', '', '', '', 'Variation-Populate these attributes if your product is available in different variations (for example color or wattage)', '', '', '', 'Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold', '', '', '', '', 'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
        ['Seller SKU', 'Product ID', 'Product ID Type', 'Product Name', 'Product Description', 'Manufacturer', 'Manufacturer Part Number', 'Product Type', 'Brand Name', 'Item Type Keyword', 'Update Delete', 'Standard Price', 'Item Condition', 'Offer Condition Note', 'Quantity', "Manufacturer's Suggested Retail Price", 'Launch Date', 'Release Date', 'Restock Date', 'Fulfillment Latency', 'Product Tax Code', 'Sale Price', 'Sale Start Date', 'Sale End Date', 'Max Aggregate Ship Quantity', 'Package Quantity', 'Number of Items', 'Offering Can Be Gift Messaged', 'Is Gift Wrap Available', 'Is Discontinued by Manufacturer', 'Registered Parameter', 'Shipping-Template', 'Minimum Advertised Price', 'Shipping Weight', 'Website Shipping Weight Unit Of Measure', 'Width', 'Item Display Width Unit Of Measure', 'Item Display Length', 'Item Display Length Unit Of Measure', 'Item Display Weight', 'Item Display Weight Unit Of Measure', 'Volume', 'Item Volume Unit Of Measure', 'Display Height', 'Item Display Height Unit Of Measure', 'Item Height', 'Item Height Unit Of Measure', 'Item Length', 'Item Length Unit Of Measure', 'Item Width', 'Item Width Unit Of Measure', 'Item Weight', 'Item Weight Unit Of Measure', 'Key Product Features', 'Key Product Features', 'Key Product Features', 'Key Product Features', 'Key Product Features', 'Intended Use', 'Target Audience', 'Target Audience', 'Target Audience', 'Subject Matter', 'Search Terms', 'Main Image URL', 'Swatch Image URL', 'Other Image URL', 'Other Image URL', 'Other Image URL', 'Fulfillment Center ID', 'Package Height', 'Package Width', 'Package Length', 'Package Length Unit Of Measure', 'Package Weight', 'Package Weight Unit Of Measure', 'Parentage', 'Parent SKU', 'Relationship Type', 'Variation Theme', 'Consumer Notice', 'Cpsia Warning', 'CPSIA Warning Description', 'Country of Publication', 'Legal Disclaimer', '"Mfg Warranty Type (i.e. Parts', ' Labor)"', 'Other Attributes', 'Color', 'Color Map', 'Closure Type', 'Design', 'Fabric Type', 'Import Designation', 'Country as Labeled', 'Fur Description', 'Material Type', 'Seasons', 'Size Map', 'Size', 'Skill Level', 'Sport Type', 'Floor Length', 'Floor Length Unit Of Measure', 'Floor Width', 'Floor Width Unit Of Measure', 'Watch Movement Type', 'Construction Type', 'Floor Area', 'Floor Area Unit Of Measure', 'Bottom Style', 'Department', 'Leg Style', 'Neck Style', 'Pattern Style', 'Pocket Description', 'Shoe Width', 'Sleeve Type', 'Sleeve Length', 'Sleeve Length Unit Of Measure', 'Sock Height', 'Strap Type', 'Support Type', 'Theme', 'Top Style', 'UV Protection', 'Waist Size', 'Waist Size Unit Of Measure', 'Wheel Type', 'Flex', 'Loft', 'Grip Size', 'Grip Type', 'Grip Material Type', 'Rim Size', 'Rim Size Unit Of Measure', 'Crank Length', 'Crank Length Unit Of Measure', 'Frame Type', 'Top Tube Length', 'Top Tube Length Unit Of Measure', 'Wheel Size', 'Wheel Size Unit Of Measure', 'Bike Type', 'Inseam Length', 'Brake Style', 'Suspension Type', 'Frame Material Type', 'Line Weight', 'Tension Supported', 'Fishing Line Type', 'Number Of Speeds', 'Handle Material', 'Display', 'Water Resistance Depth', 'Water Resistance Depth Unit Of Measure', 'Model Name', 'Number Of Power Levels', 'Capacity', 'Capacity Unit Of Measure', 'Lens Color', 'Fitting Type', 'Number Of Pockets', 'Number Of Doors', 'Number Of Gear Loops', 'Effective Edge Length', 'Effective Edge Length Unit Of Measure', 'Fill Material Type', 'Mounting Type', 'Temperature Rating', 'Temperature Rating Degrees Unit Of Measure', 'Blade Length', 'Blade Length Unit Of Measure', 'Lens Material', 'Lens Type', 'Maximum Height Recommendation', 'Maximum Height Recommendation Unit Of Measure', 'Fuel Type', 'Insulation Material Type', 'Pad Type', 'ShellMaterial', 'Minimum Torso Measurement', 'Occupancy', 'Number Of Poles', 'Light Source Type', 'Objective Lens Diameter', 'Objective Lens Diameter Unit Of Measure', 'Magnification Maximum', 'League Name', 'Hand Orientation', 'Shaft Length', 'Shaft Length Unit Of Measure', 'Shaft Material', 'Shape', 'Display Maximum Weight Recommendation', 'Display Maximum Weight Recommendation Unit Of Measure', 'Seating Capacity', 'Fit Type', 'Athlete', 'Style Name', 'Team Name', 'Power Source', 'Additional Features', 'Usage Capacity Unit Of Measure', 'Load Capacity', 'Load Capacity Unit Of Measure', 'Number of Horses', 'Specific Uses For Product', 'Compatible Devices', 'Weight Supported', 'Maximum Weight Recommendation Unit Of Measure', 'Maximum Weight', 'Maximum Weight Capacity Unit Of Measure', 'Unit Count Type', 'Are Batteries Required', 'BatteryType', 'Number of Batteries Required', 'Battery Average Life', 'Lithium Battery Packaging', 'Lithium Battery Weight'],
        ['item_sku', 'external_product_id', 'external_product_id_type', 'item_name', 'product_description', 'manufacturer', 'part_number', 'feed_product_type', 'brand_name', 'item_type', 'update_delete', 'standard_price', 'condition_type', 'condition_note', 'quantity', 'list_price', 'product_site_launch_date', 'merchant_release_date', 'restock_date', 'fulfillment_latency', 'product_tax_code', 'sale_price', 'sale_from_date', 'sale_end_date', 'max_aggregate_ship_quantity', 'item_package_quantity', 'number_of_items', 'offering_can_be_gift_messaged', 'offering_can_be_giftwrapped', 'is_discontinued_by_manufacturer', 'missing_keyset_reason', 'merchant_shipping_group_name', 'map_price', 'website_shipping_weight', 'website_shipping_weight_unit_of_measure', 'item_display_width', 'item_display_width_unit_of_measure', 'item_display_length', 'item_display_length_unit_of_measure', 'item_display_weight', 'item_display_weight_unit_of_measure', 'item_volume', 'item_volume_unit_of_measure', 'item_display_height', 'item_display_height_unit_of_measure', 'item_height', 'item_height_unit_of_measure', 'item_length', 'item_length_unit_of_measure', 'item_width', 'item_width_unit_of_measure', 'item_weight', 'item_weight_unit_of_measure', 'bullet_point1', 'bullet_point2', 'bullet_point3', 'bullet_point4', 'bullet_point5', 'specific_uses_keywords', 'target_audience_keywords1', 'target_audience_keywords2', 'target_audience_keywords3', 'thesaurus_subject_keywords', 'generic_keywords', 'main_image_url', 'swatch_image_url', 'other_image_url1', 'other_image_url2', 'other_image_url3', 'fulfillment_center_id', 'package_height', 'package_width', 'package_length', 'package_length_unit_of_measure', 'package_weight', 'package_weight_unit_of_measure', 'parent_child', 'parent_sku', 'relationship_type', 'variation_theme', 'prop_65', 'cpsia_cautionary_statement', 'cpsia_cautionary_description', 'country_of_origin', 'legal_disclaimer_description', 'mfg_warranty_description_type', 'thesaurus_attribute_keywords', 'color_name', 'color_map', 'closure_type', 'pattern_name', 'fabric_type', 'import_designation', 'country_as_labeled', 'fur_description', 'material_type', 'seasons', 'size_map', 'size_name', 'skill_level', 'sport_type', 'floor_length', 'floor_length_unit_of_measure', 'floor_width', 'floor_width_unit_of_measure', 'watch_movement_type', 'construction_type', 'floor_area', 'floor_area_unit_of_measure', 'bottom_style', 'department_name', 'leg_style', 'neck_style', 'pattern_type', 'pocket_description', 'shoe_width', 'sleeve_type', 'sleeve_length', 'sleeve_length_unit_of_measure', 'rise_style', 'strap_type', 'support_type', 'theme', 'top_style', 'ultraviolet_light_protection', 'waist_size', 'waist_size_unit_of_measure', 'wheel_type', 'golf_club_flex', 'golf_club_loft', 'grip_size', 'grip_type', 'grip_material_type', 'rim_size', 'rim_size_unit_of_measure', 'crank_length', 'crank_length_unit_of_measure', 'frame_type', 'top_tube_length', 'top_tube_length_unit_of_measure', 'wheel_size', 'wheel_size_unit_of_measure', 'bike_type', 'inseam_length', 'brake_style', 'suspension_type', 'frame_material_type', 'line_weight', 'tension_level', 'fishing_line_type', 'number_of_speeds', 'handle_material', 'display_type', 'water_resistance_depth', 'water_resistance_depth_unit_of_measure', 'model_name', 'number_of_power_levels', 'capacity', 'capacity_unit_of_measure', 'lens_color', 'fitting_type', 'number_of_pockets', 'number_of_doors', 'number_of_gear_loops', 'effective_edge_length', 'effective_edge_length_unit_of_measure', 'fill_material_type', 'mounting_type', 'temperature_rating_degrees', 'temperature_rating_degrees_unit_of_measure', 'blade_length', 'blade_length_unit_of_measure', 'lens_material_type', 'lens_type', 'maximum_height_recommendation', 'maximum_height_recommendation_unit_of_measure', 'fuel_type', 'insulation_material_type', 'pad_type', 'outer_material_type', 'minimum_torso_measurement', 'occupancy', 'number_of_poles', 'light_source_type', 'objective_lens_diameter', 'objective_lens_diameter_unit_of_measure', 'magnification_maximum', 'league_name', 'hand_orientation', 'shaft_length', 'shaft_length_unit_of_measure', 'shaft_material', 'item_shape', 'display_maximum_weight_recommendation', 'display_maximum_weight_recommendation_unit_of_measure', 'seating_capacity', 'fit_type', 'athlete', 'style_name', 'team_name', 'power_source_type', 'special_features', 'capacity_name_unit_of_measure', 'load_capacity', 'load_capacity_unit_of_measure', 'capacity_name', 'specific_uses_for_product', 'compatible_devices', 'maximum_weight_recommendation', 'maximum_weight_recommendation_unit_of_measure', 'maximum_weight_capacity', 'maximum_weight_capacity_unit_of_measure', 'unit_count_type', 'batteries_required', 'battery_type', 'number_of_batteries', 'battery_average_life', 'lithium_battery_packaging', 'lithium_battery_weight']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "generic_keywords": "generic_keywords",
            "fulfillment_latency": "'5'",
            "condition_type": "'New'",
            "currency": "'USD'",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'ColorSize'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'ColorName'
        return variation_theme

    def getOtherAttributes(self,attributes):
        '''其余属性'''
        otherAttributes = []
        for attribute in attributes:
            if attribute.attr_name_en and attribute.attr_name_en !='size' and attribute.attr_name_en !='colour':
                otherAttributes.append({attribute.attr_name_en:attribute.attr_value_en})
        return otherAttributes

#汽配
class AutoAccessoryUS(ColumnConfig):
    line = [
        ['TemplateType=AutoAccessory','Version=2015.1207','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','','Offer - These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','Dimensions - These attributes specify the size and weight of a product','','','','','','','','','','','','Discovery - These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','','Images - These attributes provide links to images for a product','','','','','','','','','Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','Variation - Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold','','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',''],
        ['Seller SKU','Product ID','Product ID Type','Product Name','Manufacturer','Manufacturer Part Number','Product Type','Item Type Keyword','Clothing Type','Product Description','Brand Name','Update Delete','Package Quantity','Product Tax Code','Launch Date','Release Date','Restock Date','Minimum Advertised Price','Manufacturer''s Suggested Retail Price','Standard Price','Sale Price','Sale Start Date','Sale End Date','Item Condition','Offer Condition Note','Quantity','Fulfillment Latency','Max Aggregate Ship Quantity','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued by Manufacturer','Registered Parameter','Shipping-Template','Item Volume Unit Of Measure','Volume','Item Weight Unit Of Measure','Item Weight','Item Length Unit Of Measure','Item Length','Item Height','Item Width','Website Shipping Weight Unit Of Measure','Shipping Weight','Item Display Diameter Unit Of Measure','Diameter','Style-specific Terms','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Used For1 - Used For3','Target Audience','Search Terms','Catalog Number','Subject Matter','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Swatch Image URL','Fulfillment Center ID','Parentage','Parent SKU','Relationship Type','Variation Theme','Legal Disclaimer','Consumer Notice','Cpsia Warning','CPSIA Warning Description','Country of Publication','Body Part Exterior Finish','Color','Color Map','OE Manufacturer','Part Interchange Info','Department','Series','Other Attributes','Part Type ID','Size','Size Map','Material','Viscosity','Orientation','Mirror Adjustment','Mirror Turn Signal Indicator','Additional Features','External Testing Certification','Light Source Type','Window Regulator Lift Type','Manufacturer Warranty Description','Occasion Lifestyle','Fabric Type','Inner Material','Outer Material','Sole Material','Vehicle Type Compatibility','Voltage','Wattage','Amperage Unit Of Measure','Amperage','Manufacturer Warranty Type'],
        ['item_sku','external_product_id','external_product_id_type','item_name','manufacturer','part_number','feed_product_type','item_type','product_subtype','product_description','brand_name','update_delete','item_package_quantity','product_tax_code','product_site_launch_date','merchant_release_date','restock_date','map_price','list_price','standard_price','sale_price','sale_from_date','sale_end_date','condition_type','condition_note','quantity','fulfillment_latency','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','missing_keyset_reason','merchant_shipping_group_name','item_volume_unit_of_measure','item_volume','item_weight_unit_of_measure','item_weight','item_length_unit_of_measure','item_length','item_height','item_width','website_shipping_weight_unit_of_measure','website_shipping_weight','item_display_diameter_unit_of_measure','item_display_diameter','style_keywords','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','specific_uses_keywords','target_audience_keywords','generic_keywords','catalog_number','thesaurus_subject_keywords','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','swatch_image_url','fulfillment_center_id','parent_child','parent_sku','relationship_type','variation_theme','legal_disclaimer_description','prop_65','cpsia_cautionary_statement','cpsia_cautionary_description','country_of_origin','exterior_finish','color_name','color_map','oe_manufacturer','part_interchange_info','department_name','model_name','thesaurus_attribute_keywords','part_type_id','size_name','size_map','material_type','viscosity','orientation','control_type','light_type','special_features','external_testing_certification','light_source_type','operation_mode','warranty_description','lifestyle','fabric_type','inner_material_type','outer_material_type','sole_material','compatible_with_vehicle_type','voltage','wattage','amperage_unit_of_measure','amperage','mfg_warranty_description_type']
    ]

    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "recommended_browse_nodes": "item_type",
            "feed_product_type": "feed_product_type",
            "generic_keywords": "generic_keywordsString",
            "fulfillment_latency": "'2'",
            "condition_type": "'New'",
            "currency": "'USD'",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeName - ColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme


#玩具
class ToysUS(ColumnConfig):
    line = [
        ['TemplateType=toys','Version=2016.0617','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','','','Offer-These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','','Dimensions-These attributes specify the size and weight of a product','','','','','','','','Discovery-These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','','','','Images-These attributes provide links to images for a product','','','','','Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','','','','','','','Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold','','','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','',''],
        ['Seller SKU','Product ID','Product ID Type','Item Type Keyword','Product Name','Brand Name','Manufacturer','Manufacturer Part Number','Product Description','Edition','Update Delete','Related Product Identifier Type','Related Product Identifier','Product Tax Code','Launch Date','Stop Selling Date','Item Condition','Offer Condition Note','Is Gift Wrap Available','Offering Can Be Gift Messaged','Minimum Advertised Price','Manufacturer''s Suggested Retail Price','Standard Price','Quantity','Release Date','Fulfillment Latency','Restock Date','Sale Price','Sale Start Date','Sale End Date','Package Quantity','Max Aggregate Ship Quantity','Is Discontinued by Manufacturer','Registered Parameter','Shipping-Template','Item Weight','Item Weight Unit Of Measure','Item Height','Item Length','Item Width','Item Length Unit Of Measure','Shipping Weight','Website Shipping Weight Unit Of Measure','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Intended Use','Target Audience1','Target Audience2','Target Audience3','Subject Matter','Search Terms','Catalog Number','Style-specific Terms','Swatch Image URL','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Fulfillment Center ID','Package Length','Package Width','Package Height','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Consumer Notice','Cpsia Warning','CPSIA Warning Description','Legal Disclaimer','Safety Warning','Country of Publication','Minimum Manufacturer Age Recommended','Minimum Manufacturer Age Recommended Unit Of Measure','Maximum Manufacturer Age Recommended','Maximum Manufacturer Age Recommended Unit Of Measure','Other Attributes','Theme','Character','Educational Objective','Size','Size Map','Scale','Collection Name','rarity','Specific Uses For Product','Genre','Material Type','Assembly Time','Assembly Time Unit Of Measure','Manufacturer Warranty Description','Number of Pieces','Number of Players','Weight Supported','Maximum Weight Recommendation Unit Of Measure','Colour1','Colour2','Colour Map'],
        ['item_sku','external_product_id','external_product_id_type','item_type','item_name','brand_name','manufacturer','part_number','product_description','edition','update_delete','related_product_id_type','related_product_id','product_tax_code','product_site_launch_date','offering_end_date','condition_type','condition_note','offering_can_be_giftwrapped','offering_can_be_gift_messaged','map_price','list_price','standard_price','quantity','merchant_release_date','fulfillment_latency','restock_date','sale_price','sale_from_date','sale_end_date','item_package_quantity','max_aggregate_ship_quantity','is_discontinued_by_manufacturer','missing_keyset_reason','merchant_shipping_group_name','item_weight','item_weight_unit_of_measure','item_height','item_length','item_width','item_length_unit_of_measure','website_shipping_weight','website_shipping_weight_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','specific_uses_keywords','target_audience_keywords1','target_audience_keywords2','target_audience_keywords3','thesaurus_subject_keywords','generic_keywords','catalog_number','style_keywords','swatch_image_url','main_image_url','other_image_url1','other_image_url2','other_image_url3','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','prop_65','cpsia_cautionary_statement','cpsia_cautionary_description','legal_disclaimer_description','safety_warning','country_of_origin','mfg_minimum','mfg_minimum_unit_of_measure','mfg_maximum','mfg_maximum_unit_of_measure','thesaurus_attribute_keywords','theme','subject_character','educational_objective','size_name','size_map','scale_name','collection_name','initial_print_run_rarity','specific_uses_for_product','genre','material_type','assembly_time','assembly_time_unit_of_measure','warranty_description','number_of_pieces','number_of_players','maximum_weight_recommendation','maximum_weight_recommendation_unit_of_measure','color_name1','color_name2','color_map']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "condition_type": "'New'",
            "condition_note": "'New'",
            "specific_uses_keywords": "specific_uses_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "generic_keywords": "generic_keywordsString",
            "mfg_minimum": "mfg_minimum",
            "mfg_minimum_unit_of_measure": "mfg_minimum_unit_of_measure",
            "currency": "'USD'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

class CameraUS(ColumnConfig):
    line = [
        ['TemplateType=CameraAndPhoto', 'Version=2015.1203', 'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '', '', '', '', '', 'Offer - These attributes are required to make your item buyable for customers on the site', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'Dimensions - These attributes specify the size and weight of a product', '', '', '', '', '', '', '', 'Discovery - These attributes have an effect on how customers can find your product on the site using browse or search', '', '', '', '', '', '', 'Images - These attributes provide links to images for a product', '', '', '', 'Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.', '', '', '', '', '', '', 'Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold', '', '', '', '', '', 'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
        ['Seller SKU', 'Product ID', 'Product ID Type', 'Title', 'Brand', 'Manufacturer', 'Description', 'Item Type', 'Product Type', 'Mfr Part Number', 'Model Number', 'Update Delete', 'Standard Price', "Manufacturer's Suggested Retail Price", 'Quantity', 'Max Order Quantity', 'Item Condition', 'Condition Note', 'Minimum Advertised Price', 'Sale Price', 'Sale Start Date', 'Sale End Date', 'Product Tax Code', 'Launch Date', 'Release Date', 'Fulfillment Latency', 'Restock Date', 'Maximum Aggregate Ship Quantity', 'Offering Can Be Gift Messaged', 'Is Gift Wrap Available', 'Is Discontinued By Manufacturer', 'Registered Parameter', 'Shipping-Template', 'Shipping Weight', 'Website Shipping Weight Unit Of Measure', 'Item Length', 'Item Width', 'Item Height', 'Item Length Unit Of Measure', 'Item Weight', 'Item Weight Unit Of Measure', 'Bullet Point1', 'Bullet Point2', 'Bullet Point3', 'Bullet Point4', 'Bullet Point5', 'Search Terms', 'Style-specific Terms', 'Main Image URL', 'Other Image URL1', 'Other Image URL2', 'Other Image URL3', 'Fulfillment Center ID', 'Package Height', 'Package Width', 'Package Length', 'Package Dimensions Unit Of Measure', 'Package Weight', 'Package Weight Unit Of Measure', 'Country of Origin', 'Legal Disclaimer', 'Prop 65', 'Warnings', 'Cpsia Warning', 'CPSIA Warning Description', 'Number of Batteries Required', 'BatteryType', 'Battery Cell Type', 'Manufacturer Warranty Type', 'Manufacturer Parts Warranty', 'Alarm Clock', 'Compatible Camera Mount', 'Image Sensor Type', 'Media Storage', 'Mounting Type', 'Number of Included Cameras', 'Remote', 'Signal Type', 'Video Resolution', 'Wireless Technology', 'Features', 'Digital Zoom', 'External Memory Included', 'Focus Features', 'Geotagging or GPS Functionality', 'Image Format', 'Internal Memory Size', 'Internal Memory Type', 'LCD Screen Size', 'Monitor Size Unit Of Measure', 'Sensor Type', 'Total Number of HDMI Ports', 'Total USB 2.0 Ports', 'Total USB 3.0 Ports', 'Touchscreen', 'ISO Range', 'Optical Zoom', 'Minimum Focal Length', 'Water Resistance Level', 'Lens Type', 'Computer Platform', 'Maximum Aperture', 'Maximum Focal Length', 'Minimum Aperture', 'Viewfinder Type', 'Lighting Type', 'Specific Uses', 'Mount Type', 'Thread Size', 'Special Effect', 'Flash Type', 'Flash Dedication', 'Objective Lens Diameter', 'Real Angle of View', 'Focus Type', 'Film Format', 'Continuous Shooting', 'Exposure Control', 'Flash Modes', 'Macro Focus', 'Maximum Shutter Speed', 'Minimum Shutter Speed', 'Metering Methods', 'Size', 'Outdoor Use', 'Display Size', 'Focal Type', 'Head Type', 'Material Type', 'Power Source', 'Mount'],
        ['item_sku', 'external_product_id', 'external_product_id_type', 'item_name', 'brand_name', 'manufacturer', 'product_description', 'item_type', 'feed_product_type', 'part_number', 'model', 'update_delete', 'standard_price', 'list_price', 'quantity', 'max_order_quantity', 'condition_type', 'condition_note', 'map_price', 'sale_price', 'sale_from_date', 'sale_end_date', 'product_tax_code', 'product_site_launch_date', 'merchant_release_date', 'fulfillment_latency', 'restock_date', 'max_aggregate_ship_quantity', 'offering_can_be_gift_messaged', 'offering_can_be_giftwrapped', 'is_discontinued_by_manufacturer', 'missing_keyset_reason', 'merchant_shipping_group_name', 'website_shipping_weight', 'website_shipping_weight_unit_of_measure', 'item_length', 'item_width', 'item_height', 'item_length_unit_of_measure', 'item_weight', 'item_weight_unit_of_measure', 'bullet_point1', 'bullet_point2', 'bullet_point3', 'bullet_point4', 'bullet_point5', 'generic_keywords', 'style_keywords', 'main_image_url', 'other_image_url1', 'other_image_url2', 'other_image_url3', 'fulfillment_center_id', 'package_height', 'package_width', 'package_length', 'package_dimensions_unit_of_measure', 'package_weight', 'package_weight_unit_of_measure', 'country_of_origin', 'legal_disclaimer_description', 'prop_65', 'safety_warning', 'cpsia_cautionary_statement', 'cpsia_cautionary_description', 'number_of_batteries', 'battery_type', 'battery_cell_composition', 'mfg_warranty_description_type', 'mfg_warranty_description_parts', 'alarm_clock', 'compatible_mountings', 'optical_sensor_technology', 'media_format_digital_video', 'mounting_type', 'included_components', 'remote_control_description', 'signal_format', 'video_capture_resolution', 'wireless_communication_technology', 'special_features', 'digital_zoom', 'includes_external_memory', 'focus_description', 'gps_navigation', 'supported_image_type', 'computer_memory_size', 'ram_memory_technology', 'monitor_size', 'monitor_size_unit_of_measure', 'photo_sensor_technology', 'total_hdmi_ports', 'total_usb_2_0_ports', 'total_usb_3_0_ports', 'human_interface_input', 'iso_range', 'optical_zoom', 'min_focal_length', 'water_resistance_level', 'lens_type', 'platform', 'max_aperture', 'max_focal_length', 'min_aperture', 'viewfinder_type', 'film_lighting_type', 'specific_uses_for_product', 'photo_filter_mount_type', 'photo_filter_thread_size', 'photo_filter_effect_type', 'included_flash_type', 'flash_dedication', 'objective_lens_diameter', 'real_angle_of_view', 'focus_type', 'film_format_type', 'continuous_shooting_speed', 'exposure_control_type', 'flash_modes_description', 'macro_focus_range', 'max_shutter_speed', 'min_shutter_speed', 'metering_description', 'size_name', 'specification_met', 'display_size', 'zoom_type', 'tripod_head_type', 'material_type', 'power_source_type', 'telescope_mount_description']
    ]

    def getConfig(self,product_type='fatherchild',attributes=None):
        config = {
            "feed_product_type": "feed_product_type",
            # "fulfillment_latency": "'5'",
            "condition_type": "'New'",
            "condition_note": "'New'",
            "generic_keywords": "generic_keywords",
            "currency": "'USD'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
#办公
class OfficeUS(ColumnConfig):
    line = [
        ['TemplateType=Office','Version=2015.1204','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','Offer - These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','Dimensions - These attributes specify the size and weight of a product','','','','','','','','Discovery - These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','Images - These attributes provide links to images for a product','','','','','','','Fulfillment - Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','Variation - Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance - Attributes used to comply with consumer laws in the country or region where the item is sold','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','',''],
        ['Seller SKU','Product ID','Product ID Type','Product Type','Product Name','Brand Name','Manufacturer','Manufacturer Part Number','Product Description','Category (item-type)','Update Delete','Product Tax Code','Launch Date','Is Gift Wrap Available','Offering Can Be Gift Messaged','Package Quantity','Manufacturer''s Suggested Retail Price','Standard Price','Sale Price','Sale Start Date','Sale End Date','Quantity','Fulfillment Latency','Release Date','Restock Date','Max Aggregate Ship Quantity','Is Discontinued by Manufacturer','Registered Parameter','Max Order Quantity','Shipping-Template','Item Weight Unit Of Measure','Item Weight','Item Length Unit Of Measure','Item Height','Item Length','Item Width','Website Shipping Weight Unit Of Measure','Shipping Weight','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Intended Use','Target Audience','Subject Matter','Catalog Number','Search Terms','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Fulfillment Center ID','Parentage','Parent SKU','Relationship Type','Variation Theme','Cpsia Warning','CPSIA Warning Description','Prop 65','Other Attributes','Printer Connectivity Type','Printer Type','Printer Output Type','Max Print Speed Colour','Max Print Speed Black and White','Ink Colour','Colour Map','Power Source','Color','Additional Features','BatteryType','Telephone Frequency','Computer Platform','Material Type','Size','Line Size','Line Size Unit Of Measure','Maximum Expandable Size','Maximum Size Unit Of Measure','paper-size','Paper Finish','Brightness','Display Type','Display Technology'],
        ['item_sku','external_product_id','external_product_id_type','feed_product_type','item_name','brand_name','manufacturer','part_number','product_description','item_type','update_delete','product_tax_code','product_site_launch_date','offering_can_be_giftwrapped','offering_can_be_gift_messaged','item_package_quantity','list_price','standard_price','sale_price','sale_from_date','sale_end_date','quantity','fulfillment_latency','merchant_release_date','restock_date','max_aggregate_ship_quantity','is_discontinued_by_manufacturer','missing_keyset_reason','max_order_quantity','merchant_shipping_group_name','item_weight_unit_of_measure','item_weight','item_length_unit_of_measure','item_height','item_length','item_width','website_shipping_weight_unit_of_measure','website_shipping_weight','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','specific_uses_keywords','target_audience_keywords','thesaurus_subject_keywords','catalog_number','generic_keywords','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','fulfillment_center_id','parent_child','parent_sku','relationship_type','variation_theme','cpsia_cautionary_statement','cpsia_cautionary_description','prop_65','thesaurus_attribute_keywords','connectivity_technology','printer_technology','printer_output','max_printspeed_color','max_printspeed_black_white','ink_color','color_map','power_source_type','color_name','special_features','battery_type','radio_bands_supported','operating_system','material_type','size_name','line_size','line_size_unit_of_measure','maximum_size','maximum_size_unit_of_measure','paper_size','paper_finish','brightness','display_type','display_technology']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "generic_keywords": "generic_keywordsString",
            "currency": "'USD'",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeName-ColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'colur'
        return variation_theme

#手表
class Watches(ColumnConfig):
    line = [
        ["TemplateType=watches","Version=2016.0719","The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.","","","","","","","","Offer-These attributes are required to make your item buyable for customers on the site","","","","","","","","","","","","","","","","","","","","","","","Dimensions-These attributes specify the size and weight of a product","","Discovery-These attributes have an effect on how customers can find your product on the site using browse or search","","","","","","","","","","","","","","","Images-These attributes provide links to images for a product","","","","","","","","","Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.","","","","","","","Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold","","","Ungrouped - These attributes create rich product listings for your buyers.","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""],
        ["Seller SKU","Product ID","Product ID Type","Product Name","Manufacturer","Manufacturer Part Number","Brand","Item Type Keyword","Product Description","Update Delete","Standard Price","Item Condition","Condition Note","Launch Date","Release Date","Product Tax Code","Item Package Quantity","Manufacturer's Suggested Retail Price","Sale Price","Sale Start Date","Sale End Date","Quantity","Restock Date","Fulfillment Latency","Max Aggregate Ship Quantity","Offering Can Be Gift Messaged","Is Gift Wrap Available","Is Discontinued By Manufacturer","Registered Parameter","Make an Offer Eligible","Make an Offer Auto-Accept Threshold","Make an Offer Auto-Reject Threshold","Shipping-Template","Website Shipping Weight Unit Of Measure","Shipping Weight","Target Audience","Merchant Catalog Number","Intended Use1","Intended Use2","Intended Use3","Intended Use4","Intended Use5","Subject Matter","Search Terms1","Search Terms2","Key Product Features1","Key Product Features2","Key Product Features3","Key Product Features4","Key Product Features5","Main Image URL","Other Image URL1","Other Image URL2","Other Image URL3","Other Image URL4","Other Image URL5","Other Image URL6","Other Image URL7","Other Image URL8","Fulfillment Center ID","Package Length","Package Weight","Package Height","Package Dimensions Unit Of Measure","Package Width","Package Weight Unit Of Measure","Prop 65","Cpsia Warning","CPSIA Warning Description","Gender","Other Attributes1","Other Attributes2","Other Attributes3","Other Attributes4","Other Attributes5","Band Material Type","Band Size","Band Width","Band Width Unit Of Measure","Band Color","Clasp Type","Case Material Type","Case Size Thickness","Case Diameter","Case Diameter Unit Of Measure","Metal Stamp","Dial Color","Bezel Material Type","Bezel Function","Crystal","Display","Shape","Watch Movement Type","Calendar Type","Water Resistance Depth","Water Resistance Depth Unit Of Measure","Warranty Type","Additional Features","Character","Grade Rating","Authenticated By","Model Year"],
        ["item_sku","external_product_id","external_product_id_type","item_name","manufacturer","part_number","brand_name","item_type","product_description","update_delete","standard_price","condition_type","condition_note","product_site_launch_date","merchant_release_date","product_tax_code","item_package_quantity","list_price","sale_price","sale_from_date","sale_end_date","quantity","restock_date","fulfillment_latency","max_aggregate_ship_quantity","offering_can_be_gift_messaged","offering_can_be_giftwrapped","is_discontinued_by_manufacturer","missing_keyset_reason","make_an_offer_eligibility","minimum_accept_percentage","maximum_reject_percentage","merchant_shipping_group_name","website_shipping_weight_unit_of_measure","website_shipping_weight","target_audience_keywords","catalog_number","specific_uses_keywords1","specific_uses_keywords2","specific_uses_keywords3","specific_uses_keywords4","specific_uses_keywords5","thesaurus_subject_keywords","generic_keywords1","generic_keywords2","bullet_point1","bullet_point2","bullet_point3","bullet_point4","bullet_point5","main_image_url","other_image_url1","other_image_url2","other_image_url3","other_image_url4","other_image_url5","other_image_url6","other_image_url7","other_image_url8","fulfillment_center_id","package_length","package_weight","package_height","package_dimensions_unit_of_measure","package_width","package_weight_unit_of_measure","prop_65","cpsia_cautionary_statement","cpsia_cautionary_description","department_name","thesaurus_attribute_keywords1","thesaurus_attribute_keywords2","thesaurus_attribute_keywords3","thesaurus_attribute_keywords4","thesaurus_attribute_keywords5","band_material_type","band_size","band_width","band_width_unit_of_measure","band_color","clasp_type","case_material_type","case_thickness","case_diameter","case_diameter_unit_of_measure","metal_stamp","dial_color","bezel_material_type","bezel_function","dial_window_material_type","display_type","item_shape","watch_movement_type","calendar_type","water_resistance_depth","water_resistance_depth_unit_of_measure","warranty_type","special_features","subject_character","grade_rating","authenticated_by","model_year"]
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "generic_keywords": "generic_keywordsString",
            "currency": "'USD'",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

#饰品
#JewelryUS and CosmetologyUS add by 2017.07.07
class Jewelry(ColumnConfig):
    line = [
        ["TemplateType=jewelry","Version=2017.0502","The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.","","","","","","","","Offer-These attributes are required to make your item buyable for customers on the site","","","","","","","","","","","","","","","","","","","","","","","Dimensions-These attributes specify the size and weight of a product","","Discovery-These attributes have an effect on how customers can find your product on the site using browse or search","","","","","","","","","","","","","","","Images-These attributes provide links to images for a product","","","","","","","","","Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.","","","","","","","Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold","","","Ungrouped - These attributes create rich product listings for your buyers.","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""],
        ["Seller SKU","Title","Manufacturer","Model Number","Product Type","Item Type Keyword","Brand Name","Update Delete","Product ID","Product ID Type","Product Description","Standard Price","Quantity","Launch Date","Product Tax Code","Manufacturer's Suggested Retail Price","Sale Price","Sale Start Date","Sale End Date","Release Date","Package Quantity","Production Time","Restock Date","Max Aggregate Ship Quantity","Offering Can Be Gift Messaged","Is Gift Wrap Available","Is Discontinued by Manufacturer","Shipping Weight","Website Shipping Weight Unit Of Measure","Width","Item Display Length","Display Dimensions Unit Of Measure","Item Length","Item Width","Item Height","Item Dimensions Unit Of Measure","Key Product Features1","Key Product Features2","Key Product Features3","Key Product Features4","Key Product Features5","Target Audience1","Target Audience2","Target Audience3","Catalog Number","Intended Use1","Intended Use2","Intended Use3","Intended Use4","Intended Use5","Subject Matter1","Subject Matter2","Subject Matter3","Subject Matter4","Subject Matter5","Search Terms","Main Image URL","Swatch Image URL","Other Image URL1","Other Image URL2","Other Image URL3","Other Image URL4","Other Image URL5","Other Image URL6","Other Image URL7","Other Image URL8","Other Image URL9","Fulfillment Center ID","Package Width","Package Weight Unit Of Measure","Package Weight","Package Length","Package Height","Package Dimensions Unit Of Measure","Parentage","Parent SKU","Relationship Type","Variation Theme","Country of Publication","Consumer Notice","Cpsia Warning1","Cpsia Warning2","Cpsia Warning3","Cpsia Warning4","CPSIA Warning Description","Gender","Other Attributes1","Other Attributes2","Other Attributes3","Other Attributes4","Other Attributes5","Total Metal Weight","Total Metal Weight Unit Of Measure","Total Diamond Weight","Total Diamond Weight Unit Of Measure","Total Gem Weight","Total Gem Weight Unit Of Measure","Material Type","Metal Type","Metal Stamp","Setting Type","Number Of Stones","Clasp Type","Chain Type","Ring Size","Ring Sizing Lower Range","Ring Sizing Upper Range","Back Finding","Gem Type1","Gem Type2","Gem Type3","Stone Cut","Stone Color1","Stone Color2","Stone Clarity1","Stone Clarity2","Stone Shape1","Stone Shape2","Stone Creation Method1","Stone Creation Method2","Stone Treatment Method1","Stone Treatment Method2","Stone Weight1","Stone Weight2","Certificate Type","Pearl Type","Pearl Minimum Color","Pearl Lustre","Pearl Shape","Pearl Uniformity","Pearl Surface Blemishes","Pearl Stringing Method","Size Per Pearl","Number Of Pearls","Style","Color","Colour Map","Stone Weight Unit of Measure1","Stone Weight Unit of Measure2","Stone Weight Unit of Measure3"],
        ["item_sku","item_name","manufacturer","model","feed_product_type","item_type","brand_name","update_delete","external_product_id","external_product_id_type","product_description","standard_price","quantity","product_site_launch_date","product_tax_code","list_price","sale_price","sale_from_date","sale_end_date","merchant_release_date","item_package_quantity","fulfillment_latency","restock_date","max_aggregate_ship_quantity","offering_can_be_gift_messaged","offering_can_be_giftwrapped","is_discontinued_by_manufacturer","website_shipping_weight","website_shipping_weight_unit_of_measure","item_display_width","item_display_length","display_dimensions_unit_of_measure","item_length","item_width","item_height","item_dimensions_unit_of_measure","bullet_point1","bullet_point2","bullet_point3","bullet_point4","bullet_point5","target_audience_keywords1","target_audience_keywords2","target_audience_keywords3","catalog_number","specific_uses_keywords1","specific_uses_keywords2","specific_uses_keywords3","specific_uses_keywords4","specific_uses_keywords5","thesaurus_subject_keywords1","thesaurus_subject_keywords2","thesaurus_subject_keywords3","thesaurus_subject_keywords4","thesaurus_subject_keywords5","generic_keywords","main_image_url","swatch_image_url","other_image_url1","other_image_url2","other_image_url3","other_image_url4","other_image_url5","other_image_url6","other_image_url7","other_image_url8","other_image_url9","fulfillment_center_id","package_width","package_weight_unit_of_measure","package_weight","package_length","package_height","package_dimensions_unit_of_measure","parent_child","parent_sku","relationship_type","variation_theme","country_of_origin","prop_65","cpsia_cautionary_statement1","cpsia_cautionary_statement2","cpsia_cautionary_statement3","cpsia_cautionary_statement4","cpsia_cautionary_description","department_name","thesaurus_attribute_keywords1","thesaurus_attribute_keywords2","thesaurus_attribute_keywords3","thesaurus_attribute_keywords4","thesaurus_attribute_keywords5","total_metal_weight","total_metal_weight_unit_of_measure","total_diamond_weight","total_diamond_weight_unit_of_measure","total_gem_weight","total_gem_weight_unit_of_measure","material_type","metal_type","metal_stamp","setting_type","number_of_stones","clasp_type","chain_type","ring_size","ring_sizing_lower_range","ring_sizing_upper_range","back_finding","gem_type1","gem_type2","gem_type3","stone_cut","stone_color1","stone_color2","stone_clarity1","stone_clarity2","stone_shape1","stone_shape2","stone_creation_method1","stone_creation_method2","stone_treatment_method1","stone_treatment_method2","stone_weight1","stone_weight2","certificate_type","pearl_type","pearl_minimum_color","pearl_lustre","pearl_shape","pearl_uniformity","pearl_surface_blemishes","pearl_stringing_method","size_per_pearl","number_of_pearls","style_name","color_name","color_map","stone_weight_unit_of_measure1","stone_weight_unit_of_measure2","stone_weight_unit_of_measure3"]
    ]

    # def getConfig(self, product_type='fatherchild', attributes=None):
    #     config = {
    #         "feed_product_type": "feed_product_type",
    #         "fulfillment_latency": "'5'",
    #         "generic_keywords": "generic_keywordsString",
    #         "currency": "'USD'",
    #     }
    #     self.config.update(config)
    #     return self.config

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "generic_keywords": "generic_keywordsString",
            "currency": "'USD'",
            "color_name": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

#美容
#JewelryUS and CosmetologyUS add by 2017.07.07
class Cosmetology(ColumnConfig):
    line = [
        ["TemplateType=cosmetology","Version=2015.1203","The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.","","","","","","","","Offer-These attributes are required to make your item buyable for customers on the site","","","","","","","","","","","","","","","","","","","","","","","Dimensions-These attributes specify the size and weight of a product","","Discovery-These attributes have an effect on how customers can find your product on the site using browse or search","","","","","","","","","","","","","","","Images-These attributes provide links to images for a product","","","","","","","","","Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.","","","","","","","Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold","","","Ungrouped - These attributes create rich product listings for your buyers.","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","","",""],
        ["SKU","Product ID","Product ID Type","Product Name","Brand Name","Manufacturer","Manufacturer Part Number","Product Description","Product Type","Item Type Keyword","Update Delete","Quantity","Standard Price","Max Order Quantity","Fulfillment Latency","Restock Date","Is Discontinued by Manufacturer","Max Aggregate Ship Quantity","Product Tax Code","Launch Date","Release Date","Manufacturer's Suggested Retail Price","Sale Price","Sale Start Date","Sale End Date","Package Quantity","Offering Can Be Gift Messaged","Is Gift Wrap Available","Registered Parameter","Shipping-Template","Website Shipping Weight Unit Of Measure","Shipping Weight","Item Weight Unit Of Measure","Item Weight","Item Length Unit Of Measure","Item Length","Item Width","Item Height","Catalog Number","Key Product Features","Key Product Features","Key Product Features","Key Product Features","Key Product Features","Intended Use","Intended Use","Subject Matter","Target Audience","Target Audience","Target Audience","Search Terms1","Search Terms2","Main Image URL","Swatch Image URL","Other Image URL","Other Image URL","Other Image URL","Fulfillment Center ID","Parentage","Parent SKU","Relationship Type","Variation Theme","Legal Disclaimer","Consumer Notice","Cpsia Warning","CPSIA Warning Description","Safety Warning","Other Attributes","Unit Count Type","Unit Count","Size","Color","Scent Name","Flavor","Skin Type","Material Type","Hair Type","Target Gender","Item Form","Ingredients","Indications","Directions","Specialty","BatteryType","Number of Batteries Required","Lithium Battery Weight","Style Name","Model Name"],
        ["item_sku","external_product_id","external_product_id_type","item_name","brand_name","manufacturer","part_number","product_description","feed_product_type","item_type","update_delete","quantity","standard_price","max_order_quantity","fulfillment_latency","restock_date","is_discontinued_by_manufacturer","max_aggregate_ship_quantity","product_tax_code","product_site_launch_date","merchant_release_date","list_price","sale_price","sale_from_date","sale_end_date","item_package_quantity","offering_can_be_gift_messaged","offering_can_be_giftwrapped","missing_keyset_reason","merchant_shipping_group_name","website_shipping_weight_unit_of_measure","website_shipping_weight","item_weight_unit_of_measure","item_weight","item_length_unit_of_measure","item_length","item_width","item_height","catalog_number","bullet_point1","bullet_point2","bullet_point3","bullet_point4","bullet_point5","specific_uses_keywords1","specific_uses_keywords2","thesaurus_subject_keywords","target_audience_keywords1","target_audience_keywords2","target_audience_keywords3","generic_keywords1","generic_keywords2","main_image_url","swatch_image_url","other_image_url1","other_image_url2","other_image_url3","fulfillment_center_id","parent_child","parent_sku","relationship_type","variation_theme","legal_disclaimer_description","prop_65","cpsia_cautionary_statement","cpsia_cautionary_description","safety_warning","thesaurus_attribute_keywords","unit_count_type","unit_count","size_name","color_name","scent_name","flavor_name","skin_type","material_type","hair_type","target_gender","item_form","ingredients","indications","directions","specialty","battery_type","number_of_batteries","lithium_battery_weight","style_name","model_name"]
    ]

    # def getConfig(self, product_type='fatherchild', attributes=None):
    #     config = {
    #         "feed_product_type": "feed_product_type",
    #         "fulfillment_latency": "'2'",
    #         "quantity": "'100'",
    #         "generic_keywords": "generic_keywordsString",
    #         "currency": "'USD'",
    #     }
    #     self.config.update(config)
    #     return self.config

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'2'",
            "quantity": "'100'",
            "generic_keywords": "generic_keywordsString",
            "currency": "'USD'",
            "color_name": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

def getAmazonTemplateCSVInfo_UK(template):
    # 服装
    if template == "ClothingUK_CL":
        return ClothingUK_CL()
        # # 珠宝
        # elif template == "JewelryUS":
        #     return JewelryUS()
        # 家居
    elif template == "HomeUK":
        return HomeUK()
    #办公
    elif template == "OfficeUK_OF":
        return OfficeUK_OF()
        # 玩具
    elif template == "ToyUK_TY":
        return ToyUK_TY()
    #户外
    elif template == "SportsUK_SP":
        return SportsUK_SP()
    #饰品
    elif template == "JewelryUK_JE":
        return JewelryUK_JE()
    #宠物
    elif template == "PetUK_PE":
        return PetUK_PE()
    #健康类
    elif template == "healthUK_HE":
        return healthUK_HE()
    #美容
    elif template == "beautyUK_BE":
        return beautyUK_BE()
class ColumnConfig:
    def __init__(self):
        self.config = {
            "product_subtype":"product_subtype",
            "item_sku": "thisSku_UK",
            "external_product_id": "EAN_id",
            "external_product_id_type": "EAN",
            "item_name": "thisTitle",
            "brand_name": "brand_UK",
            "manufacturer": "brand_UK",
            "part_number": "thisSku_UK",
            "feed_product_type": "feed_product_type",
            "product_description": "description",
            "standard_price": "standard_price_UK",
            "quantity": "quantity_UK",
            "condition_type": "condition_type",
            "website_shipping_weight_unit_of_measure": "website_shipping_weight_unit_of_measure",
            # "recommended_browse_nodes":"item_type",
            "generic_keywords1": "generic_keywords[0]",
            "generic_keywords2": "generic_keywords[1]",
            "generic_keywords3": "generic_keywords[2]",
            "generic_keywords4": "generic_keywords[3]",
            "generic_keywords5": "generic_keywords[4]",
            "bullet_point1": "bullet[0]",
            "bullet_point2": "bullet[1]",
            "bullet_point3": "bullet[2]",
            "bullet_point4": "bullet[3]",
            "bullet_point5": "bullet[4]",
            "main_image_url":"main_image",
            "swatch_image_url":"swatch_image_url",
            "other_image_url1": "imgurl[0]",
            "other_image_url2": "imgurl[1]",
            "other_image_url3": "imgurl[2]",
            "other_image_url4": "imgurl[3]",
            "other_image_url5": "imgurl[4]",
            "other_image_url6": "imgurl[5]",
            "other_image_url7": "imgurl[6]",
            "other_image_url8": "brand_image",
            "parent_child": "parent_child",
            "parent_sku": "parent_sku_UK",
            "variation_theme": "variation_theme",
            "relationship_type": "relationship_type",
            "color_name": "color_name",
            "recommended_browse_nodes":"pinlei",
        }

    def getHeadLine_UK(self):
        return self.line

    # UK家居
class HomeUK(ColumnConfig):
        '''line = [
            ['TemplateType=petsupplies','Version=2016.0617','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','','Offer-These attributes are required to make your item buyable for customers on the site','','','','','','','','','','','','','','','','','','','','','','','Dimensions-These attributes specify the size and weight of a product','','','','','','','','','','','','','','Discovery-These attributes have an effect on how customers can find your product on the site using browse or search','','','','','','','','','','','','','','Images-These attributes provide links to images for a product','','','','','','','','','','Fulfillment-Use these columns to provide fulfillment-related information for either Amazon-fulfilled (FBA) or seller-fulfilled orders.','','','','','','','Variation-Populate these attributes if your product is available in different variations (for example color or wattage)','','','','Compliance-Attributes used to comply with consumer laws in the country or region where the item is sold','','','','','','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','',''],
            ['Seller SKU','Product ID','Product ID Type','Product Name','Brand Name','Manufacturer','Product Description','Product Type','Item Type Keyword','Manufacturer Part Number','Update Delete','model','Package Quantity','Standard Price','Manufacturer''s Suggested Retail Price','Quantity','Minimum Advertised Price','Item Condition','Offer Condition Note','Product Tax Code','Launch Date','Release Date','Fulfillment Latency','Restock Date','Sale Price','Sale Start Date','Sale End Date','Max Aggregate Ship Quantity','Offering Can Be Gift Messaged','Is Gift Wrap Available','Is Discontinued by Manufacturer','Max Order Quantity','Number of Items','Offering Release Date','Shipping-Template','Shipping Weight','Website Shipping Weight Unit Of Measure','Item Display Weight','Item Display Weight Unit Of Measure','Item Display Length','DisplayWidth','DisplayHeight','DisplayDimensionUnitOfMeasure','item-height','item-length','Item Dimensions Unit Of Measure','item-weight','item-weight-unit-of-measure','item-width','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Target Audience','MerchantCatalogNumber','Search Terms1','Search Terms2','Subject Matter','Target Audience1','Target Audience2','Used For1 - Used For31','Used For1 - Used For32','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Swatch Image URL','Fulfillment Center ID','Package Height','Package Width','Package Length','Package Weight','Package Weight Unit Of Measure','PackageDimensionUnitOfMeasure','Parentage','Parent SKU','Relationship Type','Variation Theme','Prop65','Cpsia Warning','CPSIA Warning Description','Safety Warning','CountryAsLabeled','country-of-origin','legal-disclaimer-description','Lighting Facts Label','Energy Guide Label','Breed Recommendation','Other Attributes','Additional Features','Directions','Ingredients','Material Type','Closure Type','Compatible Devices','Age Range Description','Included Features','Specific Uses For Product','Color','Color Map','Size','Size Map','Flavor','Weight Supported','Weight Recommendation Unit Of Measure','External Testing Certification','Battery Type','Number of Batteries Required','Lithium Battery Weight','Wattage','Design','Minimum Weight Recommendation','lithium_battery_weight_unit_of_measure','Wattage Unit of Measure'],
            ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','manufacturer','product_description','feed_product_type','item_type','part_number','update_delete','model','item_package_quantity','standard_price','list_price','quantity','map_price','condition_type','condition_note','product_tax_code','product_site_launch_date','merchant_release_date','fulfillment_latency','restock_date','sale_price','sale_from_date','sale_end_date','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','max_order_quantity','number_of_items','offering_start_date','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_display_length','item_display_width','item_display_height','display_dimensions_unit_of_measure','item_height','item_length','item_dimensions_unit_of_measure','item_weight','item_weight_unit_of_measure','item_width','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','target_audience_base','catalog_number','generic_keywords1','generic_keywords2','thesaurus_subject_keywords','target_audience_keywords1','target_audience_keywords2','specific_uses_keywords1','specific_uses_keywords2','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','swatch_image_url','fulfillment_center_id','package_height','package_width','package_length','package_weight','package_weight_unit_of_measure','package_dimensions_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','prop_65','cpsia_cautionary_statement','cpsia_cautionary_description','safety_warning','country_string','country_of_origin','legal_disclaimer_description','lighting_facts_image_url','energy_efficiency_image_url','breed_recommendation','thesaurus_attribute_keywords','special_features','directions','ingredients','material_type','closure_type','compatible_devices','age_range_description','included_features','specific_uses_for_product','color_name','color_map','size_name','size_map','flavor_name','maximum_weight_recommendation','weight_recommendation_unit_of_measure','external_testing_certification','battery_type','number_of_batteries','lithium_battery_weight','wattage','pattern_name','minimum_weight_recommendation','lithium_battery_weight_unit_of_measure','wattage_unit_of_measure']
        ]'''

        line = [
            ['TemplateType = homeimprovement', 'Version = 2017.0228',
             'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '',
             '',
             'Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.',
             '', '', '', '', '',
             '', '', '', '', '', '', '', '', '', '', '', '',
             'Dimensions-Product Dimensions - These attributes specify the size and weight of a product.', '', '', '',
             '', '', '', '',
             '', '', '', '', '', '', '', '', '', '', '',
             'Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.',
             '', '', '', '',
             '',
             '', '', '', '', '', 'Images-Image Information - See Image Instructions tab for details.', '', '', '', '',
             '', '', '', '', '',
             'Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.',
             '', '',
             '', '', '', '', '', '',
             'Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).',
             '', '', '',
             'Ungrouped - These attributes create rich product listings for your buyers.',
             '', '', '', '', '', '', '', '', '',
             '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
             '',
             '', '', '', '', ''],
            ['Seller SKU', 'Product ID', 'Product ID Type',
             'Title', 'Brand', 'Manufacturer', 'Product Description', 'Standard Price', 'Quantity',
             'Production Time', 'Offer Condition Note', 'Launch Date', 'Release Date',
             'Number of Items', 'Item Package Quantity', 'Sale From Date', 'Sale End Date',
             'Sale Price', 'Is Gift Wrap Available?', 'Can Be Gift Messaged', 'Max Aggregate Ship Quantity',
             'Product Tax Code', 'Merchant Shipping Group',
             'Website Shipping Weight Unit Of Measure', 'Item Display Volume Unit Of Measure',
             'Item Display Weight Unit Of Measure', 'Item Display Length Unit Of Measure',
             'Item Display Width Unit Of Measure', 'Item Length Unit Of Measure', 'Item Width Unit Of Measure',
             'Item Height Unit Of Measure',
             'Item Weight Unit Of Measure', 'Search Terms1', 'Search Terms2', 'Search Terms3',
             'Search Terms4', 'Search Terms5', 'Bullet Point1', 'Bullet Point2',
             'Bullet Point3', 'Bullet Point4', 'Bullet Point5', 'Target Audience',
             'Swatch Image Url', 'Other Image URL1', 'Other Image URL2', 'Other Image URL3', 'Other Image URL4',
             'Other Image URL5', 'Other Image URL6', 'Other Image URL7', 'Package Height',
             'Package Height Unit Of Measure', 'Package Width Unit Of Measure', 'Package Length Unit Of Measure',
             'Package Weight Unit Of Measure',
             'Parentage', 'Parent SKU', 'Variation Theme', 'Relationship Type',
             'Colour', 'Colour Map', 'Pattern', 'Size', 'Material Type',
             'Style Name', 'Item Shape', 'Power and Plug Description', 'Voltage', 'Voltage Unit Of Measure',
             'Wattage', 'Wattage Unit Of Measure', 'Special Features', 'Specific Uses', 'Number of Pieces',
             'Head Style', 'Bulb Type', 'Energy Efficiency Features', 'UV Protection', 'Plug Format',
             'Compatible Devices', 'PPU Count', 'PPU Count Unit of Measure', 'Batteries are Included',
             'Are Batteries Required',
             'Battery Cell Composition', 'customer_restriction_type', 'Blade Length', 'Blade Length Unit Of Measure',
             'lighting_method', 'international_protection_rating', 'Maximum Supported Wattage',
             'start_up_time_description', 'light_source_operating_life',
             'Light Source Operating Life Unit Of Measure', 'beam_angle', 'Beam Angle Unit Of Measure', 'BatteryType1',
             'BatteryType2',
             'BatteryType3', 'Number of Batteries1', 'Number of Batteries2', 'Number of Batteries3'],
            ['item_sku', 'external_product_id', 'external_product_id_type', 'item_name', 'brand_name', 'manufacturer',
             'part_number', 'feed_product_type', 'product_description', 'update_delete', 'standard_price', 'quantity',
             'fulfillment_latency', 'condition_type', 'condition_note', 'product_site_launch_date',
             'merchant_release_date', 'number_of_items', 'item_package_quantity', 'sale_from_date', 'sale_end_date',
             'sale_price', 'offering_can_be_giftwrapped', 'offering_can_be_gift_messaged',
             'max_aggregate_ship_quantity', 'is_discontinued_by_manufacturer', 'product_tax_code',
             'merchant_shipping_group_name', 'website_shipping_weight', 'website_shipping_weight_unit_of_measure',
             'item_display_volume', 'item_display_volume_unit_of_measure', 'item_display_weight',
             'item_display_weight_unit_of_measure', 'item_display_length', 'item_display_length_unit_of_measure',
             'item_display_width', 'item_display_width_unit_of_measure', 'item_length', 'item_length_unit_of_measure',
             'item_width', 'item_width_unit_of_measure', 'item_height', 'item_height_unit_of_measure', 'item_weight',
             'item_weight_unit_of_measure',
             'recommended_browse_nodes', 'generic_keywords1', 'generic_keywords2', 'generic_keywords3',
             'generic_keywords4', 'generic_keywords5', 'bullet_point1', 'bullet_point2', 'bullet_point3',
             'bullet_point4', 'bullet_point5', 'target_audience_keywords', 'main_image_url', 'swatch_image_url',
             'other_image_url1', 'other_image_url2', 'other_image_url3', 'other_image_url4', 'other_image_url5',
             'other_image_url6', 'other_image_url7', 'other_image_url8', 'package_height',
             'package_height_unit_of_measure', 'package_width', 'package_width_unit_of_measure', 'package_length',
             'package_length_unit_of_measure', 'package_weight', 'package_weight_unit_of_measure',
             'fulfillment_center_id', 'parent_child', 'parent_sku', 'variation_theme', 'relationship_type',
             'color_name', 'color_map', 'pattern_name', 'size_name', 'material_type', 'style_name', 'item_shape',
             'power_source_type', 'voltage', 'voltage_unit_of_measure', 'wattage', 'wattage_unit_of_measure',
             'special_features', 'specific_uses_for_product', 'number_of_pieces', 'screw_head_style',
             'light_source_type', 'efficiency',
             'ultraviolet_light_protection', 'plug_type', 'compatible_devices', 'unit_count', 'unit_count_type',
             'are_batteries_included', 'batteries_required', 'battery_cell_composition', 'customer_restriction_type',
             'blade_length', 'blade_length_unit_of_measure', 'lighting_method', 'international_protection_rating',
             'maximum_compatible_light_source_wattage', 'start_up_time_description', 'light_source_operating_life',
             'light_source_operating_life_unit_of_measure', 'beam_angle', 'beam_angle_unit_of_measure', 'battery_type1',
             'battery_type2', 'battery_type3', 'number_of_batteries1', 'number_of_batteries2', 'number_of_batteries3']
        ]

        def getConfig(self, product_type='fatherchild', attributes=None):
            attr_color = ""
            attr_size = ""
            if product_type == 'child':
                if attributes:
                    for attribute in attributes:
                        if attribute.attr_name_en == 'size':
                            attr_size = attribute.attr_value_en
                        elif attribute.attr_name_en == 'colour':
                            attr_color = attribute.attr_value_en
            config = {
                "feed_product_type": "feed_product_type",
                "fulfillment_latency": "",
                "currency": "'USD'",
                "website_shipping_weight_unit_of_measure": "'GR'",
                "condition_type": "'New'",
                "condition_node": "'New'",
                "color_name": "'" + attr_color + "'",
                "color_map": "'" + attr_color + "'",
                "size_name": "'" + attr_size + "'",
                "size_map": "'" + attr_size + "'",
                "other_image_url3": "brand_image",
                "model": "''",
            }
            self.config.update(config)
            return self.config

        def getSecondVariationTheme(self, attributesName):
            '''主题名称（子产品，父产品没有）'''
            variation_theme = ''
            if ('size' in attributesName and 'colour' in attributesName):
                variation_theme = 'Sizename-Colorname'
            elif ('size' in attributesName):
                variation_theme = 'SizeName'
            elif ('colour' in attributesName):
                variation_theme = 'ColorName'
            return variation_theme

# UK玩具
class ToyUK_TY(ColumnConfig):
        line = [
            ['TemplateType=toys', 'Version=2017.0228',
             'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '',
             '','',
             'Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.',
             '', '', '', '', '',
             '', '', '', '', '', '', '', '', '', '', '', '',
             'Dimensions-Product Dimensions - These attributes specify the size and weight of a product.', '', '', '',
             '', '', '', '',
             '', '', '', '', '', '',
             'Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.',
             '', '', '', '',
             '',
             '', '', '', '', '','', 'Images-Image Information - See Image Instructions tab for details.', '', '', '', '','','','','','',
             'Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.',
             '', '',
             '', '', '', '',
             'Compliance-Compliance Information - Attributes used to comply with consumer laws in the country or region where the item is sold.',
             '', '',
             'Ungrouped - These attributes create rich product listings for your buyers.',
             '', '', '', '', '', '', '', '', '',
             '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
            ['Seller SKU','Item Name (aka Title)', 'Product ID', 'Product ID Type',
             'Feed Product Type', 'Brand Name', 'Manufacturer', 'Manufacturer Part Number', 'Product Description', 'Update Delete',
             'Quantity', 'Standard Price', 'Condition Type', 'Offer Condition Note',
             'Launch Date', 'Production Time', 'Release Date', 'Sale Price',
             'Sale From Date', 'Sale End Date', 'Number of Items', 'Stop Selling Date',
             'Max Aggregate Ship Quantity', 'Product Tax Code',
             'Can Be Gift Messaged', 'Is Gift Wrap Available?',
             'Is Discontinued by Manufacturer', 'Merchant Shipping Group',
             'Shipping Weight', 'Website Shipping Weight Unit Of Measure', 'Item Height',
             'Item Length',
             'Item Width', 'Item Length Unit Of Measure', 'Item Weight', 'Unit of measure of item weight',
             'Display Weight', 'Item Display Weight Unit Of Measure', 'Display Volume', 'Item Display Volume Unit Of Measure',
             'Display Length', 'Item Display Length Unit Of Measure', 'Key Product Features1', 'Key Product Features2',
             'Key Product Features3', 'Key Product Features4', 'Key Product Features5', 'Recommended Browse Nodes', 'Search Terms1',
             'Search Terms2', 'Search Terms3', 'Search Terms4', 'Search Terms5',
             'Catalog Number', 'Main Image URL', 'Swatch Image Url',
             'Other Image URL1',
             'Other Image URL2', 'Other Image URL3', 'Other Image URL4',
             'Other Image URL5', 'Other Image URL6', 'Other Image URL7', 'Other Image URL8', 'Fulfillment Centre ID',
             'Package Height', 'Package Width', 'Package Length', 'Package Length Unit Of Measure', 'Package Weight',
             'Package Weight Unit Of Measure', 'EU Toys Safety Directive Age-specific warning', 'EU Toys Safety Directive Non-Age-specific warning', 'EU Toys Safety Directive language warning', 'Parentage',
             'Relationship Type', 'Parent SKU', 'Is Adult Product', 'Variation Theme', 'Colour',
             'Colour Map', 'Size', 'Size Map', 'Manufacturer Warranty Description',
             'Material Type',
             'Product Care Instructions', 'Assembly Instructions', 'Minimum Age Recommendation', 'Mfg Minimum Unit Of Measure',
             'Maximum Age Recommendation', 'Mfg Maximum Unit Of Measure', 'Target Gender',
             'Special Features', 'Seller Warranty Description',
             'Subject Character', 'Material Composition', 'Scale', 'Rail Gauge',
             'Batteries are Included',
             'BatteryType', 'Number of Batteries', 'Lithium Battery Voltage', 'Lithium Battery Weight','Lithium Battery Packaging','unit_count_type','Unit Count Unit'],
            ['item_sku','item_name','external_product_id','external_product_id_type','feed_product_type','brand_name','manufacturer','part_number','product_description','update_delete','quantity','standard_price','condition_type','condition_note','product_site_launch_date','fulfillment_latency','merchant_release_date','sale_price','sale_from_date','sale_end_date','number_of_items','offering_end_date','max_aggregate_ship_quantity','product_tax_code','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','item_height','item_length','item_width','item_length_unit_of_measure','item_weight','item_weight_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_display_volume','item_display_volume_unit_of_measure','item_display_length','item_display_length_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','recommended_browse_nodes','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','catalog_number','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_height','package_width','package_length','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','eu_toys_safety_directive_age_warning','eu_toys_safety_directive_warning','eu_toys_safety_directive_language','parent_child','relationship_type','parent_sku','is_adult_product','variation_theme','color_name','color_map','size_name','size_map','warranty_description','material_type','care_instructions','assembly_instructions','mfg_minimum','mfg_minimum_unit_of_measure','mfg_maximum','mfg_maximum_unit_of_measure','target_gender','special_features','seller_warranty_description','subject_character','material_composition','scale_name','rail_gauge','are_batteries_included','battery_type','number_of_batteries','lithium_battery_voltage','lithium_battery_weight','lithium_battery_packaging','unit_count_type','unit_count']
        ]

        def getConfig(self, product_type='fatherchild', attributes=None):
            attr_color = ""
            attr_size = ""
            if product_type == 'child':
                if attributes:
                    for attribute in attributes:
                        if attribute.attr_name_en == 'size':
                            attr_size = attribute.attr_value_en
                        elif attribute.attr_name_en == 'colour':
                            attr_color = attribute.attr_value_en
            config = {
                "feed_product_type": "feed_product_type",
                "fulfillment_latency": "'5'",
                "currency": "'USD'",
                "condition_type": "'New'",
                "generic_keywords": "generic_keywords",
                "target_audience_keywords1": "target_audience_keywords1",
                "color_name": "'" + attr_color + "'",
                "color_map": "'" + attr_color + "'",
                "size_name": "'" + attr_size + "'",
                "size_map": "'" + attr_size + "'",
                "other_image_url3": "brand_image",
            }
            self.config.update(config)
            return self.config

        def getSecondVariationTheme(self, attributesName):
            '''主题名称（子产品，父产品没有）'''
            variation_theme = ''
            if ('size' in attributesName and 'colour' in attributesName):
                variation_theme = 'SizeNameColorName'
            elif ('size' in attributesName):
                variation_theme = 'SizeName'
            elif ('colour' in attributesName):
                variation_theme = 'Color'
            return variation_theme
#UK户外
class SportsUK_SP(ColumnConfig):
    line = [
        ['TemplateType=sports','Version=2017.0309','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.','','','','','','','','','','','','','','','','','','','Dimensions-Product Dimensions - These attributes specify the size and weight of a product.','','','','','','','','','','','','Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.','','','','','','','','Images-Image Information - See Image Instructions tab for details.','','','','','','','','','','Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.','','','','','','','Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['Seller SKU','Product ID','Product ID Type','Item Name','Product Description','Manufacturer','Manufacturer Part Number','Product Type','Brand Name','Update Delete','Standard Price','Item Condition','Offer Condition Note','Quantity','Launch Date','Release Date','Production Time','Product Tax Code','Sale Price','Sale From Date','Sale End Date','Max Order Quantity','Package Quantity','Number of Items','Max Aggregate Ship Quantity','Can Be Gift Messaged','Is Gift Wrap Available?','Is Discontinued by Manufacturer','Merchant Shipping Group','Shipping Weight','Website Shipping Weight Unit Of Measure','Display Length','Item Display Length Unit Of Measure','Display Weight','Item Display Weight Unit Of Measure','Item Height','Item Length','Item Width','Item Weight','Item Weight Unit Of Measure','Item Dimensions Unit Of Measure','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Recommended Browse Nodes','Search Terms1','Search Terms2','Search Terms3','Search Terms4','Search Terms5','Department','Main Image URL','Swatch Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Fulfillment Centre ID','Package Height','Package Width','Package Length','Package Weight','Package Weight Unit Of Measure','Package Dimensions Unit Of Measure','Parentage','Parent Sku','Relationship Type','Variation Theme','Age restriction  bladed products','Colour','Colour Map','Closure Type','Fabric Type','Material Type','Season','Size Map','Size','Sport','Speed Rating','Bottom Style','Cup Size','Glove Type','Top Style','UV Protection','Waist Size','Waist Size Unit Of Measure','Golf Flex','Golf Loft','Grip Size','Wheel Size','Wheel Size Unit Of Measure','Model Name','Lens Colour','Blade Length','Blade Length Unit Of Measure','Outer Material Type','Inner Material Type','Sleeping Capacity','League Name','Hand','Head Size','Shaft Length','Shaft Length Unit Of Measure','Shaft Material','JerseyType','Team Name','Specific Uses For Product','PPU Count','PPU Count Type','Batteries Are Included','BatteryType','Number of Batteries','Lithium Battery Energy Content','Lithium Battery Packaging','Lithium Battery Voltage','Lithium Battery Weight','Model Year','Lithium Battery Weight Unit of Measure','Season and collection year','Battery Cell Composition','Bra band size unit','Bra band size'],
        ['item_sku','external_product_id','external_product_id_type','item_name','product_description','manufacturer','part_number','feed_product_type','brand_name','update_delete','standard_price','condition_type','condition_note','quantity','product_site_launch_date','merchant_release_date','fulfillment_latency','product_tax_code','sale_price','sale_from_date','sale_end_date','max_order_quantity','item_package_quantity','number_of_items','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','item_display_length','item_display_length_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_height','item_length','item_width','item_weight','item_weight_unit_of_measure','item_dimensions_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','recommended_browse_nodes','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','department_name','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_height','package_width','package_length','package_weight','package_weight_unit_of_measure','package_dimensions_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','customer_restriction_type','color_name','color_map','closure_type','fabric_type','material_type','seasons','size_map','size_name','sport_type','speed_rating','bottom_style','cup_size','glove_type','top_style','ultraviolet_light_protection','waist_size','waist_size_unit_of_measure','golf_club_flex','golf_club_loft','grip_size','wheel_size','wheel_size_unit_of_measure','model_name','lens_color','blade_length','blade_length_unit_of_measure','outer_material_type','inner_material_type','occupancy','league_name','hand_orientation','head_size','shaft_length','shaft_length_unit_of_measure','shaft_material','style_name','team_name','specific_uses_for_product','unit_count','unit_count_type','are_batteries_included','battery_type','number_of_batteries','lithium_battery_energy_content','lithium_battery_packaging','lithium_battery_voltage','lithium_battery_weight','model_year','lithium_battery_weight_unit_of_measure','collection_name','battery_cell_composition','band_size_num_unit_of_measure','band_size_num']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
#办公
class OfficeUK_OF(ColumnConfig):
    line = [
        ['TemplateType=office','Version=2017.0228','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.','','','','','','','','','','','','','','','','','','','Dimensions-Product Dimensions - These attributes specify the size and weight of a product.','','','','','','','','','','','','','','Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.','','','','','','','Images-Image Information - See Image Instructions tab for details.','','','','','','','','','Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.','','','','','','','Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['Seller SKU','Product ID','Product ID Type','Item Title','Brand Name','Manufacturer','Manufacturer Part Number','Feed Product Type','Product Description','Update Delete','Standard Price','Condition Type','Item Condition Note','Quantity','Production Time','Launch Date','Release Date','Is Discontinued By Manufacturer','Sale Price','Sale From Date','Sale End Date','Maximum Aggregate Ship Quantity','Can Be Gift Messaged','Is Gift Wrap Available?','Max Order Quantity','item_package_quantity','Number of Items','Merchant Shipping Group','Product Tax Code','Website Shipping Weight Unit Of Measure','Shipping Weight','item_display_weight','Item Display Weight Unit Of Measure','item_display_volume','Item Display Volume Unit Of Measure','Item Display Length','Item Display Length Unit Of Measure','Item Weight','Item Weight Unit Of Measure','Item Length Unit Of Measure','Item Length','Item Width','Item Height','Recommended Browse Node','Product Attributes Bullet Points1','Product Attributes Bullet Points2','Product Attributes Bullet Points3','Product Attributes Bullet Points4','Product Attributes Bullet Points5','Search Terms1','Search Terms2','Search Terms3','Search Terms4','Search Terms5','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Fulfillment Centre ID','Package Length','Package Width','Package Height','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','Colour Map','Size','Ink Colour','Colour','maximum_size','Maximum Size Unit Of Measure','line_size','Line Size Unit Of Measure','Enclosure Material','cover_material_type','paper_finish','paper_size','tip_description1','tip_description2','tip_description3','tip_description4','tip_description5','tip_description6','tip_description7','tip_description8','tip_description9','tip_description10','tip_description11','tip_description12','tip_description13','tip_description14','tip_description15','tip_description16','tip_description17','tip_description18','tip_description19','tip_description20','item_hardness','point_type'],
        ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','manufacturer','part_number','feed_product_type','product_description','update_delete','standard_price','condition_type','condition_note','quantity','fulfillment_latency','product_site_launch_date','merchant_release_date','is_discontinued_by_manufacturer','sale_price','sale_from_date','sale_end_date','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','max_order_quantity','item_package_quantity','number_of_items','merchant_shipping_group_name','product_tax_code','website_shipping_weight_unit_of_measure','website_shipping_weight','item_display_weight','item_display_weight_unit_of_measure','item_display_volume','item_display_volume_unit_of_measure','item_display_length','item_display_length_unit_of_measure','item_weight','item_weight_unit_of_measure','item_length_unit_of_measure','item_length','item_width','item_height','recommended_browse_nodes','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','color_map','size_name','ink_color','color_name','maximum_size','maximum_size_unit_of_measure','line_size','line_size_unit_of_measure','material_type','cover_material_type','paper_finish','paper_size','tip_description1','tip_description2','tip_description3','tip_description4','tip_description5','tip_description6','tip_description7','tip_description8','tip_description9','tip_description10','tip_description11','tip_description12','tip_description13','tip_description14','tip_description15','tip_description16','tip_description17','tip_description18','tip_description19','tip_description20','item_hardness','point_type']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

#饰品
class JewelryUK_JE(ColumnConfig):
    line = [
        ['TemplateType=jewelry','Version=2017.0228','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.','','','','','','','','','','','','','','','','Dimensions-Product Dimensions - These attributes specify the size and weight of a product.','','','','','Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.','','','','','Images-Image Information - See Image Instructions tab for details.','','','','','','','','','','Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.','','','','','','','','','Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).','','','','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','',],
        ['Seller SKU','Item Name','Manufacturer','Model','Feed Product Type','Brand Name','Product ID','Product ID Type','Product Description','Update Delete','Manufacturer Part Number','Standard Price','Quantity','Launch Date','Release Date','Condition Type','Condition Note','Product Tax Code','Sale Price','Sale From Date','Sale End Date','Production Time','Max Aggregate Ship Quantity','Can Be Gift Messaged','Is Gift Wrap Available?','Is Discontinued By Manufacturer','Merchant Shipping Group','Website Shipping Weight','Website Shipping Weight Unit Of Measure','Display Dimensions Unit Of Measure','Item Display Width','Display Length','Recommended Browse Nodes','Bullet Point1','Bullet Point2','Bullet Point3','Search Terms1','Search Terms2','Search Terms3','Search Terms4','Search Terms5','Main Image URL','Swatch Image Url','Other Image Url1','Other Image Url2','Other Image Url3','Other Image Url4','Other Image Url5','Other Image Url6','Other Image Url7','Other Image Url8','Fulfillment Centre ID','Package Width Unit Of Measure','Package Width','Package Weight Unit Of Measure','Package weight','Package Length Unit Of Measure','Package Length','Package Height Unit of Measure','Package Height','Parentage','Parent SKU','Relationship Type','Variation Theme','Color','Total Diamond Weight','Metal Type','Metal Stamp','Clasp Type','Chain Type','Material','Theme','Style Name','Colour Map','Earring Type','Gem Type1','Gem Type2','Stone Colour1','Stone Colour2','Stone Shape1','Stone Shape2','Size Per Pearl','Back Finding','Occasion Type','Ring Size','Ring Sizing Lower Range','Ring Sizing Upper Range'],
        ['item_sku','item_name','manufacturer','model','feed_product_type','brand_name','external_product_id','external_product_id_type','product_description','update_delete','part_number','standard_price','quantity','product_site_launch_date','merchant_release_date','condition_type','condition_note','product_tax_code','sale_price','sale_from_date','sale_end_date','fulfillment_latency','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','website_shipping_weight','website_shipping_weight_unit_of_measure','display_dimensions_unit_of_measure','item_display_width','item_display_length','recommended_browse_nodes','bullet_point1','bullet_point2','bullet_point3','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_width_unit_of_measure','package_width','package_weight_unit_of_measure','package_weight','package_length_unit_of_measure','package_length','package_height_unit_of_measure','package_height','parent_child','parent_sku','relationship_type','variation_theme','color_name','total_diamond_weight','metal_type','metal_stamp','clasp_type','chain_type','material_type','theme','style_name','color_map','item_shape','gem_type1','gem_type2','stone_color1','stone_color2','stone_shape1','stone_shape2','size_per_pearl','back_finding','occasion_type','ring_size','ring_sizing_lower_range','ring_sizing_upper_range']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

# 健康类UK
class healthUK_HE(ColumnConfig):
        line = [
            ['TemplateType=health', 'Version=2017.0608',
             'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '',
             '', '', '',
             'Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.',
             '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
             'Dimensions-Product Dimensions - These attributes specify the size and weight of a product.', '', '', '',
             '','','','','','','','','','','','',
             'Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.',
             '', '', '', '','','','','', 'Images-Image Information - See Image Instructions tab for details.', '', '', '', '', '',
             '', '', '',
             'Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.',
             '', '', '', '', '', '',
             'Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).',
             '', '', '', 'Compliance-Compliance Information - Attributes used to comply with consumer laws in the country or region where the item is sold.', '', '', '',
             'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '','','','','','','','','','','','','','','','','','','','','','','','','','','','', '','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
            ['Seller SKU','Item Name (aka Title)','Manufacturer','Product Type','Product ID','Product ID Type','Brand Name','Manufacturer Part Number','Product Description','Update Delete','Language','Launch Date','Standard Price','Package Quantity','Product Tax Code','Release Date','Sale Price','Sale From Date','Sale End Date','Quantity','Max Order Quantity','Handling Time','Max Aggregate Ship Quantity','Is Gift Wrap Available?','Is Discontinued by Manufacturer','Number of Items','Merchant Shipping Group','Item Display Weight Unit Of Measure','Display Weight','Item Display Volume Unit Of Measure','Display Volume','Item Display Length Unit Of Measure','Display Length','Item Weight Unit Of Measure','Item Weight','Item Length Unit Of Measure','Item Length','Item Width','Item Height','Website Shipping Weight Unit Of Measure','Shipping Weight','Item Diameter Unit Of Measure','item_diameter_string','Target audience','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Search Terms','Recommended Browse Nodes','Catalog Number','Main Image URL','Other Image Url1','Other Image Url2','Other Image Url3','Other Image Url4','Other Image Url5','Other Image Url6','Other Image Url7','Other Image Url8','Fulfillment Centre ID','Package Length','Package Width','Package Height','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','Legal Disclaimer Description','Safety Warning','Country of declaration','Country of origin','Special Features1','Special Features2','Special Features3','Special Features4','Special Features5','Expiration Dated Product','alcohol_content_unit_of_measure','alcohol_content','Indications','Natural Products Specialty1','Natural Products Specialty2','Natural Products Specialty3','Natural Products Specialty4','Natural Products Specialty5','Ingredients','Directions','Allergen Information1','Allergen Information2','Allergen Information3','Allergen Information4','Allergen Information5','Additives','Primary ingredient country of origin','Primary ingredient location produced','Storage Instructions','Use By Recommendation','Manufacturer contact information','Contains Food or Beverage','Flavour','Format','Serving Size','Serving Size Unit of Measure','Energy Content','Fat','Saturated Fat','Monounsaturated Fat','Polyunsaturated Fat','Carbohydrates','Sugars','Polyols','Starch','Dietary Fiber','Protein','Salt per serving','Vitamin A','Vitamin D','Vitamin E','Vitamin K','Vitamin C','Thiamin','Riboflavin','Niacin','Vitamine B6','Folic Acid','Vitamin b12','Biotin','Pantothenic Acid','Potassium','Chloride','Calcium','Phosphorus','Magnesium','Iron','Zinc','Copper','Manganese','Fluoride','Selen','Chromium','Molybdenum','Iodine','Cholesterol','Sodium','Unit Count (Per Unit Pricing)','Unit of Measure (Per Unit Pricing)','Target Gender','Material','Colour','Minimum Weight Recommendation','Maximum Weight Recommendation','Weight Recommendation Unit Of Measure','Colour','Size','Material Composition','Customer Restriction (E-cigarette Products)','Fulfilment Centre Shelf Life','Can Be Gift Messaged','Medicine Classification','lithium_battery_weight','Are Batteries Required','Batteries are Included','BatteryType','Number of Batteries','Power Source','Includes AC Adapter','Outer Material Type','Wig Length','Item gender','Restock Date','Bra band size','Bra band size unit','Product certification','Bra cup size'],
            ['item_sku','item_name','manufacturer','feed_product_type','external_product_id','external_product_id_type','brand_name','part_number','product_description','update_delete','language_value','product_site_launch_date','standard_price','item_package_quantity','product_tax_code','merchant_release_date','sale_price','sale_from_date','sale_end_date','quantity','max_order_quantity','fulfillment_latency','max_aggregate_ship_quantity','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','number_of_items','merchant_shipping_group_name','item_display_weight_unit_of_measure','item_display_weight','item_display_volume_unit_of_measure','item_display_volume','item_display_length_unit_of_measure','item_display_length','item_weight_unit_of_measure','item_weight','item_length_unit_of_measure','item_length','item_width','item_height','website_shipping_weight_unit_of_measure','website_shipping_weight','item_diameter_unit_of_measure','item_diameter_string','target_audience_base','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','recommended_browse_nodes','catalog_number','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','legal_disclaimer_description','safety_warning','country_string','country_of_origin','special_features1','special_features2','special_features3','special_features4','special_features5','is_expiration_dated_product','alcohol_content_unit_of_measure','alcohol_content','indications','specialty1','specialty2','specialty3','specialty4','specialty5','ingredients','directions','allergen_information1','allergen_information2','allergen_information3','allergen_information4','allergen_information5','special_ingredients','primary_ingredient_country_of_origin','primary_ingredient_location_produced','storage_instructions','use_by_recommendation','manufacturer_contact_information','contains_food_or_beverage','flavor_name','item_form','serving_size','serving_size_unit_of_measure','energy_content_per_serving_string','total_fat_per_serving_string','saturated_fat_per_serving_string','monounsaturated_fat_per_serving_string','polyunsaturated_fat_per_serving_string','total_carbohydrate_per_serving_string','sugars_per_serving_string','sugar_alcohols_per_serving_string','starch_per_serving_string','dietary_fiber_per_serving_string','protein_per_serving_string','salt_per_serving_string','vitamin_a_per_serving_string','vitamin_d_per_serving_string','vitamin_e_per_serving_string','vitamin_k_per_serving_string','vitamin_c_per_serving_string','thiamin_per_serving_string','vitamin_b2_per_serving_string','niacin_per_serving_string','vitamin_b6_per_serving_string','folic_acid_per_serving_string','vitamin_b12_per_serving_string','biotin_per_serving_string','pantothenic_acid_per_serving_string','potassium_per_serving_string','chloride_per_serving_string','calcium_per_serving_string','phosphorus_per_serving_string','magnesium_per_serving_string','iron_per_serving_string','zinc_per_serving_string','copper_per_serving_string','manganese_per_serving_string','fluoride_per_serving_string','selenium_per_serving_string','chromium_per_serving_string','molybdenum_per_serving_string','iodine_per_serving_string','cholesterol_per_serving_string','sodium_per_serving_string','unit_count','unit_count_type','target_gender','material_type','color_name','minimum_weight_recommendation','maximum_weight_recommendation','weight_recommendation_unit_of_measure','color_map','size_name','material_composition','customer_restriction_type','fc_shelf_life','offering_can_be_gift_messaged','medicine_classification','lithium_battery_weight','batteries_required','are_batteries_included','battery_type','number_of_batteries','power_source_type','includes_ac_adapter','outer_material_type','size_map','item_gender','restock_date','band_size_num','band_size_num_unit_of_measure','external_testing_certification','cup_size']
        ]

        def getConfig(self, product_type='fatherchild', attributes=None):
            attr_color = ""
            attr_size = ""
            if product_type == 'child':
                if attributes:
                    for attribute in attributes:
                        if attribute.attr_name_en == 'size':
                            attr_size = attribute.attr_value_en
                        elif attribute.attr_name_en == 'colour':
                            attr_color = attribute.attr_value_en
            config = {
                "feed_product_type": "feed_product_type",
                "fulfillment_latency": "'5'",
                "currency": "'USD'",
                "condition_type": "'New'",
                "generic_keywords": "generic_keywords",
                "target_audience_keywords1": "target_audience_keywords1",
                "color_name": "'" + attr_color + "'",
                "color_map": "'" + attr_color + "'",
                "size_name": "'" + attr_size + "'",
                "size_map": "'" + attr_size + "'",
                "other_image_url3": "brand_image",
            }
            self.config.update(config)
            return self.config

        def getSecondVariationTheme(self, attributesName):
            '''主题名称（子产品，父产品没有）'''
            variation_theme = ''
            if ('size' in attributesName and 'colour' in attributesName):
                variation_theme = 'SizeNameColorName'
            elif ('size' in attributesName):
                variation_theme = 'SizeName'
            elif ('colour' in attributesName):
                variation_theme = 'Color'
            return variation_theme
#美容
class beautyUK_BE(ColumnConfig):
            line = [
                ['TemplateType=beauty', 'Version=2017.0608',
                 'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '',
                 '',
                 '', '', '',
                 'Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.',
                 '', '', '', '', '', '', '', '', '', '', '', '', '', '', '','',
                 'Dimensions-Product Dimensions - These attributes specify the size and weight of a product.', '', '',
                 '',
                 '', '', '', '', '', '', '', '', '', '',
                 'Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.',
                 '', '', '', '', '', '','Images-Image Information - See Image Instructions tab for details.',
                 '', '', '', '', '',
                 '', '', '','',
                 'Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.',
                 '', '', '', '', '', '',
                 'Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).',
                 '', '', '',
                 'Ungrouped - These attributes create rich product listings for your buyers.',
                 '', '', '',
                 '', '', '', '', '', '', '',
                 '', '', '', '', ],
                ['Seller SKU','Item Name (aka Title)','Product Type','Product ID','Product ID Type','Brand Name','Manufacturer','Manufacturer Part Number','Product Description','Update Delete','Language','Standard Price','Quantity','Handling Time','Package Quantity','Number of Items','Launch Date','Release Date','Is Discontinued by Manufacturer','Sale Price','Sale From Date','Sale End Date','Max Order Quantity','Max Aggregate Ship Quantity','Can Be Gift Messaged','Is Gift Wrap Available?','Product Tax Code','Merchant Shipping Group','Item Display Weight Unit Of Measure','Display Weight','Item Display Volume Unit Of Measure','Display Volume','Display Length','Item Display Length Unit Of Measure','Item Weight Unit Of Measure','Item Weight','Item Length Unit Of Measure','Item Length','Item Width','Item Height','Website Shipping Weight Unit Of Measure','Shipping Weight','Recommended Browse Nodes','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Search Terms1','Search Terms2','Search Terms3','Search Terms4','Search Terms5','Main Image URL','Swatch Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Fulfillment Centre ID','Package Length','Package Width','Package Height','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','Ingredients','Material Type','Item Form','Is Adult Product','Target Gender','Skin Type','Hair Type','Indications','Directions','Size','Colour','Colour Map','Scent Name','Medicine Classification','Sun Protection Factor'],
                ['item_sku','item_name','feed_product_type','external_product_id','external_product_id_type','brand_name','manufacturer','part_number','product_description','update_delete','language_value','standard_price','quantity','fulfillment_latency','item_package_quantity','number_of_items','product_site_launch_date','merchant_release_date','is_discontinued_by_manufacturer','sale_price','sale_from_date','sale_end_date','max_order_quantity','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','product_tax_code','merchant_shipping_group_name','item_display_weight_unit_of_measure','item_display_weight','item_display_volume_unit_of_measure','item_display_volume','item_display_length','item_display_length_unit_of_measure','item_weight_unit_of_measure','item_weight','item_length_unit_of_measure','item_length','item_width','item_height','website_shipping_weight_unit_of_measure','website_shipping_weight','recommended_browse_nodes','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','ingredients','material_type','item_form','is_adult_product','target_gender','skin_type','hair_type','indications','directions','size_name','color_name','color_map','scent_name','medicine_classification','sun_protection']
            ]

            def getConfig(self, product_type='fatherchild', attributes=None):
                attr_color = ""
                attr_size = ""
                if product_type == 'child':
                    if attributes:
                        for attribute in attributes:
                            if attribute.attr_name_en == 'size':
                                attr_size = attribute.attr_value_en
                            elif attribute.attr_name_en == 'colour':
                                attr_color = attribute.attr_value_en
                config = {
                    "feed_product_type": "feed_product_type",
                    "fulfillment_latency": "'5'",
                    "currency": "'USD'",
                    "condition_type": "'New'",
                    "generic_keywords": "generic_keywords",
                    "target_audience_keywords1": "target_audience_keywords1",
                    "color_name": "'" + attr_color + "'",
                    "color_map": "'" + attr_color + "'",
                    "size_name": "'" + attr_size + "'",
                    "size_map": "'" + attr_size + "'",
                    "other_image_url3": "brand_image",
                }
                self.config.update(config)
                return self.config

            def getSecondVariationTheme(self, attributesName):
                '''主题名称（子产品，父产品没有）'''
                variation_theme = ''
                if ('size' in attributesName and 'colour' in attributesName):
                    variation_theme = 'SizeNameColorName'
                elif ('size' in attributesName):
                    variation_theme = 'SizeName'
                elif ('colour' in attributesName):
                    variation_theme = 'Color'
                return variation_theme
#宠物UK
class PetUK_PE(ColumnConfig):
        line = [
            ['TemplateType=petsupplies', 'Version=2017.0608',
             'The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.', '', '', '', '', '',
             '', '','',
             'Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.',
             '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
             'Dimensions-Product Dimensions - These attributes specify the size and weight of a product.', '', '', '',
             '', '', '', '', '', '', '', '', '', '',
             'Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.',
             '', '', '', '', '', '','','','','','','', 'Images-Image Information - See Image Instructions tab for details.', '', '', '',
             '', '', '', '', '','',
             'Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.',
             '', '', '', '', '', '',
             'Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).',
             '', '', '', 'Compliance-Compliance Information - Attributes used to comply with consumer laws in the country or region where the item is sold.', 'Ungrouped - These attributes create rich product listings for your buyers.', '', '', '',
             '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
             '', '','','','', '','','','','','','','',],
            ['Seller SKU','Product ID','Product ID Type','Item Name (aka Title)','Brand Name','Manufacturer','Product Description','Product Type','Manufacturer Part Number','Update Delete','Language','Package Quantity','Standard Price','Quantity','Item Condition','Offer Condition Note','Launch Date','Release Date','Handling Time','Sale Price','Sale From Date','Sale End Date','Number of Items','Max Aggregate Ship Quantity','Can Be Gift Messaged','Is Gift Wrap Available?','Is Discontinued by Manufacturer','Merchant Shipping Group','Product Tax Code','Shipping Weight','Website Shipping Weight Unit Of Measure','Item Width','Item Height','Item Length','Item Length Unit Of Measure','Item Weight','Item Weight Unit Of Measure','Display Weight','Item Display Weight Unit Of Measure','Display Volume','Item Display Volume Unit Of Measure','Display Length','Item Display Length Unit Of Measure','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Recommended Browse Nodes','Pet Type1','Pet Type2','Pet Type3','Pet Type4','Pet Type5','Search Terms1','Search Terms2','Search Terms3','Search Terms4','Search Terms5','Used For','Main Image URL','Other Image URL1','Other Image URL2','Other Image URL3','Other Image URL4','Other Image URL5','Other Image URL6','Other Image URL7','Other Image URL8','Swatch Image URL','Fulfillment Centre ID','Package Height','Package Width','Package Length','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','country_of_origin','Breed Recommendation','Special Features','Product Care Instructions','Directions','Ingredients','Nutrition Facts','Allergen Information','Storage Instructions','Item Form','Material Composition','Closure Type','Age Range Description','Minimum Age Recommendation','Maximum Age Recommendation','Colour','Colour Map','Size','Size Map','Flavour','Minimum Weight Recommendation','Maximum Weight Recommendation','Weight Recommendation Unit Of Measure','Minimum Height Recommendation','Maximum Height Recommendation','Minimum Height Recommendation Unit Of Measure','Maximum Height Recommendation Unit Of Measure','Minimum Circumference','Maxium Circumference Recommendation','Girth Unit Of Measure','Minimum Neck Size','Maximum Neck Size','Neck Size Unit Of Measure','External Testing Certification','BatteryType','Number of Batteries','Batteries are Included','Lithium Battery Packaging','Lithium Battery Voltage','Lithium Battery Weight','Voltage','Wattage','Unit Count Unit of Measure','Unit Count','Medicine Classification'],
            ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','manufacturer','product_description','feed_product_type','part_number','update_delete','language_value','item_package_quantity','standard_price','quantity','condition_type','condition_note','product_site_launch_date','merchant_release_date','fulfillment_latency','sale_price','sale_from_date','sale_end_date','number_of_items','max_aggregate_ship_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','product_tax_code','website_shipping_weight','website_shipping_weight_unit_of_measure','item_width','item_height','item_length','item_length_unit_of_measure','item_weight','item_weight_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_display_volume','item_display_volume_unit_of_measure','item_display_length','item_display_length_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','recommended_browse_nodes','target_audience_base1','target_audience_base2','target_audience_base3','target_audience_base4','target_audience_base5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','specific_uses_keywords','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','swatch_image_url','fulfillment_center_id','package_height','package_width','package_length','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','country_of_origin','breed_recommendation','special_features','care_instructions','directions','ingredients','nutrition_facts','allergen_information','storage_instructions','item_form','material_composition','closure_type','age_range_description','mfg_minimum','mfg_maximum','color_name','color_map','size_name','size_map','flavor_name','minimum_weight_recommendation','maximum_weight_recommendation','weight_recommendation_unit_of_measure','minimum_height_recommendation','maximum_height_recommendation','minimum_height_recommendation_unit_of_measure','maximum_height_recommendation_unit_of_measure','minimum_circumference','maximum_circumference','circumference_unit_of_measure','minimum_neck_size','maximum_neck_size','neck_size_unit_of_measure','external_testing_certification','battery_type','number_of_batteries','are_batteries_included','lithium_battery_packaging','lithium_battery_voltage','lithium_battery_weight','voltage','wattage','unit_count_type','unit_count','medicine_classification']
        ]

        def getConfig(self, product_type='fatherchild', attributes=None):
            attr_color = ""
            attr_size = ""
            if product_type == 'child':
                if attributes:
                    for attribute in attributes:
                        if attribute.attr_name_en == 'size':
                            attr_size = attribute.attr_value_en
                        elif attribute.attr_name_en == 'colour':
                            attr_color = attribute.attr_value_en
            config = {
                "feed_product_type": "feed_product_type",
                "fulfillment_latency": "'5'",
                "currency": "'USD'",
                "condition_type": "'New'",
                "generic_keywords": "generic_keywords",
                "target_audience_keywords1": "target_audience_keywords1",
                "color_name": "'" + attr_color + "'",
                "color_map": "'" + attr_color + "'",
                "size_name": "'" + attr_size + "'",
                "size_map": "'" + attr_size + "'",
                "other_image_url3": "brand_image",
            }
            self.config.update(config)
            return self.config

        def getSecondVariationTheme(self, attributesName):
            '''主题名称（子产品，父产品没有）'''
            variation_theme = ''
            if ('size' in attributesName and 'colour' in attributesName):
                variation_theme = 'SizeNameColorName'
            elif ('size' in attributesName):
                variation_theme = 'SizeName'
            elif ('colour' in attributesName):
                variation_theme = 'Color'
            return variation_theme
#UK服装
class ClothingUK_CL(ColumnConfig):
    line = [
        ['TemplateType=Clothing','Version=2017.0127','The top 3 rows are for Amazon.com use only. Do not modify or delete the top 3 rows.','','','','','','','','','','','Offer-Offer Information - These attributes are required to make your item buyable for customers on the site.','','','','','','','','','','','','','','','Dimensions-Product Dimensions - These attributes specify the size and weight of a product.','','Discovery-Item discovery information - These attributes have an effect on how customers can find your product on the site using browse or search.','','','','','','','Images-Image Information - See Image Instructions tab for details.','','','','','Fulfillment-Use these columns to provide fulfilment-related information for orders fulfilled either by Amazon (FBA) or by the Seller.','','','','','','','','Variation-Variation information - Populate these attributes if your product is available in different variations (for example colour or wattage).','','','','Compliance-Compliance Information - Attributes used to comply with consumer laws in the country or region where the item is sold.','Ungrouped - These attributes create rich product listings for your buyers.','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['Seller SKU','Product ID','Product ID Type','Product Name','Brand Name','Clothing Type','Product Description','Update Delete','Model Number','Manufacturer part number','Related Product Identifier Type','Related Product Identifier','Product Exemption Reason','Standard Price','Quantity','Production Time','Sale Price','Sale From Date','Sale End Date','max-aggregate-ship-quantity','Package Quantity','Number of Items','Can Be Gift Messaged','Is Gift Wrap Available?','Is Discontinued by Manufacturer','Launch Date','Merchant Shipping Group','Product Tax Code','Shipping Weight','Website Shipping Weight Unit Of Measure','Recommended Browse Nodes','Search Terms1','Search Terms2','Search Terms3','Search Terms4','Search Terms5','Key Product Features1','Key Product Features2','Key Product Features3','Key Product Features4','Key Product Features5','Main Image Url','Other Image URL1','Other Image URL2','Other Image URL3','Swatch Image Url','Fulfillment Center ID','Package Length','Package Width','Package Height','Package Length Unit Of Measure','Package Weight','Package Weight Unit Of Measure','Package Dimensions Unit Of Measure','Parentage','Parent SKU','Relationship Type','Variation Theme','Country Of Origin','Colour Map','Colour','Size Map','Size','Material Composition','Outer Material Type','Inner Material Type','Season and collection year','Product Care Instructions','Model Name','Department','Adult Flag','Item Shape','Occasion description','Style Name','Sleeve Type','Item Length','Bra cup size','Bra band size','Bra band size unit','Special Features','Opacity / Transparency','Closure Type','Bikini top style','Swimwear bottom style','Pattern description','Collar Style','Fitting type','Neck Style','Jeans length unit of measure','Jeans length (inches)','Jeans width unit of measure','Jeans width (inches)'],
        ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','product_subtype','product_description','update_delete','model','part_number','related_product_id_type','related_product_id','gtin_exemption_reason','standard_price','quantity','fulfillment_latency','sale_price','sale_from_date','sale_end_date','max_aggregate_ship_quantity','item_package_quantity','number_of_items','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','product_site_launch_date','merchant_shipping_group_name','product_tax_code','website_shipping_weight','website_shipping_weight_unit_of_measure','recommended_browse_nodes','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','main_image_url','other_image_url1','other_image_url2','other_image_url3','swatch_image_url','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','package_dimensions_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','country_of_origin','color_map','color_name','size_map','size_name','material_composition','outer_material_type','inner_material_type','collection_name','care_instructions','model_name','department_name','is_adult_product','item_shape','lifestyle','style_name','sleeve_type','item_length_description','cup_size','band_size_num','band_size_num_unit_of_measure','special_features','opacity','closure_type','top_style','bottom_style','pattern_type','collar_style','fit_type','neck_style','inseam_length_unit_of_measure','inseam_length','waist_size_unit_of_measure','waist_size']
    ]
    def getConfig(self,product_type='fatherchild',attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in  attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
            else:
                attr_color = "as picture"
                attr_size = "as onesize"
        config = {
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "color_name": "'"+attr_color+"'",
            "color_map": "'"+attr_color+"'",
            "size_name": "'"+attr_size+"'",
            "size_map": "'"+attr_size+"'",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName ):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'sizecolor'
        elif ('size' in attributesName):
            variation_theme = 'Size'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
    #废弃的方法
    def getOtherAttributes(self,attributes):
        '''其余属性'''
        otherAttributes = []
        for attribute in attributes:
            if attribute.attr_name_en and attribute.attr_name_en !='size' and attribute.attr_name_en !='colour':
                otherAttributes.append({attribute.attr_name_en:attribute.attr_value_en})
        return otherAttributes

def getAmazonTemplateCSVInfo_JP(template):
    # 服装
    if template == "Clothingjp":
        return Clothingjp()
        # 家居
    elif template == "Homejp":
        return Homejp()
        # 玩具
    elif template == "Toyjp":
        return Toyjp()
    #饰品
    elif template == "Jewelryjp":
        return Jewelryjp()
    #宠物
    elif template == "Petjp":
        return Petjp()
    #钟表
    elif template == "watchesjp":
        return watchesjp()
class ColumnConfig:
    def __init__(self):
        self.config = {
            "product_subtype":"product_subtype",
            "item_sku": "thisSku_JP",
            "external_product_id": "EAN_id",
            "external_product_id_type": "EAN",
            "item_name": "thisTitle_jp",
            "brand_name": "brand_UK",
            "manufacturer": "brand_UK",
            "part_number": "thisSku_JP",
            "feed_product_type": "feed_product_type",
            "product_description": "description_jp",
            "standard_price": "standard_price_JP",
            "quantity": "quantity_UK",
            "condition_type": "condition_type",
            "website_shipping_weight_unit_of_measure": "website_shipping_weight_unit_of_measure",
            # "recommended_browse_nodes":"item_type_JP",
            "generic_keywords1": "generic_keywords[0]",
            "generic_keywords2": "generic_keywords[1]",
            "generic_keywords3": "generic_keywords[2]",
            "generic_keywords4": "generic_keywords[3]",
            "generic_keywords5": "generic_keywords[4]",
            "bullet_point1": "bullet_jp[0]",
            "bullet_point2": "bullet_jp[1]",
            "bullet_point3": "bullet_jp[2]",
            "bullet_point4": "bullet_jp[3]",
            "bullet_point5": "bullet_jp[4]",
            "main_image_url":"main_image",
            "swatch_image_url":"swatch_image_url",
            "other_image_url1": "imgurl[0]",
            "other_image_url2": "imgurl[1]",
            "other_image_url3": "imgurl[2]",
            "other_image_url4": "imgurl[3]",
            "other_image_url5": "imgurl[4]",
            "other_image_url6": "imgurl[5]",
            "other_image_url7": "imgurl[6]",
            "other_image_url8": "brand_image",
            "parent_child": "parent_child",
            "parent_sku": "parent_sku_JP",
            "update_delete":"update_delete",
            "variation_theme": "variation_theme",
            "relationship_type": "relationship_type",
            "color_name": "color_name",
            "recommended_browse_nodes":"pinlei_JP",
        }

    def getHeadLine_JP(self):
        return self.line
#服装
class Clothingjp(ColumnConfig):
    line = [
        ['TemplateType=clothing','Version=2017.0801','上3行は Amazon.com 記入用です。上3行は変更または削除しないでください。.','','','','','','','','出品情報-商品をサイト上で販売可能にする際に必要な項目','','','','','','','','','','','','','','','','','','','','','','','寸法-商品のサイズや重量を入力する項目','','商品検索情報-サーチ上で商品を検索されやすくするために必要な項目','','','','','','','','','画像-商品画像を表示させるために必要な項目。詳しくは画像説明タブを参照','','','','','','','','','','出荷関連情報-フルフィルメント by Amazon (FBA) の利用、あるいは自社出荷の注文に関する出荷関連情報を、この項目に記入してください。FBA を利用する場合には必須の項目。','','','','','','','バリエーション-商品の色・サイズなどのバリエーションを作成する際に必須の項目','','','','ProductTypeによって必須となる項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['出品者SKU','商品名','商品コード(JANコード等)','商品コードのタイプ','ブランド名','商品タイプ','メーカー型番','商品説明文','アップデート・削除','自社で管理しているSKUごとの番号','在庫数','出荷作業日数','商品のコンディション','商品のコンディション説明','商品の販売価格','ポイント','商品の公開日','予約商品の販売開始日','メーカー希望価格','使用しない支払い方法','配送日時指定SKUリスト','セール価格','セール時ポイント','セール開始日','セール終了日','商品の入荷予定日','最大注文個数','ギフトメッセージ','ギフト包装','メーカー製造中止','配送パターン','販売形態(並行輸入品)','TAXコード','配送重量の単位','配送重量','商品説明の箇条書き1','商品説明の箇条書き2','商品説明の箇条書き3','商品説明の箇条書き4','商品説明の箇条書き5','検索キーワード1','検索キーワード2','検索キーワード3','検索キーワード4','検索キーワード5','推奨ブラウズノード','スタイルキーワード','コート・ワンピース・チュニック着丈','商品メイン画像URL','カラーサンプル画像URL','商品のサブ画像URL1','商品のサブ画像URL2','商品のサブ画像URL3','商品のサブ画像URL4','商品のサブ画像URL5','商品のサブ画像URL6','商品のサブ画像URL7','商品のサブ画像URL8','商品パッケージの長さの単位','商品パッケージの長さ','商品パッケージの幅','商品パッケージの高さ','商品パッケージの重量の単位','商品パッケージの重量','フルフィルメントセンターID','親子関係の指定','親商品のSKU(商品管理番号)','親子関係のタイプ','バリエーションテーマ','サイズ','サイズマップ','カラー','カラーマップ','スタイル名','靴の幅','ストラップのタイプ','つま先の形状(トゥシェープ)','ウエストのスタイル','素材不透明度','ヒールのタイプ','シャフト(軸)の丈','表地素材','袖のタイプ','留め具のタイプ','ライフスタイル1','ライフスタイル2','素材または繊維','対象年齢・性別','アダルト商品','ウエストサイズの単位','ウエストサイズ','仕立ての長さの単位','仕立ての長さ','袖の長さの単位','袖の長さ','シャツカラースタイル','首のタイプ','首のサイズの単位','首のサイズ','ボトムススタイル','胸囲サイズの単位','胸囲サイズ','モデル年(発売年・発表年)','シーズン','収納可能サイズ','カップサイズ'],
        ['item_sku','item_name','external_product_id','external_product_id_type','brand_name','product_subtype','part_number','product_description','update_delete','codabar','quantity','fulfillment_latency','condition_type','condition_note','standard_price','standard_price_points','product_site_launch_date','merchant_release_date','list_price','optional_payment_type_exclusion','delivery_schedule_group_id','sale_price','sale_price_points','sale_from_date','sale_end_date','restock_date','max_order_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','distribution_designation','product_tax_code','website_shipping_weight_unit_of_measure','website_shipping_weight','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','recommended_browse_nodes','style_keywords','specific_uses_keywords','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','package_length_unit_of_measure','package_length','package_width','package_height','package_weight_unit_of_measure','package_weight','fulfillment_center_id','parent_child','parent_sku','relationship_type','variation_theme','size_name','size_map','color_name','color_map','style_name','shoe_width','strap_type','toe_shape','waist_style','opacity','heel_type','shaft_height','outer_material_type','sleeve_type','closure_type','lifestyle1','lifestyle2','fabric_type','department_name','is_adult_product','waist_size_unit_of_measure','waist_size','inseam_length_unit_of_measure','inseam_length','sleeve_length_unit_of_measure','sleeve_length','collar_style','neck_style','neck_size_unit_of_measure','neck_size','bottom_style','chest_size_unit_of_measure','chest_size','model_year','seasons','fit_to_size_description','cup_size']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
                        if attr_color == 'beige':
                            attr_color = 'ベージュ'
                        elif attr_color == 'beige':
                            attr_color = 'ブラック'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'bronze':
                            attr_color = 'ブロンズ'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'brown':
                            attr_color = 'ブラウン'
                        elif attr_color == 'gold':
                            attr_color = 'ゴールド'
                        elif attr_color == 'green':
                            attr_color = 'グリーン'
                        elif attr_color == 'grey':
                            attr_color = '灰色'
                        elif attr_color == 'metallic':
                            attr_color = '金属'
                        elif attr_color == 'multicoloured':
                            attr_color = '多色'
                        elif attr_color == 'off-white':
                            attr_color = 'オフホワイト'
                        elif attr_color == 'orange':
                            attr_color = 'オレンジ'
                        elif attr_color == 'pink':
                            attr_color = 'ピンク'
                        elif attr_color == 'purple':
                            attr_color = 'パープル'
                        elif attr_color == 'red':
                            attr_color = 'レッド'
                        elif attr_color == 'silver':
                            attr_color = 'シルバー'
                        elif attr_color == 'transparent':
                            attr_color = '透明'
                        elif attr_color == 'turquoise':
                            attr_color = 'ターコイズ'
                        elif attr_color == 'white':
                            attr_color = 'ホワイト'
                        elif attr_color == 'yellow':
                            attr_color = 'イエロー'
                        elif attr_color == 'Orange yellow':
                            attr_color = 'オレンジイエロー'
                        elif attr_color == 'Lake Blue':
                            attr_color = 'レイク・ブルー'
                        elif attr_color == 'Orange red':
                            attr_color = 'オレンジ・レッド'
                        elif attr_color == 'rose Red':
                            attr_color = 'ローズレッド'
                        elif attr_color == 'Blue and Purple Pink':
                            attr_color = '青と紫のピンク'
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
#饰品
class Jewelryjp(ColumnConfig):
    line = [
        ['TemplateType=jewelry','Version=2017.0801','上3行は Amazon.com 記入用です。上3行は変更または削除しないでください。.','','','','','','','','','出品情報-商品をサイト上で販売可能にする際に必要な項目','','','','','','','','','','','','','','','','','','','','','','','','寸法-商品のサイズや重量を入力する項目','','','','','','','','','商品検索情報-サーチ上で商品を検索されやすくするために必要な項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','画像-商品画像を表示させるために必要な項目。詳しくは画像説明タブを参照','','','','','','','','','','出荷関連情報-フルフィルメント by Amazon (FBA) の利用、あるいは自社出荷の注文に関する出荷関連情報を、この項目に記入してください。FBA を利用する場合には必須の項目。','','','','','','','バリエーション-商品の色・サイズなどのバリエーションを作成する際に必須の項目','','','','コンプライアンス情報-商品を販売する国または地域の特定商取引に遵守するために利用される項目','ProductTypeによって必須となる項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['出品者SKU','商品名','商品コード(JANコード等)','商品コードのタイプ','商品タイプ','ブランド名','メーカー名','メーカー型番','商品説明文','アップデート・削除','自社で管理しているSKUごとの番号','商品のコンディション','メーカー希望価格','商品のコンディション説明','商品の販売価格','在庫数','商品の公開日','商品の入荷予定日','最大注文個数','パッケージ商品数','出荷作業日数','使用しない支払い方法','セール価格','配送日時指定SKUリスト','セール開始日','セール終了日','予約商品の販売開始日','ギフトメッセージ','ギフト包装','メーカー製造中止','ポイント','セール時ポイント','配送パターン','販売形態(並行輸入品)','TAXコード','商品の重量','商品の重量の単位','商品の長さ','商品の高さ','商品の幅','商品の直径','商品寸法の単位','配送重量','配送重量の単位','商品説明の箇条書き1','商品説明の箇条書き2','商品説明の箇条書き3','商品説明の箇条書き4','商品説明の箇条書き5','検索キーワード1','検索キーワード2','検索キーワード3','検索キーワード4','検索キーワード5','推奨ブラウズノード','スタイルキーワード1','スタイルキーワード2','スタイルキーワード3','スタイルキーワード4','スタイルキーワード5','対象1','対象2','対象3','対象4','対象5','モチーフ1','モチーフ2','モチーフ3','モチーフ4','モチーフ5','プラチナキーワード1','プラチナキーワード2','プラチナキーワード3','プラチナキーワード4','プラチナキーワード5','商品メイン画像URL','商品のサブ画像URL1','商品のサブ画像URL2','商品のサブ画像URL3','商品のサブ画像URL4','商品のサブ画像URL5','商品のサブ画像URL6','商品のサブ画像URL7','商品のサブ画像URL8','カラーサンプル画像URL','フルフィルメントセンターID','商品パッケージの幅','商品パッケージの重量の単位','商品パッケージの重量','商品パッケージの長さ','商品パッケージの高さ','商品パッケージの寸法の単位','親商品のSKU(商品管理番号)','親子関係の指定','親子関係のタイプ','バリエーションテーマ','原産国','ライフスタイル1','ライフスタイル2','ライフスタイル3','ライフスタイル4','ライフスタイル5','素材','金属のタイプ','貴金属純度','セッティング','宝石数','クラスタイプ','チェーンの詳細','リングサイズ上限範囲','イヤリング・ピアスの留め方','宝石カット1','宝石カット2','宝石カット3','宝石カラー1','宝石カラー2','宝石カラー3','宝石クラリティー1','宝石クラリティー2','宝石クラリティー3','宝石の長さ1','宝石の長さ2','宝石の長さ3','宝石の幅1','宝石の幅2','宝石の幅3','宝石のサイズの単位1','宝石のサイズの単位2','宝石のサイズの単位3','宝石重量1','宝石重量2','宝石重量3','宝石の種別1','宝石の種別2','宝石の種別3','銘刻1','銘刻2','銘刻3','宝石のシンメトリー1','宝石のシンメトリー2','宝石のシンメトリー3','宝石ポリッシュ1','宝石ポリッシュ2','宝石ポリッシュ3','宝石のキューレット1','宝石のキューレット2','宝石のキューレット3','パールカラー','パールの光沢','パールシェイプ','パール表面のしみ','貴金属の総重量','総金属重量(つけ目)の単位','宝石の総重量','ダイヤモンドの総カラット数','電池付属','電池のタイプ','付属バッテリ個数','リチウム電池パッケージ仕様','リチウム電池ボルト数','リチウム電池重量','発売年','シーズン','スタイル名','リチウム電池の電圧の測定単位','色','カラーマップ','リングサイズ','チェーンの種類','宝石の種類','宝石のシェイプ1','宝石のシェイプ2','宝石のシェイプ3','真珠の種類','真珠のサイズ'],
        ['item_sku','item_name','external_product_id','external_product_id_type','feed_product_type','brand_name','manufacturer','part_number','product_description','update_delete','codabar','condition_type','list_price','condition_note','standard_price','quantity','product_site_launch_date','restock_date','max_order_quantity','item_package_quantity','fulfillment_latency','optional_payment_type_exclusion','sale_price','delivery_schedule_group_id','sale_from_date','sale_end_date','merchant_release_date','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','standard_price_points','sale_price_points','merchant_shipping_group_name','distribution_designation','product_tax_code','item_weight','item_weight_unit_of_measure','item_display_length','item_display_height','item_display_width','item_display_diameter','display_dimensions_unit_of_measure','website_shipping_weight','website_shipping_weight_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','recommended_browse_nodes','style_keywords1','style_keywords2','style_keywords3','style_keywords4','style_keywords5','target_audience_keywords1','target_audience_keywords2','target_audience_keywords3','target_audience_keywords4','target_audience_keywords5','thesaurus_subject_keywords1','thesaurus_subject_keywords2','thesaurus_subject_keywords3','thesaurus_subject_keywords4','thesaurus_subject_keywords5','platinum_keywords1','platinum_keywords2','platinum_keywords3','platinum_keywords4','platinum_keywords5','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','swatch_image_url','fulfillment_center_id','package_width','package_weight_unit_of_measure','package_weight','package_length','package_height','package_dimensions_unit_of_measure','parent_sku','parent_child','relationship_type','variation_theme','country_of_origin','lifestyle1','lifestyle2','lifestyle3','lifestyle4','lifestyle5','material_type','metal_type','metal_stamp','setting_type','number_of_stones','clasp_type','chain_description','ring_sizing_upper_range','back_finding','stone_cut1','stone_cut2','stone_cut3','stone_color1','stone_color2','stone_color3','stone_clarity1','stone_clarity2','stone_clarity3','stone_length1','stone_length2','stone_length3','stone_width1','stone_width2','stone_width3','stone_dimensions_unit_of_measure1','stone_dimensions_unit_of_measure2','stone_dimensions_unit_of_measure3','stone_weight1','stone_weight2','stone_weight3','stone_creation_method1','stone_creation_method2','stone_creation_method3','inscription1','inscription2','inscription3','stone_symmetry1','stone_symmetry2','stone_symmetry3','stone_polish1','stone_polish2','stone_polish3','stone_culet1','stone_culet2','stone_culet3','pearl_minimum_color','pearl_lustre','pearl_shape','pearl_surface_blemishes','total_metal_weight','total_metal_weight_unit_of_measure','total_gem_weight','total_diamond_weight','are_batteries_included','battery_type','number_of_batteries','lithium_battery_packaging','lithium_battery_voltage','lithium_battery_weight','model_year','seasons','style_name','lithium_battery_voltage_unit_of_measure','color_name','color_map','ring_size','chain_type','gem_type','stone_shape1','stone_shape2','stone_shape3','pearl_type','size_per_pearl']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
                        if attr_color == 'beige':
                            attr_color = 'ベージュ'
                        elif attr_color == 'beige':
                            attr_color = 'ブラック'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'bronze':
                            attr_color = 'ブロンズ'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'brown':
                            attr_color = 'ブラウン'
                        elif attr_color == 'gold':
                            attr_color = 'ゴールド'
                        elif attr_color == 'green':
                            attr_color = 'グリーン'
                        elif attr_color == 'grey':
                            attr_color = '灰色'
                        elif attr_color == 'metallic':
                            attr_color = '金属'
                        elif attr_color == 'multicoloured':
                            attr_color = '多色'
                        elif attr_color == 'off-white':
                            attr_color = 'オフホワイト'
                        elif attr_color == 'orange':
                            attr_color = 'オレンジ'
                        elif attr_color == 'pink':
                            attr_color = 'ピンク'
                        elif attr_color == 'purple':
                            attr_color = 'パープル'
                        elif attr_color == 'red':
                            attr_color = 'レッド'
                        elif attr_color == 'silver':
                            attr_color = 'シルバー'
                        elif attr_color == 'transparent':
                            attr_color = '透明'
                        elif attr_color == 'turquoise':
                            attr_color = 'ターコイズ'
                        elif attr_color == 'white':
                            attr_color = 'ホワイト'
                        elif attr_color == 'yellow':
                            attr_color = 'イエロー'
                        elif attr_color == 'Orange yellow':
                            attr_color = 'オレンジイエロー'
                        elif attr_color == 'Lake Blue':
                            attr_color = 'レイク・ブルー'
                        elif attr_color == 'Orange red':
                            attr_color = 'オレンジ・レッド'
                        elif attr_color == 'rose Red':
                            attr_color = 'ローズレッド'
                        elif attr_color == 'Blue and Purple Pink':
                            attr_color = '青と紫のピンク'
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme

#家居
class Homejp(ColumnConfig):
    line = [
        ['TemplateType=home','Version=2017.0728','上3行は Amazon.com 記入用です。上3行は変更または削除しないでください。.','','','','','','','','出品情報-商品をサイト上で販売可能にする際に必要な項目','','','','','','','','','','','','','','','','','','','','','','','','寸法-商品のサイズや重量を入力する項目','','','','','','','','','','','','','','','','商品検索情報-サーチ上で商品を検索されやすくするために必要な項目','','','','','','','画像-商品画像を表示させるために必要な項目。詳しくは画像説明タブを参照','','','','','','','','','','出荷関連情報-フルフィルメント by Amazon (FBA) の利用、あるいは自社出荷の注文に関する出荷関連情報を、この項目に記入してください。FBA を利用する場合には必須の項目。','','','','','','','バリエーション-商品の色・サイズなどのバリエーションを作成する際に必須の項目','','','','コンプライアンス情報-商品を販売する国または地域の特定商取引に遵守するために利用される項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['出品者SKU','商品名','商品コード(JANコード等)','商品コードのタイプ','ブランド名','メーカー名','商品タイプ','メーカー型番','商品説明文','アップデート・削除','在庫数','出荷作業日数','商品の販売価格','ポイント','商品のコンディション','商品のコンディション説明','パッケージ商品数','予約商品の販売開始日','メーカー希望価格','使用しない支払い方法','配送日時指定SKUリスト','セール価格','セール時ポイント','セール開始日','セール終了日','商品の公開日','商品の入荷予定日','最大注文個数','ギフトメッセージ','ギフト包装','メーカー製造中止','配送パターン','販売形態(並行輸入品)','商品タックスコード','配送重量','配送重量の単位','商品の長さ','商品の長さの単位','商品の幅','商品の幅の単位','商品の高さ','商品の高さの単位','商品の奥行き','商品の奥行きの単位','商品の直径','商品の直径の単位','商品の重量','商品の重量の単位','容積容量','容積容量の単位','商品説明の箇条書き1','商品説明の箇条書き2','商品説明の箇条書き3','商品説明の箇条書き4','商品説明の箇条書き5','検索キーワード1','検索キーワード2','検索キーワード3','検索キーワード4','検索キーワード5','推奨ブラウズノード','商品メイン画像URL','カラーサンプル画像URL','商品のサブ画像URL1','商品のサブ画像URL2','商品のサブ画像URL3','商品のサブ画像URL4','商品のサブ画像URL5','商品のサブ画像URL6','商品のサブ画像URL7','商品のサブ画像URL8','フルフィルメントセンターID','商品パッケージの長さ','商品パッケージの幅','商品パッケージの高さ','商品パッケージの長さの単位','商品パッケージの重量','商品パッケージの重量の単位','親子関係の指定','親商品のSKU(商品管理番号)','親子関係のタイプ','バリエーションテーマ','製造国','生産国','商品の幅（バリエーション用）','商品の長さ・丈（バリエーション用）','カラー','カラーマップ','サイズ','サイズマップ','スレッド数','素材','ワット数','ワット数の単位','電池付属の有無','電池のタイプ','付属バッテリ個数','メーカー保証','商品の個数(ピース数)','食器乾燥機対応1','食器乾燥機対応2','食器乾燥機対応3','食器乾燥機対応4','食器乾燥機対応5','涼感性（ひんやり感）','素材','対応熱源','防虫・防ダニ加工','防カビ加工1','防カビ加工2','防カビ加工3','防カビ加工4','防カビ加工5','塩素除去率1','塩素除去率2','塩素除去率3','塩素除去率4','塩素除去率5','UV加工','付属品1','付属品2','付属品3','付属品4','付属品5','付属品6','付属品7','付属品8','付属品9','付属品10','香り','洗濯可','オーブン対応可否1','オーブン対応可否2','オーブン対応可否3','オーブン対応可否4','オーブン対応可否5','抗菌加工','ミラー加工1','ミラー加工2','ミラー加工3','ミラー加工4','ミラー加工5','リバーシブル1','リバーシブル2','リバーシブル3','リバーシブル4','リバーシブル5','並行輸入品','容量','容量の単位','耐熱温度','耐熱温度の単位','容量','容量の単位','刃渡りの長さ','刃渡りの長さの単位','specific_uses_for_product1','specific_uses_for_product2','specific_uses_for_product3','specific_uses_for_product4','specific_uses_for_product5','number_of_shelves'],
        ['item_sku','item_name','external_product_id','external_product_id_type','brand_name','manufacturer','feed_product_type','part_number','product_description','update_delete','quantity','fulfillment_latency','standard_price','standard_price_points','condition_type','condition_note','item_package_quantity','merchant_release_date','list_price','optional_payment_type_exclusion','delivery_schedule_group_id','sale_price','sale_price_points','sale_from_date','sale_end_date','product_site_launch_date','restock_date','max_order_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','distribution_designation','product_tax_code','website_shipping_weight','website_shipping_weight_unit_of_measure','item_display_length','item_display_length_unit_of_measure','item_display_width','item_display_width_unit_of_measure','item_display_height','item_display_height_unit_of_measure','item_display_depth','item_display_depth_unit_of_measure','item_display_diameter','item_display_diameter_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','volume_capacity_name','volume_capacity_name_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','recommended_browse_nodes','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','country_string','country_of_origin','width_range','length_range','color_name','color_map','size_name','size_map','thread_count','material_type','wattage','wattage_unit_of_measure','are_batteries_included','battery_type','number_of_batteries','warranty_description','number_of_pieces','care_instructions1','care_instructions2','care_instructions3','care_instructions4','care_instructions5','cooler_heatsink_material','fabric_type','heating_method','material_composition','material_type_free1','material_type_free2','material_type_free3','material_type_free4','material_type_free5','specification_met1','specification_met2','specification_met3','specification_met4','specification_met5','ultraviolet_light_protection','included_components1','included_components2','included_components3','included_components4','included_components5','included_components6','included_components7','included_components8','included_components9','included_components10','scent_name','fabric_wash','form_factor1','form_factor2','form_factor3','form_factor4','form_factor5','item_styling','skin_type1','skin_type2','skin_type3','skin_type4','skin_type5','specialty1','specialty2','specialty3','specialty4','specialty5','import_designation','liquid_volume','liquid_volume_unit_of_measure','temperature_rating_degrees','temperature_rating_degrees_unit_of_measure','capacity','capacity_unit_of_measure','blade_length','blade_length_unit_of_measure','specific_uses_for_product1','specific_uses_for_product2','specific_uses_for_product3','specific_uses_for_product4','specific_uses_for_product5','number_of_shelves']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
                        if attr_color == 'beige':
                            attr_color = 'ベージュ'
                        elif attr_color == 'beige':
                            attr_color = 'ブラック'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'bronze':
                            attr_color = 'ブロンズ'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'brown':
                            attr_color = 'ブラウン'
                        elif attr_color == 'gold':
                            attr_color = 'ゴールド'
                        elif attr_color == 'green':
                            attr_color = 'グリーン'
                        elif attr_color == 'grey':
                            attr_color = '灰色'
                        elif attr_color == 'metallic':
                            attr_color = '金属'
                        elif attr_color == 'multicoloured':
                            attr_color = '多色'
                        elif attr_color == 'off-white':
                            attr_color = 'オフホワイト'
                        elif attr_color == 'orange':
                            attr_color = 'オレンジ'
                        elif attr_color == 'pink':
                            attr_color = 'ピンク'
                        elif attr_color == 'purple':
                            attr_color = 'パープル'
                        elif attr_color == 'red':
                            attr_color = 'レッド'
                        elif attr_color == 'silver':
                            attr_color = 'シルバー'
                        elif attr_color == 'transparent':
                            attr_color = '透明'
                        elif attr_color == 'turquoise':
                            attr_color = 'ターコイズ'
                        elif attr_color == 'white':
                            attr_color = 'ホワイト'
                        elif attr_color == 'yellow':
                            attr_color = 'イエロー'
                        elif attr_color == 'Orange yellow':
                            attr_color = 'オレンジイエロー'
                        elif attr_color == 'Lake Blue':
                            attr_color = 'レイク・ブルー'
                        elif attr_color == 'Orange red':
                            attr_color = 'オレンジ・レッド'
                        elif attr_color == 'rose Red':
                            attr_color = 'ローズレッド'
                        elif attr_color == 'Blue and Purple Pink':
                            attr_color = '青と紫のピンク'
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
#宠物
class Petjp(ColumnConfig):
    line = [
        ['TemplateType=petsupplies','Version=2017.0801','上3行は Amazon.com 記入用です。上3行は変更または削除しないでください。.','','','','','','','','出品情報-商品をサイト上で販売可能にする際に必要な項目','','','','','','','','','','','','','','','','','','','','','','','','','寸法-商品のサイズや重量を入力する項目','','','','','','','','','','','','','','商品検索情報-サーチ上で商品を検索されやすくするために必要な項目','','','','','','','','','','','','画像-商品画像を表示させるために必要な項目。詳しくは画像説明タブを参照','','','','','出荷関連情報-フルフィルメント by Amazon (FBA) の利用、あるいは自社出荷の注文に関する出荷関連情報を、この項目に記入してください。FBA を利用する場合には必須の項目。','','','','','','バリエーション-商品の色・サイズなどのバリエーションを作成する際に必須の項目','','','','コンプライアンス情報-商品を販売する国または地域の特定商取引に遵守するために利用される項目','','','ProductTypeによって必須となる項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['出品者SKU','商品名','商品コード(JANコード等)','商品コードのタイプ','ブランド名','メーカー名','商品タイプ','メーカー型番','商品説明文','アップデート・削除','在庫数','出荷作業日数','商品の販売価格','ポイント','商品のコンディション','商品のコンディション説明','パッケージ商品数','予約商品の販売開始日','メーカー希望価格','使用しない支払い方法','配送日時指定SKUリスト','セール価格','セール時ポイント','セール開始日','セール終了日','商品の公開日','商品の入荷予定日','最大注文個数','ギフトメッセージ','ギフト包装','メーカー製造中止','配送パターン','販売形態(並行輸入品)','商品タックスコード','配送重量','配送重量の単位','商品の長さ','商品の長さの単位','商品の幅','商品の幅の単位','商品の高さ','商品の高さの単位','商品の奥行き','商品の奥行きの単位','商品の直径','商品の直径の単位','商品の重量','商品の重量の単位','容積容量','容積容量の単位','商品説明の箇条書き1','商品説明の箇条書き2','商品説明の箇条書き3','商品説明の箇条書き4','商品説明の箇条書き5','検索キーワード1','検索キーワード2','検索キーワード3','検索キーワード4','検索キーワード5','推奨ブラウズノード','商品メイン画像URL','カラーサンプル画像URL','商品のサブ画像URL1','商品のサブ画像URL2','商品のサブ画像URL3','商品のサブ画像URL4','商品のサブ画像URL5','商品のサブ画像URL6','商品のサブ画像URL7','商品のサブ画像URL8','フルフィルメントセンターID','商品パッケージの長さ','商品パッケージの幅','商品パッケージの高さ','商品パッケージの長さの単位','商品パッケージの重量','商品パッケージの重量の単位','親子関係の指定','親商品のSKU(商品管理番号)','親子関係のタイプ','バリエーションテーマ','製造国','生産国','商品の幅（バリエーション用）','商品の長さ・丈（バリエーション用）','カラー','カラーマップ','サイズ','サイズマップ','スレッド数','素材','ワット数','ワット数の単位','電池付属の有無','電池のタイプ','付属バッテリ個数','メーカー保証','商品の個数(ピース数)','食器乾燥機対応1','食器乾燥機対応2','食器乾燥機対応3','食器乾燥機対応4','食器乾燥機対応5','涼感性（ひんやり感）','素材','対応熱源','防虫・防ダニ加工','防カビ加工1','防カビ加工2','防カビ加工3','防カビ加工4','防カビ加工5','塩素除去率1','塩素除去率2','塩素除去率3','塩素除去率4','塩素除去率5','UV加工','付属品1','付属品2','付属品3','付属品4','付属品5','付属品6','付属品7','付属品8','付属品9','付属品10','香り','洗濯可','オーブン対応可否1','オーブン対応可否2','オーブン対応可否3','オーブン対応可否4','オーブン対応可否5','抗菌加工','ミラー加工1','ミラー加工2','ミラー加工3','ミラー加工4','ミラー加工5','リバーシブル1','リバーシブル2','リバーシブル3','リバーシブル4','リバーシブル5','並行輸入品','容量','容量の単位','耐熱温度','耐熱温度の単位','容量','容量の単位','刃渡りの長さ','刃渡りの長さの単位','specific_uses_for_product1','specific_uses_for_product2','specific_uses_for_product3','specific_uses_for_product4','specific_uses_for_product5','number_of_shelves'],
        ['item_sku','external_product_id','external_product_id_type','item_name','brand_name','manufacturer','feed_product_type','part_number','product_description','update_delete','item_package_quantity','standard_price','standard_price_points','quantity','fulfillment_latency','condition_type','condition_note','list_price','product_site_launch_date','merchant_release_date','restock_date','optional_payment_type_exclusion','sale_price','sale_price_points','delivery_schedule_group_id','sale_from_date','sale_end_date','number_of_items','max_order_quantity','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','merchant_shipping_group_name','distribution_designation','product_tax_code','website_shipping_weight','website_shipping_weight_unit_of_measure','item_length','item_width','item_height','item_weight','item_weight_unit_of_measure','item_volume','item_volume_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_display_volume','item_display_volume_unit_of_measure','item_display_length','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','recommended_browse_nodes','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','specific_uses_keywords1','specific_uses_keywords2','specific_uses_keywords3','specific_uses_keywords4','specific_uses_keywords5','main_image_url','other_image_url1','other_image_url2','other_image_url3','swatch_image_url','fulfillment_center_id','package_height','package_width','package_length','package_weight','package_weight_unit_of_measure','parent_child','parent_sku','relationship_type','variation_theme','country_of_origin','legal_disclaimer_description','safety_warning','breed_recommendation','special_features1','special_features2','special_features3','care_instructions','allergen_information1','allergen_information2','allergen_information3','allergen_information4','allergen_information5','storage_instructions','external_testing_certification','item_form','material_composition','outer_material_type','inner_material_type1','inner_material_type2','inner_material_type3','inner_material_type4','inner_material_type5','fill_material_type','closure_type','compatible_devices1','compatible_devices2','compatible_devices3','compatible_devices4','compatible_devices5','coverage','age_range_description','mfg_minimum','mfg_maximum','directions','ingredients1','ingredients2','ingredients3','color_name','color_map','size_name','size_map','flavor_name','maximum_weight_recommendation','maximum_weight_recommendation_unit_of_measure','maximum_circumference','maximum_circumference_unit_of_measure','minimum_circumference','minimum_circumference_unit_of_measure','maximum_neck_size','minimum_neck_size','neck_size_unit_of_measure','maximum_item_width','minimum_item_width','minimum_item_width_unit_of_measure','maximum_item_width_unit_of_measure','battery_type','number_of_batteries','are_batteries_included','lithium_battery_energy_content','lithium_battery_packaging','lithium_battery_voltage','lithium_battery_weight','maximum_power','maximum_power_unit_of_measure','voltage','wattage','is_expiration_dated_product']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
                        if attr_color == 'beige':
                            attr_color = 'ベージュ'
                        elif attr_color == 'beige':
                            attr_color = 'ブラック'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'bronze':
                            attr_color = 'ブロンズ'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'brown':
                            attr_color = 'ブラウン'
                        elif attr_color == 'gold':
                            attr_color = 'ゴールド'
                        elif attr_color == 'green':
                            attr_color = 'グリーン'
                        elif attr_color == 'grey':
                            attr_color = '灰色'
                        elif attr_color == 'metallic':
                            attr_color = '金属'
                        elif attr_color == 'multicoloured':
                            attr_color = '多色'
                        elif attr_color == 'off-white':
                            attr_color = 'オフホワイト'
                        elif attr_color == 'orange':
                            attr_color = 'オレンジ'
                        elif attr_color == 'pink':
                            attr_color = 'ピンク'
                        elif attr_color == 'purple':
                            attr_color = 'パープル'
                        elif attr_color == 'red':
                            attr_color = 'レッド'
                        elif attr_color == 'silver':
                            attr_color = 'シルバー'
                        elif attr_color == 'transparent':
                            attr_color = '透明'
                        elif attr_color == 'turquoise':
                            attr_color = 'ターコイズ'
                        elif attr_color == 'white':
                            attr_color = 'ホワイト'
                        elif attr_color == 'yellow':
                            attr_color = 'イエロー'
                        elif attr_color == 'Orange yellow':
                            attr_color = 'オレンジイエロー'
                        elif attr_color == 'Lake Blue':
                            attr_color = 'レイク・ブルー'
                        elif attr_color == 'Orange red':
                            attr_color = 'オレンジ・レッド'
                        elif attr_color == 'rose Red':
                            attr_color = 'ローズレッド'
                        elif attr_color == 'Blue and Purple Pink':
                            attr_color = '青と紫のピンク'
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
#玩具
class Toyjp(ColumnConfig):
    line = [
        ['TemplateType=toys','Version=2017.0801','上3行は Amazon.com 記入用です。上3行は変更または削除しないでください。.','','','','','','','','','出品情報-商品をサイト上で販売可能にする際に必要な項目','','','','','','','','','','','','','','','','','','','','','','','','','','寸法-商品のサイズや重量を入力する項目','','','','','','','','','','','','商品検索情報-サーチ上で商品を検索されやすくするために必要な項目','','','','','','','画像-商品画像を表示させるために必要な項目。詳しくは画像説明タブを参照','','','','','','','','','','出荷関連情報-フルフィルメント by Amazon (FBA) の利用、あるいは自社出荷の注文に関する出荷関連情報を、この項目に記入してください。FBA を利用する場合には必須の項目。','','','','','','','バリエーション-商品の色・サイズなどのバリエーションを作成する際に必須の項目','','','','コンプライアンス情報-商品を販売する国または地域の特定商取引に遵守するために利用される項目','','','','ProductTypeによって必須となる項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['出品者SKU','商品名','商品コード(JANコード等)','商品コードのタイプ','ブランド名','メーカー名','商品タイプ','メーカー型番','商品説明文','型番','アップデート・削除','在庫数','出荷作業日数','商品の販売価格','ポイント','商品のコンディション','商品のコンディション説明','商品の公開日','予約商品の販売開始日','商品の入荷予定日','使用しない支払い方法','配送日時指定SKUリスト','セール価格','セール時ポイント','セール開始日','セール終了日','パッケージ商品数','メーカー希望価格','付属品総数','ギフト包装','ギフトメッセージ','最大注文個数','メーカー製造中止','廃盤日','配送パターン','販売形態(並行輸入品)','商品タックスコード','発送重量','発送重量の単位','商品の重量','商品の重量の単位','商品の高さ','商品の長さ','商品の幅','商品寸法の単位','商品の重量','商品の重量の単位','商品の長さ','商品の長さの単位','商品説明の箇条書き1','商品説明の箇条書き2','商品説明の箇条書き3','商品説明の箇条書き4','商品説明の箇条書き5','推奨ブラウズノード','検索キーワード1','検索キーワード2','検索キーワード3','検索キーワード4','検索キーワード5','商品メイン画像URL','カラーサンプル画像URL','商品サブ画像URL1','商品サブ画像URL2','商品サブ画像URL3','商品サブ画像URL4','商品サブ画像URL5','商品サブ画像URL6','商品サブ画像URL7','商品サブ画像URL8','フルフィルメントセンターID','商品パッケージの長さ','商品パッケージの幅','商品パッケージの高さ','商品パッケージの長さの単位','商品パッケージの重量','商品パッケージの重量の単位','親子関係の指定','バリエーションテーマ','親商品のSKU(商品管理番号)','親子関係のタイプ','法規上の免責条項','安全性の注意点','製造国','原産国','メーカー推奨最少年齢','メーカー推奨最少年齢の単位','メーカー推奨最高年齢','メーカー推奨最高年齢の単位','対象性別','メーカー保証の説明','組み立て方法','要組み立て','組み立て時間','組み立て時間の単位','メーカー推奨最少体重','メーカー推奨最少体重の単位','メーカー推奨最大体重','メーカー推奨最大体重の単位','推奨最低身長','推奨最低身長の単位','推奨最高身長','推奨最高身長の単位','折りたたみ時のサイズ','素材タイプ','お取り扱い上の注意1','お取り扱い上の注意2','お取り扱い上の注意3','特殊機能','サイズ','サイズマップ','カラー','カラーマップ','アダルト商品','商品の個数(ピース数)','最大プレーヤー数','キャラクター','素材構成','スケール','レールのゲージ','リモコンのタイプ','サポートしている周波数帯域','エンジンタイプ','推奨使用方法・場所','教育目的','コレクション名','トレーディングカードのタイプ','トレーディングカードのジャンル','ハンドルの高さ','ハンドルの高さの単位','座面（椅子）の幅','座面（椅子）の幅の単位','電池付属','電池の必要性','電池の説明','電池のタイプ','付属バッテリ個数','リチウム電池エネルギー含有量','リチウム電池重量','リチウム電池パッケージ仕様','is_expiration_dated_product'],
        ['item_sku','item_name','external_product_id','external_product_id_type','brand_name','manufacturer','feed_product_type','part_number','product_description','model','update_delete','quantity','fulfillment_latency','standard_price','standard_price_points','condition_type','condition_note','product_site_launch_date','merchant_release_date','restock_date','optional_payment_type_exclusion','delivery_schedule_group_id','sale_price','sale_price_points','sale_from_date','sale_end_date','item_package_quantity','list_price','number_of_items','offering_can_be_giftwrapped','offering_can_be_gift_messaged','max_order_quantity','is_discontinued_by_manufacturer','offering_end_date','merchant_shipping_group_name','distribution_designation','product_tax_code','website_shipping_weight','website_shipping_weight_unit_of_measure','item_weight','item_weight_unit_of_measure','item_height','item_length','item_width','item_length_unit_of_measure','item_display_weight','item_display_weight_unit_of_measure','item_display_length','item_display_length_unit_of_measure','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','recommended_browse_nodes','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','main_image_url','swatch_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_length','package_width','package_height','package_length_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','variation_theme','parent_sku','relationship_type','legal_disclaimer_description','safety_warning','country_string','country_of_origin','mfg_minimum','mfg_minimum_unit_of_measure','mfg_maximum','mfg_maximum_unit_of_measure','target_gender','warranty_description','assembly_instructions','is_assembly_required','assembly_time','assembly_time_unit_of_measure','minimum_weight_recommendation','minimum_weight_recommendation_unit_of_measure','maximum_weight_recommendation','maximum_weight_recommendation_unit_of_measure','minimum_height_recommendation','minimum_height_recommendation_unit_of_measure','maximum_height_recommendation','maximum_height_recommendation_unit_of_measure','folded_size','material_type','care_instructions1','care_instructions2','care_instructions3','special_features','size_name','size_map','color_name','color_map','is_adult_product','number_of_pieces','number_of_players','subject_character','material_composition','scale_name','rail_gauge','remote_control_technology','frequency_bands_supported','engine_type','recommended_uses_for_product','educational_objective','collection_name','specific_uses_for_product','genre','handle_height','handle_height_unit_of_measure','seat_width','seat_width_unit_of_measure','are_batteries_included','batteries_required','battery_description','battery_type','number_of_batteries','lithium_battery_voltage','lithium_battery_weight','lithium_battery_packaging','is_expiration_dated_product']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
                        if attr_color == 'beige':
                            attr_color = 'ベージュ'
                        elif attr_color == 'beige':
                            attr_color = 'ブラック'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'bronze':
                            attr_color = 'ブロンズ'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'brown':
                            attr_color = 'ブラウン'
                        elif attr_color == 'gold':
                            attr_color = 'ゴールド'
                        elif attr_color == 'green':
                            attr_color = 'グリーン'
                        elif attr_color == 'grey':
                            attr_color = '灰色'
                        elif attr_color == 'metallic':
                            attr_color = '金属'
                        elif attr_color == 'multicoloured':
                            attr_color = '多色'
                        elif attr_color == 'off-white':
                            attr_color = 'オフホワイト'
                        elif attr_color == 'orange':
                            attr_color = 'オレンジ'
                        elif attr_color == 'pink':
                            attr_color = 'ピンク'
                        elif attr_color == 'purple':
                            attr_color = 'パープル'
                        elif attr_color == 'red':
                            attr_color = 'レッド'
                        elif attr_color == 'silver':
                            attr_color = 'シルバー'
                        elif attr_color == 'transparent':
                            attr_color = '透明'
                        elif attr_color == 'turquoise':
                            attr_color = 'ターコイズ'
                        elif attr_color == 'white':
                            attr_color = 'ホワイト'
                        elif attr_color == 'yellow':
                            attr_color = 'イエロー'
                        elif attr_color == 'Orange yellow':
                            attr_color = 'オレンジイエロー'
                        elif attr_color == 'Lake Blue':
                            attr_color = 'レイク・ブルー'
                        elif attr_color == 'Orange red':
                            attr_color = 'オレンジ・レッド'
                        elif attr_color == 'rose Red':
                            attr_color = 'ローズレッド'
                        elif attr_color == 'Blue and Purple Pink':
                            attr_color = '青と紫のピンク'
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme
#钟表
class watchesjp(ColumnConfig):
    line = [
        ['TemplateType=watches','Version=2017.0801','上3行は Amazon.com 記入用です。上3行は変更または削除しないでください。.','','','','','','','','出品情報-商品をサイト上で販売可能にする際に必要な項目','','','','','','','','','','','','','','','','','','','','','','','寸法-商品のサイズや重量を入力する項目','','','','商品検索情報-サーチ上で商品を検索されやすくするために必要な項目','','','','','','','','','','','','','','','','','','','','','画像-商品画像を表示させるために必要な項目。詳しくは画像説明タブを参照','','','','','','','','','出荷関連情報-フルフィルメント by Amazon (FBA) の利用、あるいは自社出荷の注文に関する出荷関連情報を、この項目に記入してください。FBA を利用する場合には必須の項目。','','','','','','','バリエーション-商品の色・サイズなどのバリエーションを作成する際に必須の項目','','','','コンプライアンス情報-商品を販売する国または地域の特定商取引に遵守するために利用される項目','ProductTypeによって必須となる項目','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',],
        ['出品者SKU','商品コード(JANコード等)','商品コードのタイプ','商品名','メーカー名','メーカー型番','ブランド名','商品説明文','自社で管理しているSKUごとの番号','アップデート・削除','販売価格','数量','条件','コンディションに関する注意','商品の公開日','予約商品の販売開始日','メーカー希望価格','セール価格','セール開始日','セール終了日','商品の入荷予定日','出荷作業日数','ギフトメッセージ','ギフト包装','製造中止','配送日時指定SKUリスト','ポイント','セール時ポイント','使用しない支払い方法','最大注文個数','販売形態(並行輸入品)','配送パターン','商品タックスコード','配送品重量','配送重量の単位','重量','商品の重量の単位','対象1','対象2','対象3','対象4','対象5','推奨ブラウズノード','商品の仕様1','商品の仕様2','商品の仕様3','商品の仕様4','商品の仕様5','検索キーワード1','検索キーワード2','検索キーワード3','検索キーワード4','検索キーワード5','プラチナキーワード1','プラチナキーワード2','プラチナキーワード3','プラチナキーワード4','プラチナキーワード5','商品メイン画像URL','商品サブ画像URL1','商品サブ画像URL2','商品サブ画像URL3','商品サブ画像URL4','商品サブ画像URL5','商品サブ画像URL6','商品サブ画像URL7','商品サブ画像URL8','フルフィルメントセンターID','包装縦','包装高','包装横','商品パッケージの長さの単位','個装重量','商品パッケージの重量の単位','親子関係の指定','バリエーションテーマ','親子関係のタイプ','親商品のSKU(商品管理番号)','出版国','モデル年(発売年・発表年)','カラー','カラーマップ','サイズ','サイズマップ','バンド材質タイプ','バンド幅','バンドの幅の単位','ケースサイズの厚さ','ケース厚さの単位','バンドの色','クラスタイプ','ケース素材1','ケース素材2','ケース直径','ケースの直径の単位','ダイヤル色','風防素材','マーク','形状','腕時計ムーブメントタイプ','カレンダータイプ','耐水深度','防水性能の単位','保証タイプ','特殊機能1','特殊機能2','特殊機能3','特殊機能4','特殊機能5','スポーツタイプ1','スポーツタイプ2','スポーツタイプ3','出品者保証の説明','シーズン1','シーズン2','シーズン3','シーズン4','リチウム電池の重量の測定単位','リチウム電池重量','リチウム電池の電圧の測定単位','リチウム電池ボルト数','リチウム電池パッケージ','要電池','電池付属'],
        ['item_sku','external_product_id','external_product_id_type','item_name','manufacturer','part_number','brand_name','product_description','codabar','update_delete','standard_price','quantity','condition_type','condition_note','product_site_launch_date','merchant_release_date','list_price','sale_price','sale_from_date','sale_end_date','restock_date','fulfillment_latency','offering_can_be_gift_messaged','offering_can_be_giftwrapped','is_discontinued_by_manufacturer','delivery_schedule_group_id','standard_price_points','sale_price_points','optional_payment_type_exclusion','max_order_quantity','distribution_designation','merchant_shipping_group_name','product_tax_code','website_shipping_weight','website_shipping_weight_unit_of_measure','item_weight','item_weight_unit_of_measure','target_audience_keywords1','target_audience_keywords2','target_audience_keywords3','target_audience_keywords4','target_audience_keywords5','recommended_browse_nodes','bullet_point1','bullet_point2','bullet_point3','bullet_point4','bullet_point5','generic_keywords1','generic_keywords2','generic_keywords3','generic_keywords4','generic_keywords5','platinum_keywords1','platinum_keywords2','platinum_keywords3','platinum_keywords4','platinum_keywords5','main_image_url','other_image_url1','other_image_url2','other_image_url3','other_image_url4','other_image_url5','other_image_url6','other_image_url7','other_image_url8','fulfillment_center_id','package_length','package_height','package_width','package_dimensions_unit_of_measure','package_weight','package_weight_unit_of_measure','parent_child','variation_theme','relationship_type','parent_sku','country_of_origin','model_year','color_name','color_map','size_name','size_map','band_material_type','band_width','band_width_unit_of_measure','case_thickness','case_thickness_unit_of_measure','band_color','clasp_type','case_material_type1','case_material_type2','case_diameter','case_diameter_unit_of_measure','dial_color','dial_window_material_type','display_type','item_shape','watch_movement_type','calendar_type','water_resistance_depth','water_resistance_depth_unit_of_measure','warranty_type','special_features1','special_features2','special_features3','special_features4','special_features5','sport_type1','sport_type2','sport_type3','seller_warranty_description','seasons1','seasons2','seasons3','seasons4','lithium_battery_weight_unit_of_measure','lithium_battery_weight','lithium_battery_voltage_unit_of_measure','lithium_battery_voltage','lithium_battery_packaging','batteries_required','are_batteries_included']
    ]

    def getConfig(self, product_type='fatherchild', attributes=None):
        attr_color = ""
        attr_size = ""
        if product_type == 'child':
            if attributes:
                for attribute in attributes:
                    if attribute.attr_name_en == 'size':
                        attr_size = attribute.attr_value_en
                    elif attribute.attr_name_en == 'colour':
                        attr_color = attribute.attr_value_en
                        if attr_color == 'beige':
                            attr_color = 'ベージュ'
                        elif attr_color == 'beige':
                            attr_color = 'ブラック'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'bronze':
                            attr_color = 'ブロンズ'
                        elif attr_color == 'blue':
                            attr_color = 'ブルー'
                        elif attr_color == 'brown':
                            attr_color = 'ブラウン'
                        elif attr_color == 'gold':
                            attr_color = 'ゴールド'
                        elif attr_color == 'green':
                            attr_color = 'グリーン'
                        elif attr_color == 'grey':
                            attr_color = '灰色'
                        elif attr_color == 'metallic':
                            attr_color = '金属'
                        elif attr_color == 'multicoloured':
                            attr_color = '多色'
                        elif attr_color == 'off-white':
                            attr_color = 'オフホワイト'
                        elif attr_color == 'orange':
                            attr_color = 'オレンジ'
                        elif attr_color == 'pink':
                            attr_color = 'ピンク'
                        elif attr_color == 'purple':
                            attr_color = 'パープル'
                        elif attr_color == 'red':
                            attr_color = 'レッド'
                        elif attr_color == 'silver':
                            attr_color = 'シルバー'
                        elif attr_color == 'transparent':
                            attr_color = '透明'
                        elif attr_color == 'turquoise':
                            attr_color = 'ターコイズ'
                        elif attr_color == 'white':
                            attr_color = 'ホワイト'
                        elif attr_color == 'yellow':
                            attr_color = 'イエロー'
                        elif attr_color == 'Orange yellow':
                            attr_color = 'オレンジイエロー'
                        elif attr_color == 'Lake Blue':
                            attr_color = 'レイク・ブルー'
                        elif attr_color == 'Orange red':
                            attr_color = 'オレンジ・レッド'
                        elif attr_color == 'rose Red':
                            attr_color = 'ローズレッド'
                        elif attr_color == 'Blue and Purple Pink':
                            attr_color = '青と紫のピンク'
        config = {
            "feed_product_type": "feed_product_type",
            "fulfillment_latency": "'5'",
            "currency": "'USD'",
            "condition_type": "'New'",
            "generic_keywords": "generic_keywords",
            "target_audience_keywords1": "target_audience_keywords1",
            "color_name": "'" + attr_color + "'",
            "color_map": "'" + attr_color + "'",
            "size_name": "'" + attr_size + "'",
            "size_map": "'" + attr_size + "'",
            "other_image_url3": "brand_image",
        }
        self.config.update(config)
        return self.config

    def getSecondVariationTheme(self, attributesName):
        '''主题名称（子产品，父产品没有）'''
        variation_theme = ''
        if ('size' in attributesName and 'colour' in attributesName):
            variation_theme = 'SizeNameColorName'
        elif ('size' in attributesName):
            variation_theme = 'SizeName'
        elif ('colour' in attributesName):
            variation_theme = 'Color'
        return variation_theme